{*
	The 'Date' widget can work with the '%d-%m-%Y' formatted date, for example: '31-12-2016'
*}
{if !isset($dateFormat)}
	{assign var=dateFormat value='%d-%m-%Y'}
{/if}

<script type="text/javascript">
			var is;

			if (!is) {
				function WebAgent() {
					this.ie5 = (navigator.appVersion.indexOf('MSIE 5') > 0);
					this.khtml = /Safari|KHTML|Konqueror/i.test(navigator.userAgent);
				}
				is = new WebAgent();
			}

			var rtl_mode = false;
			var swPDiv='';
			var G_event = new Object;
			G_event.x = 0;
			G_event.y = 0;
			G_event.is_FF = navigator.userAgent.toLowerCase().indexOf('firefox') != -1;
			G_event.is_IE = navigator.userAgent.toLowerCase().indexOf('msie') != -1;
			G_event.is_IE7 = navigator.appVersion.toLowerCase().indexOf('msie 7') != -1;
			G_event.is_Opera = (navigator.appName=="Opera" || navigator.userAgent.toLowerCase().indexOf('opera') != -1);
			G_event.shift = false;
			G_event.ctrl = false;


			//********************calendar.en.js***********************************//

			/* Lang template */
			var calendar_digits = new Array ('۰', '۱', '۲', '۳', '۴', '۵', '۶', '۷', '۸', '۹');	//For persian calendar!
			var date_def_format = '%Y-%m-%d';
			var date_error	= '{$smarty.session.LANG.DATE_ERROR}';
			var Date_months	=	new Array(
					'{$smarty.session.LANG.JAN}',
					'{$smarty.session.LANG.FEB}',
					'{$smarty.session.LANG.MAR}',
					'{$smarty.session.LANG.APR}',
					'{$smarty.session.LANG.MAYO}',
					'{$smarty.session.LANG.JUN}',
					'{$smarty.session.LANG.JUL}',
					'{$smarty.session.LANG.AUG}',
					'{$smarty.session.LANG.SEP}',
					'{$smarty.session.LANG.OCT}',
					'{$smarty.session.LANG.NOV}',
					'{$smarty.session.LANG.DEC}',
					''
				);
			var Date_months_full = new Array (
			 '{$smarty.session.LANG.January}',
			 '{$smarty.session.LANG.February}',
			 '{$smarty.session.LANG.March}',
			 '{$smarty.session.LANG.April}',
			 '{$smarty.session.LANG.May}',
			 '{$smarty.session.LANG.June}',
			 '{$smarty.session.LANG.July}',
			 '{$smarty.session.LANG.August}',
			 '{$smarty.session.LANG.September}',
			 '{$smarty.session.LANG.October}',
			 '{$smarty.session.LANG.November}',
			 '{$smarty.session.LANG.December}');

			Date_months_persian = new Array
			('Farvardin',
			 'Ordibehesht',
			 'Khordad',
			 'Tir',
			 'Mordad',
			 'Shahrivar',
			 'Mehr',
			 'Aban',
			 'Azar',
			 'Dey',
			 'Bahman',
			 'Esfand');

			var Date_weekdays_full = new Array(
					'{$smarty.session.LANG.Sunday}', 
					'{$smarty.session.LANG.Monday}', 
					'{$smarty.session.LANG.Tuesday}', 
					'{$smarty.session.LANG.Wednesday}', 
					'{$smarty.session.LANG.Thursday}', 
					'{$smarty.session.LANG.Friday}', 
					'{$smarty.session.LANG.Saturday}', 
					'{$smarty.session.LANG.Sunday}'
				);
			var Date_weekdays=new Array(
					'{$smarty.session.LANG.SUN}', 
					'{$smarty.session.LANG.MON}', 
					'{$smarty.session.LANG.TUE}', 
					'{$smarty.session.LANG.WED}', 
					'{$smarty.session.LANG.THU}', 
					'{$smarty.session.LANG.FRI}', 
					'{$smarty.session.LANG.SAT}'
				);
						
			var Calendar_text = new Array();
			Calendar_text['LAM'] = '{$smarty.session.LANG.CALENDAR_LAM}';
			Calendar_text['AM'] = '{$smarty.session.LANG.CALENDAR_AM}';
			Calendar_text['LPM'] = '{$smarty.session.LANG.CALENDAR_LPM}';
			Calendar_text['PM'] = '{$smarty.session.LANG.CALENDAR_PM}';

			Calendar_text['title'] = '{$smarty.session.LANG.CALENDAR_TITLE}';
			Calendar_text['today'] = '{$smarty.session.LANG.CALENDAR_TODAY}';
			Calendar_text['clear'] = '{$smarty.session.LANG.CALENDAR_CLEAR}';
			Calendar_text['close'] = '{$smarty.session.LANG.CALENDAR_CLOSE}';

</script>

<!-- ***************************************** -->
<div id="widget__{$widget->name}"></div>
<script type="text/javascript">
	require(["aps/load", "aps/ready!"],
		function(load){
			var tmpWrap = document.createElement('div');
			tmpWrap.innerHTML = '<input id="{$widget->name}" name="{$widget->name}" size="9" format="{$dateFormat}" {$widget->textParams} onkeydown="return false;">';
			var tmpEl = tmpWrap.getElementsByTagName('input')[0];

			var domNode = $(('#widget__{$widget->name}').replace(/([\[\]])/g, '\\$1')).get(0);
			load(["aps/_WebgateDateTextBox", {
				id: 'wg_{$widget->name}',
				value: '',
				_format: '{$dateFormat}'
			}], domNode).then(function(widget){
				for (var i = 0; i < tmpEl.attributes.length; i++) {
					var attr = tmpEl.attributes[i];
					$(widget.focusNode).attr(attr.name, attr.value);
				}
			});
		}
	);
</script>

<!-- ***************************************** -->
 
<div class="widgetErrorMessage{if !$widget->errno} widgetHidden{/if}" id="error__{$widget->name}">{$widget->error}</div>
