<!--
  country.tpl
-->

<tr>
  <td class="fieldLabel"><label class="required" for="CountryID">{$smarty.session.LANG.COUNTRY}</label></td>
  <td align="left">
    <select class="CountryID" name="CountryID" id="CountryID" title="{$smarty.session.LANG.COUNTRY}" onchange="verifyAddress()" style="width: 275px;">
      {foreach name=country_outer item=country from=$config->firstCountryList}
        <option value="{$country.Code}"
          TaxRegReqPers="{$country.TaxRegReqPers}"
          TaxRegReqComp="{$country.TaxRegReqComp}"
          StateProvinceReq="{$country.StateProvinceReq}"
          DefaultPhoneCountryCode="{$country.DefaultPhoneCountryCode}"
          PhoneAreaCodeReq="{$country.PhoneAreaCodeReq}"
          zipRegex="{$country.ZipRegEx}">{$country.Name}</option>
      {/foreach}
      {if $config->firstCountryList}
        <option disabled> -- </option>
      {/if}
      {foreach name=country_outer item=country from=$config->countryList}
        <option value="{$country.Code}"
          TaxRegReqPers="{$country.TaxRegReqPers}"
          TaxRegReqComp="{$country.TaxRegReqComp}"
          StateProvinceReq="{$country.StateProvinceReq}"
          DefaultPhoneCountryCode="{$country.DefaultPhoneCountryCode}"
          PhoneAreaCodeReq="{$country.PhoneAreaCodeReq}"
          zipRegex="{$country.ZipRegEx}">{$country.Name}</option>
      {/foreach}
    </select>
  </td>
</tr>

{GetCustomTemplate name="accattr.tpl" assign="file"}
{include file=$file filter="COUNTRY"}

<tr id="tr__taxRegID">
  <td class="fieldLabel"><label class="required" for="TaxRegID" id="label__taxRegID">{$smarty.session.LANG.CHECKOUT_TAXREGID}</label></td>
  <td align="left">
    <div class="fieldEntry">
    {widget name="TaxRegID" size=25 maxlength=64 title=$smarty.session.LANG.CHECKOUT_TAXREGID
            id="TaxRegID"
    }
    </div>
    <div class="fieldComment"></div>
  </td>
</tr>

{GetCustomTemplate name="accattr.tpl" assign="file"}
{include file=$file filter="TAXREG"}



<!--
  end of country.tpl
-->
