<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html  xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>{$TITLE}</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="keywords" content="{$META_KEYWORDS}" />
  <meta name="description" content="{$META_DESCRIPTION}" />
  <link rel="shortcut icon" href="{$SCRIPT_DIR}/static/design/images/favicon.ico" />
  {importCSS}
  <script type="text/javascript" src="{$SCRIPT_DIR}/index.php?StoreID={$StoreID}&act=js"></script>
  <script type="text/javascript" src="{$SCRIPT_DIR}/index.php?StoreID={$StoreID}&act=locale&lang={$smarty.session.LanguageID}"></script>

</head>

<body id='Body'>
<!--
  overall_header.tpl
-->
{if $SHOW_PRELOADER}
  {GetCustomTemplate name="./preloader.tpl" assign="preloader"}
  {include file=$preloader}
{/if}


<div id="screenLayout">
  <div id="topLayout">
		{if $paletteVersion==1}
			{GetCustomImage name="logo.gif" assign="file"}
		    <div id="header">
					{GetCustomTemplate name="./header_logo.tpl" assign="filetpl"}
			        {include file=$filetpl img_file=$file} 
		
					{GetCustomTemplate name="./header_shortcuts.tpl" assign="filetpl"}
			        {include file=$filetpl}
		    </div><!--header-->                           
	 		{GetCustomTemplate name="./header_mainNav.tpl" assign="filetpl"}
	        {include file=$filetpl lastURL=$lastURL}              
         {else}
			{GetCustomImage name="logo.png" assign="file"}
		    <div id="header">
		 		{GetCustomTemplate name="./header_mainNav.tpl" assign="filetpl"}
		        {include file=$filetpl lastURL=$lastURL}              
				
				{GetCustomTemplate name="./header_shortcuts.tpl" assign="filetpl"}
			    {include file=$filetpl}
			    
				{GetCustomTemplate name="./header_logo.tpl" assign="filetpl"}
			    {include file=$filetpl img_file=$file} 
		    </div><!--header-->                           
         {/if}
  </div><!--topLayout-->     

  <div id="contentContainer">
<!--
 end of overall_header.tpl
-->