<!--
  c2u_configs_js.tpl
-->
<!-- Scripts -->
<script>
{literal}
 function cloudConfigUpdated(newConfigID,eventInitiator) 
  {
    var isNewCustom = newConfigID=='custom';
    var oldLiveIndex = -1;
    var newLiveIndex = -1;
    for (var i=0; i<=cloudTree.length-1; i++)
    {
      if(cloudTree[i].id == 'config'){
        if(cloudTree[i].live) oldLiveIndex = i;
        if(cloudTree[i].config_id == newConfigID) newLiveIndex = i;
       }
    }
    
    if(oldLiveIndex!= -1 ){
      cloudTree[oldLiveIndex].live = 0;
      obj =  document.getElementById( 'cloudConfigID'+cloudTree[oldLiveIndex].config_id + '__link'); 
      obj.className = 'cloudConfig ';
    }
    
    document.getElementById( 'cloud_config_id').value = newConfigID;
    
    if(newLiveIndex!= -1 ){
      cloudTree[newLiveIndex].live = 1;
      obj =  document.getElementById( 'cloudConfigID'+cloudTree[newLiveIndex].config_id + '__link'); 
      obj.className = 'cloudConfigSelected important';   
      
      if(eventInitiator=='config_clicked'){
        cloudApplyConfigToSliders();
      }
      if(eventInitiator=='slider_moved'){
        cloudApplySlidersToCustomConfig();
      }
    }

    if(eventInitiator=='config_clicked'){
     cloudConfigCalcPrices();   
     cloudUpdateTotal('config_clicked');
    }
  }
  
  function cloudApplySlidersToCustomConfig()
  {
    conf_index = cloud_custom_config_index;
    
     for (var config_res_index=0; config_res_index<=cloudTree[conf_index].res_values.length-1;config_res_index++){
      res_id = cloudTree[conf_index].res_values[config_res_index].id;
      
      var obj = document.getElementById('cloud_slider_numvalue__'+res_id); 
      if(!obj){
        alert(locale["C2U_ERROR_JS_CANNOT_FIND_OBJECT"]+' cloud_slider_numvalue__'+res_id );
        return;
      }
      
      cloudTree[conf_index].res_values[config_res_index].value = obj.value;
     }
  }
  
  function cloudApplyConfigToSliders()
  {
    var newLiveIndex = -1;
    cloud_switching_config = true;
	var divInputs = document.getElementsByName('div_inputs');
    
    for (var i=0; i<=cloudTree.length-1; i++)
    {
      if(cloudTree[i].id == 'config' && cloudTree[i].live) newLiveIndex = i;
    }
    
    if(newLiveIndex == -1){
      return;
    }
    for (var i=0; i<=cloudTree[newLiveIndex].res_values.length-1; i++)
    {
      res = cloudTree[newLiveIndex].res_values[i];
      
      slider = null;
      for (var si=0; si<=window.A_SLIDERS.length-1; si++){
        if(window.A_SLIDERS[si].clour_res_id == res.id){
          slider = window.A_SLIDERS[si];
          break; 
        }
      }
      if(slider){
        slider.f_setValue(res.value,true);
      }
	// check valid input fields after click on custom configuration (c2u for mousless devices)
	      	if (divInputs.length>0 && divInputs[0].style.display=='') {
		     	var obj = document.getElementById('cloud_slider_numvalue__'+res.id); 
			  	obj.value = res.value;
			}  	
    }
    if (divInputs.length>0 && divInputs[0].style.display=='')  checkAllResValue();
  	
    cloud_switching_config = false;
  }
  
  function cloudConfigCalcPrices(){
    for (var configIndex=0; configIndex<=cloudTree.length-1; configIndex++)
    {
      if(cloudTree[configIndex].id != 'config') continue;
      cloudOneConfigCalcPrices(configIndex);
    }
    
  }
  
  function cloudOneConfigCalcPrices(configIndex){
    var configHourlyPrice = 0.0;
    var configMonthlyPrice = 0.0;
    var resPrice;
    var resID;
    
    var res_values = cloudTree[configIndex].res_values;
    for (var configResIndex=0; configResIndex<=res_values.length-1; configResIndex++){
      resID = res_values[configResIndex].id;
      configHourlyPrice +=  cloud_res_prices[resID].price_hour * res_values[configResIndex].value;
      configMonthlyPrice +=  cloud_res_prices[resID].price_month;
    }
    cloudTree[configIndex].price_hour = configHourlyPrice;
    cloudTree[configIndex].price_month = configMonthlyPrice;
    
  }
  
  
   function cloudRedrawConfigPrices(){
    return;
    var oldLiveIndex = -1;
    var newLiveIndex = -1;
    var configID = '';
    for (var i=0; i<=cloudTree.length-1; i++){
      if(cloudTree[i].id != 'config') continue;
      configID = cloudTree[i].config_id;
      
      cloudUpdatePrice('cloudConfigID'+configID+'__price_hour',cloudTree[i].price_hour,cloudPriceTmpl,cloud_hour_digits);
      cloudUpdatePrice('cloudConfigID'+configID+'__price_month',cloudTree[i].price_month, cloudPriceTmpl, cloud_reg_digits);
    }
   }
  
{/literal}
{foreach from=$state->resConfigs item=planConfig}
  resValues = new Array();
  {foreach from=$planConfig.resValues item=resValue key=resID}
    resValues.push({literal}{{/literal}
      'id': '{$resID}',
      'value': '{$resValue}'
      {literal}}{/literal}
    );
  {/foreach}

     cloudTree.push({literal}{{/literal}
        'id' : 'config',
        'res_type' : 'config',
        'config_id' : '{$planConfig.id}',
        'live' : {if $planConfig.id===$state->selectedConfigID}1{else}0{/if},
        'price_hour' : 0.0,
        'res_values' : resValues
      {literal}}{/literal}
     );
     {if $planConfig.id=='custom'}
      cloud_custom_config_index = cloudTree.length-1;
     {/if}
      
  {/foreach} 
</script>
<!-- /Scripts -->
      

<!-- end of c2u_configs_js.tpl -->

  
  
  



