<!--
  planrateitem.tpl
-->

<script type="text/javascript">
var PeriodID_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID} = {$PlanAttribut->period->PeriodID};
var IsSFperUnit_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID} = {$itemPlanRate.IsSFperUnit};
var IsRFperUnit_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID} = {$itemPlanRate.IsRFperUnit};
var RecurringTiers_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID} = [];
var SetupTiers_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID} = [];
var AmountInput_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID};

{foreach from=$itemPlanRate.TieredPrices.RecurringTiers item=price key=lowerbound}
RecurringTiers_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}[{$lowerbound}] = {$price};
{/foreach}
{foreach from=$itemPlanRate.TieredPrices.SetupTiers item=price key=lowerbound}
SetupTiers_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}[{$lowerbound}] = {$price};
{/foreach}



function UpdateResourcePrices_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}(elm)
{literal}
{
{/literal}
  var pricespanid = "discounted_price_span_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}";
  var dpriceid = "discounted_price_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}";
  var isSFperUnit = IsSFperUnit_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID};
  var isRFperUnit = IsRFperUnit_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID};
  var relmid = "recurring_fee_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}";
  var selmid = "setup_fee_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}";
  var priceid = "price_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}";

  if (elm) AmountInput_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID} = elm;

  var rrefid = "rf_tier_info_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}";
  var srefid = "sf_tier_info_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}";
  var periodID = PeriodID_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID};

{literal}
  var amount = (elm && elm.value ? parseFloat(elm.value) : 0);
  var discountedPrice = 0.0;
  var isSFTiered = false;
  var isRFTiered = false;
  var ramount = 0.0;
  var samount = 0.0;
  var price = 0.0;
  var rval = 0.0;
  var sval = 0.0;
  var lowerbound;

{/literal}
  for(lowerbound in RecurringTiers_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID})
{literal}
  {
{/literal}
    var fee = parseFloat(RecurringTiers_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}[lowerbound]);
{literal}
    var bound = parseFloat(lowerbound);

    if (bound > 0 && amount > ramount && isRFperUnit) {
      var q = (amount > bound ? bound-ramount : amount-ramount);

      discountedPrice += (rval * q);
    }
    if (bound > 0 && isRFperUnit) isRFTiered = true;
    if (bound == 0) {
      if (document.getElementById(relmid)) document.getElementById(relmid).innerHTML = FormatPrice(fee);
      if (!isRFperUnit) {
        discountedPrice += (amount ? fee : 0);
        price += (amount ? fee : 0);
      } else {
        price += (amount * fee);
      }
    }
    ramount = bound;
    rval = fee;
  }
  if (amount > ramount && isRFperUnit) {
    discountedPrice += (rval * (amount-ramount));
  }
{/literal}
  for(lowerbound in SetupTiers_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID})
{literal}
  {
{/literal}
    var fee = parseFloat(SetupTiers_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}[lowerbound]);
{literal}
    var bound = parseFloat(lowerbound);

    if (bound > 0 && amount > samount && isSFperUnit) {
      var q = (amount > bound ? bound-samount : amount-samount);

      discountedPrice += (sval * q);
    }
    if (bound > 0 && isSFperUnit) isSFTiered = true;
    if (bound == 0) {
      if (document.getElementById(selmid)) document.getElementById(selmid).innerHTML = FormatPrice(fee);
      if (!isSFperUnit) {
        discountedPrice += (amount ? fee : 0);
        price += (amount ? fee : 0);
      } else {
        price += (amount * fee);
      }
    }
    samount = bound;
    sval = fee;
  }
  if (amount > samount && isSFperUnit) {
    discountedPrice += (sval * (amount-samount));
  }

  var displayStyle = ((price-discountedPrice) <= 0 ? "none" : "block");

  document.getElementById(dpriceid).innerHTML = FormatPrice(price-discountedPrice);
  document.getElementById(priceid).innerHTML = FormatPrice(discountedPrice);
  document.getElementById(pricespanid).style.display = displayStyle;

{/literal}
  var link = "{$SCRIPT_DIR}/http/tierInfo.php?PlanID={if $currentPlan}{$currentPlan}{else}{$PlanAttribut->PlanID}{/if}&PeriodID="+periodID+"&ResourceID={$itemPlanRate.ID}&AccountID={$account->AccountID}";
{literal}
  var tplabel = document.getElementById('TIERED_PRICING_ADDITIONAL_RESOURCES_HINT');
  var sref = document.getElementById(srefid);
  var rref = document.getElementById(rrefid);

  if (tplabel) {
    tplabel.style.display = (isSFTiered || isRFTiered ? "block" : "none");
  }

  if (sref) {
      sref.style.display = (isSFTiered ? "block" : "none");
      sref.href = link+"&FeeType=10";
  }
  if (rref) {
      rref.style.display = (isRFTiered ? "block" : "none");
      rref.href = link+"&FeeType=20";
  }
}
{/literal}
</script>

  {assign var="ParentRateID" value=$itemPlanRate.ParentRateID}
  <!--assign keyCategory to ParentRateID for depended resource alarm message-->
  {if $itemPlanRate.ParentRateID == ""}{assign var="ParentRateID" value=$keyCategory}{/if}

          <td class="Line PlanRateLine td1" align="left">
            <table style="width:100%" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td class="PBA_positiveIndicatorTD" style="width:20px;">
                <span class="positiveIndicator{if $itemPlanRate.Amount > 0} positiveIndicatorOn{/if}" id="positiveIndicator_ExtRateAmount[{$ParentRateID}][_{$itemPlanRate.ID}_]">&nbsp;</span>
              </td>
              <td>
                <label>{$itemPlanRate.StoreText}</label>
                <a href="{$SCRIPT_DIR}/http/rateInfo.php?PlanID={if $currentPlan}{$currentPlan}{else}{$PlanAttribut->PlanID}{/if}&ResourceID={$itemPlanRate.ID}" class="question_icon">&nbsp;</a>
              </td>
            </tr>
            </table>
          </td>
          {if $orderConfig->showSetupFee}
          <td class="Line PlanRateLine" align="right">
            &nbsp;{$smarty.session.LANG.CURRENCY_PREFIX}<span id="setup_fee_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}">{$itemPlanRate.SetupFee|numformat}</span>{$smarty.session.LANG.CURRENCY_POSTFIX}&nbsp;{$smarty.session.LANG.PER_ITEM}&nbsp;{$itemPlanRate.UnitOfMeasure}
          </td>
          <td style="white-space:nowrap;" class="Line PlanRateLine" align="left" valign="top">
          <a id="sf_tier_info_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}" href="{$SCRIPT_DIR}/http/tierInfo.php?PlanID={if $currentPlan}{$currentPlan}{else}{$PlanAttribut->PlanID}{/if}&PeriodID={$PlanAttribut->period->PeriodID}&ResourceID={$itemPlanRate.ID}&AccountID={$account->AccountID}&FeeType=10" class="question_icon" style="background-image:url(static/store-skins/parallels/images/discount-icon.png);">&nbsp;</a>
          </td>
          {/if}
          {if $orderConfig->showSubscriptionFee}
          <td class="Line PlanRateLine" align="right">
            &nbsp;{$smarty.session.LANG.CURRENCY_PREFIX}<span id="recurring_fee_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}">{$itemPlanRate.RecurringFee|numformat}</span>{$smarty.session.LANG.CURRENCY_POSTFIX}&nbsp;{$smarty.session.LANG.PER_ITEM}&nbsp;{$itemPlanRate.UnitOfMeasure}
          </td>
          <td style="white-space:nowrap;" class="Line PlanRateLine" align="left" valign="top">
          <a id="rf_tier_info_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}" href="{$SCRIPT_DIR}/http/tierInfo.php?PlanID={if $currentPlan}{$currentPlan}{else}{$PlanAttribut->PlanID}{/if}&PeriodID={$PlanAttribut->period->PeriodID}&ResourceID={$itemPlanRate.ID}&AccountID={$account->AccountID}&FeeType=20" class="question_icon" style="background-image:url(static/store-skins/parallels/images/discount-icon.png);">&nbsp;</a>
          </td>
          {/if}
          {if $state->showCosts=="1"}
            <td class="Line PlanRateLine" align="right">
             {$smarty.session.LANG.CURRENCY_PREFIX}<span id="cost_{$itemPlanRate.ResourceCategoryID}_{$parentPlanRate.ID}_{$itemPlanRate.ID}">{$itemPlanRate.Cost|numformat}</span>{$smarty.session.LANG.CURRENCY_POSTFIX}
           </td>
           <td class="Line PlanRateLine" align="right">
            <span id="margin_{$itemPlanRate.ResourceCategoryID}_{$parentPlanRate.ID}_{$itemPlanRate.ID}">{$itemPlanRate.Margin}</span>
           </td>
          {/if}
          <!-- <td class="Line PlanRateLine" align="right" nowrap>&nbsp;</td> -->
          <td class="Line PlanRateLine" align="right"  nowrap>
            <input type="text" name="ExtRateAmount[{$keyCategory}][_{$itemPlanRate.ID}_]" 
                   swWidgetType="spin" id="ExtRateAmount[{$ParentRateID}][_{$itemPlanRate.ID}_]" 
                   value="{if $itemPlanRate.Amount > 0}{$itemPlanRate.Amount}{else}0{/if}" size="4" 
                   validator="planRate_{$itemPlanRate.IncludedValue}_{$itemPlanRate.UpperLimit}_{$itemPlanRate.LowerLimit}" 
                   title="{$itemPlanRate.StoreText}" 
                   {if sizeof($pr_item->parentIndecies)}parent="{$pr_item->parentIndecies.ci}_{$pr_item->parentIndecies.id}_{$itemPlanRate.ParentDependMultiplier}"{/if}
                   onchange="UpdateResourcePrices_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}(this);" />
          </td>
          <!-- <td class="Line PlanRateLine" align="left"  nowrap>&nbsp;{$itemPlanRate.UnitOfMeasure}</td> -->

          <td class="Line PlanRateLine" align="right">
            {if $itemPlanRate.StorePriceText}
              &nbsp;<span id="price_{$itemPlanRate.ResourceCategoryID}_{$parentPlanRate.ID}_{$itemPlanRate.ParentRateID}">{$itemPlanRate.StorePriceText}</span>
            {else}
              <table style="width:100%" border="0" cellspacing="0" cellpadding="0">
              <tr>
              <td align="right">
              &nbsp;{$smarty.session.LANG.CURRENCY_PREFIX}<span id="price_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}">{$itemPlanRate.ExtendedPrice|numformat}</span>{$smarty.session.LANG.CURRENCY_POSTFIX}
              </td>
              <!--
              {if $itemPlanRate.OldPrice != $itemPlanRate.ExtendedPrice}
                &nbsp;<span class="PBA-oldprice">{$smarty.session.LANG.CURRENCY_PREFIX}{$itemPlanRate.OldPrice|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}</span>
              {/if}
              -->
              <td align="right">
              <span id="discounted_price_span_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}">&nbsp;({$smarty.session.LANG.CURRENCY_PREFIX}<span id="discounted_price_{$itemPlanRate.ResourceCategoryID}_{$itemPlanRate.ParentRateID}_{$itemPlanRate.ID}">x.xx</span>{$smarty.session.LANG.CURRENCY_POSTFIX}&nbsp;{$smarty.session.LANG.DISCOUNT_OFF})</span>
              </td>
              </tr>
              </table>
            {/if}
          </td>

<!--
  end of planrateitem.tpl
-->
