<!-- vpsng_js.tpl -->
<script type="text/javascript">
  var cloudTree = new Array();
  var cloud_base_price_month = {$state->basePriceMonth};  
  var cloud_last_total = 0;
  var cloud_animating_total_index = 0;
  var cloudPriceTmpl = "{$smarty.session.LANG.CURRENCY_PREFIX}@1@{$smarty.session.LANG.CURRENCY_POSTFIX}";
  var cloud_reg_digits = {$smarty.session.LANG.CURRENCY_DECIMALS_NUMBER};
  var cloud_trim_zero = {$currencyTrimZero};
  var cloudPriceMonthTmpl = "{$smarty.session.LANG.CURRENCY_PREFIX}@1@{$smarty.session.LANG.CURRENCY_POSTFIX} {$smarty.session.LANG.C2U_PER_MONTH}";
  var cloud_inited = true;
  var cloud_switching_config = false;
  var input_values = {};

  function cloudUpdatePrice(fieldID, value, tmpl, digits)
  {literal}{{/literal}
	var decimalSep = '{$decimalSep}';
	var thousandsSep = '{$thousandsSep}';
	{literal}
    var obj =  document.getElementById(fieldID); 
    if(!obj){
      alert(locale["C2U_ERROR_JS_CANNOT_FIND_OBJECT"]+' '+fieldID);
      return;
    }
    if (  Number(value) == 0 && fieldID != "cloud_total_month" ) {
      obj.innerHTML = '&nbsp'; 
      return;
    }
    
	var valueStr = Number(value).toFixed(digits);
	if (cloud_trim_zero && digits>0) {
		var pattern = new RegExp('(\\' + decimalSep + '0+|((\\' + decimalSep + '[0-9]+?)0+))$', 'g');
        valueStr = valueStr.replace(pattern, "$3");
    }
	
    if (thousandsSep!='' && decimalSep!='') 
        valueStr = addSeparators(valueStr, decimalSep, thousandsSep); 
    valueStr = tmpl.replace('@1@',valueStr);
    
    obj.innerHTML = valueStr;
  }
  
  {/literal}

 {literal}
 
 function getCurrentConfig() {
   var id = document.getElementById( 'cloud_config_id').value;

    for (key in configs) {
      if (configs[key].pa_id == id) return configs[key];
    }

 }

 function cloudUpdateTotal(event_type) {
    var usage_price_month = 0.00;
    var res;
    var new_total;

    var conf = getCurrentConfig();
    if (!conf) return;
    usage_price_month += Number(conf.price_month);
    //if(cloud_base_price_month!=0){
    //  cloudUpdatePrice('cloud_usage_month', usage_price_month, cloudPriceTmpl, cloud_reg_digits  );
    //}

    new_total = usage_price_month + cloud_base_price_month;
    if ( Number(new_total) > Number(conf.price) ) document.getElementById('cloud_total_month').className = 'up'
    else document.getElementById('cloud_total_month').className = '';
    if(event_type=='config_clicked' && new_total!=cloud_last_total){
       cloud_update_total_animated( new_total, ++cloud_animating_total_index );
    }else{
      cloud_last_total = new_total;
      cloudUpdatePrice('cloud_total_month', new_total, cloudPriceTmpl, cloud_reg_digits );
      
    }
  }

  function cloud_update_total_animated( to, animating_index) { 
    var obj_id = 'cloud_total_month';
    var from = cloud_last_total;
    var now = from;
    var elem = document.getElementById(obj_id); 
    var interval = 10; //msecs between frames
    var frames = 15; // frames count
    var delta = to - now;
    var incr = delta / frames;
    
    cloud_animating_total = true;
        
    if (elem.animate_total)  window.clearInterval(elem.inc);
      elem.animate_total = window.setInterval(
      function() { 
        now += incr;
        if((incr > 0 && now > to) || (incr < 0 && now < to)) now = to;
        cloudUpdatePrice(obj_id, now, cloudPriceTmpl, cloud_reg_digits );
        if ( now == to || cloud_animating_total_index!=animating_index){
          window.clearInterval(elem.animate_total);
          cloud_last_total = to;
          cloud_animating_total = false;
         }
      }
      ,interval)
  }
  
  function set_values(json, values) {
    var config = getCurrentConfig();
    for (key in json) {
      if (typeof(json[key]) == "object") {
        json[key] = set_values(json[key], values);
      } else {
        if (values[json[key]]) {
          json[key] = values[json[key]];
        } else {
          //get default value 
          var resource = getObjFromHash(json[key], config);
          var value =  resource.value;
          if (resource.value)
            json[key] = resource.value;
          else
            json[key] = "";
        }
      }
    }

    return json;
  }
  
  function validate_limit(resID, obj) {

     var min = obj.getAttribute("min");
     var max = obj.getAttribute("max");
     var step = obj.getAttribute("step");
     var regex = /^\d+$/;

     if( !regex.test(obj.value) ) {
       obj.value = (input_values[obj.id])? input_values[obj.id] : min;
       cloudAdvancedResUpdated(resID, obj);
       return true;
     }

     if (min && max) {
       if (Number(obj.value) > max) obj.value = max;
       if (Number(obj.value) < min) obj.value = min;
     }

     if (step) {
       if (obj.value%step != 0) 
         obj.value = Math.round(obj.value/step)*step;
     }
     input_values[obj.id] = obj.value;

     return true;
  }

  function gen_aps_json(form) {
    var values = Array();
    var config = getCurrentConfig();
    for (var i=0;i<form.length;i++)
    {
      attr = form.elements[i].getAttribute("aps_name");
      if (attr) {
        var value = form.elements[i].value;
        //remove included amount
        var resource = getObjFromHash(attr, apsResources);
        if (!resource) resource = getPAResource(attr);
 
        if (resource) {
          //cpu calculation magic
          if (resource.aps_name === "power") {
            for (var j=0;j<form.length;j++) {
              attr = form.elements[j].getAttribute("aps_name");
              if (attr !== "number") continue; 
              value = form.elements[j].value * value; 
              break;
            }
          }
          var included = getResConfigDefaults(resource, config).value;
          if (included)
            form.elements[i].value = ((value - included) < 0)? 0 : value - included;
        }
 
        //get aps_id from multi-resource combobox 
        if (form.elements[i].type == "select-one") {
          var options = form.elements[i].options;
          var aps_id = options[options.selectedIndex].getAttribute("aps_id")
          if (aps_id)
            value = aps_id;
        }

        var res = getObjFromHash(attr, apsResources);
        values[attr] = (res)? convertUOM(value, res.pa_unit, res.unit) : value;
      } 
    }

    values["sampleId"] = config.aps.id;

    var environmentTemplateStruct = 
    {
      "name" : "DomainID",
      "hostname" : "DomainID",
      "osId" : "os",
      "sampleId" : "sampleId",
      "backupScheduleId" : "backups",
      "hardware" : {
        "bandwidth" : "bandwidth",
        "cpu" : {
          "number" : "number",
          "power" :  "power" 
        },
        "diskspace" : "diskspace",
        "memory" : "memory"
      }
    };

    var environmentTemplate = set_values(environmentTemplateStruct, values);
    var json = {
      "aps" : {
        "type" : "http://www.parallels.com/infrastructure/virtual-environment/context/1.0"
      },
      "environmentTemplate" : environmentTemplate
    };
    e = document.getElementById("aps_json");
    if (e) { e.value = JSON.stringify(json); }
  }

{/literal}
</script>

<!-- end of vpsng_js.tpl -->
