<!--
  domain_mylist.tpl
-->

  <script type="text/javascript">
  {literal}
  function CheckAllFoundDomains(obj, check) {
    var re = new RegExp("^new_ZoneID_");
    var inputs = obj.getElementsByTagName("input");
    for (var i=0; i < inputs.length; i++) {
      if (inputs[i].getAttribute("type") != "checkbox") continue;
      inputs[i].checked = check;
    }
  }
  {/literal}
  </script>

  <form action="{$baseURL}&dialog=myDomains" method="post"
        id="operation_addrenew" name="domainSelectForm"
        onSubmit="ValidateForm('operation_{$pos}', event);">
  <input type="hidden" name="operationType" value="selectFromListMain" />

  <!-- domain listMain header -->
  <table class="tableHeader" cellpadding="0" cellspacing="0">
    <tr>
      <td class="tableHeaderTD">
        <span class="BlockName">{$smarty.session.LANG.DOMAIN_SELECT_TITLE}</span>
      </td>
    </tr>
  </table>

  <!-- domain listMain content -->
  <table class="tableContent" cellpadding="0" cellspacing="0" id="domain_listMain">
  <tr>
    <td class="tableContentTD">

  <table cellpadding="0" cellspacing="0" align="center" style="width: 100%;">
    <tr>
      <td>

    <fieldset class="domanListMain">
      <legend class="labelDomainListMain">{$smarty.session.LANG.DOMAINS_AVAILABLE_FOR_RENEWAL}</legend>

      <div class="checkall">
        <input type="checkbox" id="checkall" {if $checkedListItems}checked{/if} onclick="CheckAllFoundDomains(this.form, this.checked)" />
        <label for="checkall">{$smarty.session.LANG.CHECK_UNCHECK_ALL}</label>
      </div>

      <table cellpadding="0" cellspacing="0" class="tableSelectDomainList">
      {foreach name=outer key=planPos item=plan from=$state->listMain}
        <tr>
          <td align="left" valign="middle">
            <input type='checkbox'
                   name="subscription[{$planPos}]"
                   onclick="Display('extrate{$plan.DomainName|cat:$plan.PlanID}', false, false)"
                   typecontrol="domain"
                   id="{$plan.Subscription.FullDomainName}"
                   title="{$plan.Subscription.FullDomainName}"
                   {if $config->checkedListItems}checked{/if} />
          </td>
          <td align="left" valign="middle">
              <label for="{$plan.Subscription.FullDomainName}">
                &nbsp; {$plan.Subscription.FullDomainName}
              </label>
                &nbsp; 
          </td>

          <td valign="middle">
             {include file="plan_period.tpl" disabled=$plan.IsUnavailable addvalue=$plan.DomainName notDisplayDetailsPrice=true test=$plan.DomainName|cat:$plan.DomainZoneID|cat:" Period" inputname=$planPos width="0px;"}
          </td>

        </tr>

      {foreachelse}
        <tr>
          <td align="left" valign="middle">
            <span class="error">{$smarty.session.LANG.NO_DOMAINS_AVAILABLE_FOR_RENEWAL}</span>
          </td>
        </tr>
      {/foreach}
      </table>

      </fieldset>

      </td>
    </tr>
    </table>

  </td>
  </tr>
  </table>

  <!-- domain listMain footer -->
  <table class="tableFooter" cellpadding="0" cellspacing="0">
  <tr>
    <td class="tableFooterTD" style="width: 10%;" align="left" >

        <button class="buttonCancel" type="button" id="closeNewLists"
                onClick="post(['operationType', 'cancelListMain']);"
            >{$smarty.session.LANG.LOGOUT}</button>

    </td>

    <td class="tableFooterTD tableFooterTDComment" style="width: 80%;" align="left" >
      <span class="Comment">
        {$smarty.session.LANG.ORDERED_DOMAINS_WILL_BE_REMOVED_FROM_CART}.
      </span>
    </td>

    <td class="tableFooterTD" style="width: 10%;" align="right">

        <button class="buttonAdd" type="submit"
                title="{$smarty.session.LANG.ADD_TO_ORDER}"
                {if !sizeof($state->listMain)}disabled{/if}
                id="AddToCard">{$smarty.session.LANG.ADD_TO_ORDER}</button>

    </td>
  </tr>
  </table>

  </form>

  <script type="text/javascript">
  SW.Signal.addLoadEvent(function () {literal}{
    SW.Widget.startEventEngine(document.forms["domainSelectForm"]);
  }{/literal});
  </script>


<!--
  end of domain_mylist.tpl
-->

