<!--
  c2u_js.tpl
-->
<!-- init common data and functions -->
<script language="JavaScript">
  var showTaxes = {$orderConfig->showTaxes};
  var cloudTree = new Array();
  var cloudPriceTmpl = "{$smarty.session.LANG.CURRENCY_PREFIX}@1@{$smarty.session.LANG.CURRENCY_POSTFIX}";
  var cloudPriceHourTmpl = "<b>{$smarty.session.LANG.CURRENCY_PREFIX}@1@{$smarty.session.LANG.CURRENCY_POSTFIX}</b> {$smarty.session.LANG.C2U_PER_HOUR}";
  var cloudPriceMonthTmpl = "{$smarty.session.LANG.CURRENCY_PREFIX}@1@{$smarty.session.LANG.CURRENCY_POSTFIX} {$smarty.session.LANG.C2U_PER_MONTH}";
  var cloud_hours_in_month = {$cloudMonthHours};
  var cloud_base_price_month = {$state->basePriceMonth};
  var cloud_custom_inited = false;
  var cloud_reg_digits = {$smarty.session.LANG.CURRENCY_DECIMALS_NUMBER};
  var cloud_trim_zero = {$currencyTrimZero};
  var cloud_hour_digits = 4;
  var cloud_inited = false;
  var cloud_switching_config = false;
  var cloud_last_total = 0;
  var cloud_animating_total_index = 0;
  
  var cloud_res_prices = new Array();
  var cloud_custom_config_index = -1;
  var cloud_price_month = {$cloudMonthPrice}; // start price per month (overusage fee of ip addresses is included)

  var sliders_res_map = { // slider's resource name mapping
      disk    : '_space',
      ram     : 'ram',
      cpu     : 'cpu_count'
  };
  
  <!-- prepare resource hourly prices -->
  {foreach from=$state->resourceClasses.resources item=resClass}
    
    res_price = {literal}{{/literal}
    {if $resClass.vt_specific==1}
      'price_hour' : 0,
      'price_month' : 0,
      'tax_list' : '',
      'included_value' : 0,
      'vt_specific' : true,
      'vt_prices' : {literal}{{/literal}
        {foreach from=$resClass.options item=option}
          '{$option.vt}' : {$option.price_hour},
          '{$option.vt}_incl' : {$option.included_value},
          '{$option.vt}_tax_list' : {
              {foreach $option.tax_list as $tax}
              '{$tax.TaxID}' : {$tax.Rate},
              {/foreach}
          },
        {/foreach}
        '_end':0
      {literal}}{/literal}
     {elseif $resClass.st_specific==1}
       'price_hour' : 0,
       'price_month' : 0,
       'tax_list' : '',
       'included_value' : 0,
       'st_specific' : true,
       'st_prices' : {literal}{{/literal}
       {foreach from=$resClass.options item=option}
         '{$option.storage_type}' : {$option.price_hour},
         '{$option.storage_type}_incl' : {$option.included_value},
         '{$option.storage_type}_tax_list' : {
           {foreach $option.tax_list as $tax}
             '{$tax.TaxID}' : {$tax.Rate},
           {/foreach}
         },
       {/foreach}
       {if count($resClass.options) < 2}
         'disabled_storage' : 1,
       {/if}
       '_end':0
       {literal}}{/literal}
     {else}
       'vt_specific' : false,
       'included_value' : {$resClass.included_value},
       'price_hour' : {$resClass.price_hour},
       'tax_list' : {
            {foreach $resClass.tax_list as $tax}
              '{$tax.TaxID}' : {$tax.Rate},
            {/foreach}
       },
     {/if}
     {literal}}{/literal}
     cloud_res_prices[ '{$resClass.id}' ] = res_price;
   {/foreach}

  //prepare list of all taxes

  var taxListAll = new Array();
  {foreach $state->taxList as $keyTax=>$tax}
    taxListAll.push(
       {
          'taxID'      : '{$keyTax}',
          'taxName' : '{$tax.Name}',
          'taxValue' : 0.0,
          'taxRate'     : {$tax.Rate}
      }
    )
  {/foreach}

  {literal}
  function cloudUpdateTotal(event_type)
  {
    var usage_price_hour = 0.00;
    var usage_price_month = cloud_price_month;
    var is_custom = document.getElementById('cloud_config_id').value == 'custom';
    var res;
    var s='';
    var new_total;
    for (var i=0; i<=cloudTree.length-1; i++)
    {
      res = cloudTree[i];
      if(!res.live) continue;
	    usage_price_month += Number(res.price_month);
    }
      for (var it=0; it<=taxListAll.length-1; it++)
      {
          taxListAll[it].taxValue = 0;
          var taxTotal = 0;
          for (var i=0; i<=cloudTree.length-1; i++)
          {
              res = cloudTree[i];
              if(!res.live || !res.res_taxes) continue;
              for (var rt=0; rt<=res.res_taxes.length-1; rt++)
              {
                  var cur_res_tax = res.res_taxes[rt];
                  if (cur_res_tax.id != taxListAll[it].taxID || cur_res_tax.value==0) continue;
                  taxListAll[it].taxValue += cur_res_tax.value;
              }
          }
      }


    
    if(cloud_base_price_month!=0){
      cloudUpdatePrice('cloud_usage_month', usage_price_month, cloudPriceTmpl, cloud_reg_digits  );
    }
    
    new_total = usage_price_month + cloud_base_price_month;
    if(event_type=='config_clicked' && new_total!=cloud_last_total){
       cloud_update_total_animated( new_total, ++cloud_animating_total_index );
    }else{
      cloud_last_total = new_total;
      cloudUpdatePrice('cloud_total_month', new_total, cloudPriceTmpl, cloud_reg_digits );
    }

    if ( showTaxes == 1 ) {
      var taxValueTotal = 0.0;
      for (var it=0; it<=taxListAll.length-1; it++) // update tax lines
      {
          taxValueTotal += taxListAll[it].taxValue;
      }
      cloudUpdatePrice('tax_total', taxValueTotal, cloudPriceTmpl, cloud_reg_digits );
    } else if (showTaxes == 2) {
      for (var it=0; it<=taxListAll.length-1; it++) // update tax lines
      {
          cloudUpdatePrice('tax_'+taxListAll[it].taxID, taxListAll[it].taxValue, cloudPriceTmpl, cloud_reg_digits );
      }
    }

  }
  
  
  function cloud_update_total_animated( to, animating_index) { 
    var obj_id = 'cloud_total_month';
    var from = cloud_last_total;
    var now = from;
    var elem = document.getElementById(obj_id); 
    var interval = 10; //msecs between frames
    var frames = 15; // frames count
    var delta = to - now;
    var incr = delta / frames;
    
    cloud_animating_total = true;
        
    if (elem.animate_total)  window.clearInterval(elem.inc);
      elem.animate_total = window.setInterval(
      function() { 
        now += incr;
        if((incr > 0 && now > to) || (incr < 0 && now < to)) now = to;
        cloudUpdatePrice(obj_id, now, cloudPriceTmpl, cloud_reg_digits );
        if ( now == to || cloud_animating_total_index!=animating_index){
          window.clearInterval(elem.animate_total);
          cloud_last_total = to;
          cloud_animating_total = false;
         }
      }
      ,interval)
  }
  
  
    
  
  
  function cloudUpdatePrice(fieldID, value, tmpl, digits)
  {{/literal}
	var decimalSep = '{$decimalSep}';
	var thousandsSep = '{$thousandsSep}';
	{literal}
    var obj =  document.getElementById(fieldID); 
    if(!obj){
      alert(locale["C2U_ERROR_JS_CANNOT_FIND_OBJECT"]+' '+fieldID);
      return;
    }
	var valueStr = Number(value).toFixed(digits);
	if (cloud_trim_zero && digits>0) {
		var pattern = new RegExp('(\\' + decimalSep + '0+|((\\' + decimalSep + '[0-9]+?)0+))$', 'g');
        valueStr = valueStr.replace(pattern, "$3");
    }
	
    if (thousandsSep!='' && decimalSep!='') 
        valueStr = addSeparators(valueStr, decimalSep, thousandsSep); 
    valueStr = tmpl.replace('@1@',valueStr);
    
    obj.innerHTML = valueStr;
    var element = document.getElementById("estimated_cloud_total");
    if (element) {
      element.value = value;
    }
  }
  
  {/literal}
</script>
<!-- /init common data and functions -->

<!--
  end of   c2u_js.tpl -->

  
  
  



