<!--
  neworder.tpl
  variables: $datagridExpanded - grid containing order items
             $oitemsDomainRegCount = count of domain registration tree items
                                     to be collapsed/expanded
             $oitemsDomainRegTotal = extended price sum
-->

<script type="text/javascript">
var collapsed = {if $orderConfig->automaticCartCollapse}true{else}false{/if};
{literal}
function NewOrderCollapse() {
  collapsed = !collapsed;

  var display_style = "table-row";
  if(document.all) display_style = "block";

  var table = document.getElementById("id__tableNewOrder");
  var sumRow = document.getElementById("id__domainRegSummaryRow");
  if (collapsed) sumRow.style.display = display_style;
  else sumRow.style.display = "none";
  for (var i=0; i<table.rows.length; i++) {
    row = table.rows[i];
    if (row.getAttribute("collapse") == "true") {
      if (collapsed) row.style.display = "none";
      else row.style.display = display_style;
    }
  }
}
{/literal}
</script>

  {assign var=hasTieredResourceLine value=0}

  <div 	class="tableOrderHeaderWrapper">
  <table class="tableHeader tableOrderHeader" cellspacing="0" cellpadding="0">
  <tr>
    <td class="tableHeaderTD tableOrderHeaderTD">
      <span class="BlockName BlockNameOrder">{$smarty.session.LANG.ORDER_DETAILS_BLOCK_TITLE}</span>
    </td>
    <td class="tableHeaderTDOptions tableOrderHeaderTDOptions" align="right">
    {if $orderConfig->automaticCartCollapse}
      <a href="javascript:void(0);" id="id__newOrderCollapseLink"
         onClick="NewOrderCollapse(); SW.Win.toggle2Text('id__newOrderCollapseLink',
                '{$smarty.session.LANG.ORDER_DETAILS_EXPAND}',
                '{$smarty.session.LANG.ORDER_DETAILS_COLLAPSE}');"
          >{$smarty.session.LANG.ORDER_DETAILS_EXPAND}</a>
    {/if}
    {if $account->AccountID && $paletteVersion==1}
      <a href="javascript:void(0);" onclick="post(['operationType', 'logout', 'redirectURL', 'REFERER'], '{$SCRIPT_DIR}/index.php?view=account'); return false;">{$smarty.session.LANG.LOGOUT}</a>
    {/if}
    </td>
  </tr>
  </table>
</div>

  <table class="tableContent tableOrderContent" cellpadding="0" cellspacing="0">
  <tr>
    <td class="tableContentTD tableOrderContentTD" align="center">

    <table cellpadding="0" cellspacing="0" style="width:100%;" id="id__tableNewOrder">
     <tr>
      {*<td class="OrderRowTD orderRowQuestionTD Line OrderTotalTopLine" align="left"></td>*}
      <td class="OrderRowTD Line OrderTotalTopLine" align="left" width="50%"><b>{$smarty.session.LANG.ORDER_DETAILS_DESCRIPTION}</b></td>
      <td class="OrderRowTD Line OrderTotalTopLine" align="left"><b>{$smarty.session.LANG.ORDER_DETAILS_PERIOD_QTY}</b></td>

      {if $orderConfig->showSetupFee}
      <td class="OrderRowTD Line OrderTotalTopLine" align="right"><b>{$smarty.session.LANG.ORDER_DETAILS_SETUP_FEE}</b></td>
      <td class="OrderRowTD Line OrderTotalTopLine"></td>
      {/if}

      {if $orderConfig->showSubscriptionFee}
      <td class="OrderRowTD Line OrderTotalTopLine" align="right"><b>{$smarty.session.LANG.ORDER_DETAILS_SUBSCRIPTION_FEE}</b></td>
      <td class="OrderRowTD Line OrderTotalTopLine"></td>
      {/if}

      {if $orderConfig->showOldPrice}
      <td class="OrderRowTD Line OrderTotalTopLine" align="right"><b>{msg what="Old Price"}</b></td>
      {/if}

      {if $orderConfig->showDiscount}
      <td class="OrderRowTD Line OrderTotalTopLine" align="right"><b>{$smarty.session.LANG.ORDER_DETAILS_DISCOUNT}</b></td>{/if}

      {if $orderConfig->showPrice}
      <td class="OrderRowTD Line OrderTotalTopLine" align="right"><b>{$smarty.session.LANG.ORDER_DETAILS_PRICE}</b></td>
      {/if}

      {if $orderConfig->showCost}
      <td class="OrderRowTD Line OrderTotalTopLine" align="right"><b>{$smarty.session.LANG.ORDER_DETAILS_COST}</b></td>
      {/if}

      {if $orderConfig->showMargin}
      <td class="OrderRowTD Line OrderTotalTopLine" align="right"><b>{$smarty.session.LANG.ORDER_DETAILS_MARGIN}</b></td>
      {/if}

      {if $orderConfig->showSKU}
      <td class="OrderRowTD Line OrderTotalTopLine" align="left"><b>{$smarty.session.LANG.ORDER_SKU}</b></td>
      {/if}
      
      <td class="OrderRowTD Line OrderTotalTopLine" colspan="3">&nbsp;</td>
    </tr>

  {foreach name=order item=itemorder key=keyorder from=$datagridExpanded}
      {assign  var=total value=$total+$itemorder.extended_price}
      {if $itemorder.operation_type == 10 && !$hiddenRowAdded}
      <tr id="id__domainRegSummaryRow"
          {if !$orderConfig->automaticCartCollapse}style="display: none;"{/if}>
        <td class="OrderRowTD evenRowTable">&nbsp;&nbsp;&nbsp;&nbsp; <i>{$smarty.session.LANG.ORDER_DETAILS_OT_CREATE} (multiple)</i></td>
        <td class="OrderRowTD evenRowTable" align="left"><i>Count: {$domainSum.count}</i></td>
        
        {if $orderConfig->showSetupFee}  
        <td class="OrderRowTD evenRowTable" align="right"><i>{$smarty.session.LANG.CURRENCY_PREFIX}{$domainSum.setupFee|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}</i></td>
        <td class="OrderRowTD evenRowTable"></td>
        {/if}
        
        {if $orderConfig->showSubscriptionFee}
        <td class="OrderRowTD evenRowTable" align="right"><i>{$smarty.session.LANG.CURRENCY_PREFIX}{$domainSum.subscriptionFee|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}</i></td>
        <td class="OrderRowTD evenRowTable"></td>
        {/if}
        
        {if $orderConfig->showOldPrice} 
        <td class="OrderRowTD evenRowTable" align="right"><i><span class="PBA-oldprice">{$smarty.session.LANG.CURRENCY_PREFIX}{$domainSum.old_price|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}</span></i></td>
        {/if}
        
        {if $orderConfig->showDiscount} 
        <td class="OrderRowTD evenRowTable" align="right"><i>{$smarty.session.LANG.CURRENCY_PREFIX}{$domainSum.discount|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}</i></td>
        {/if}
        
        {if $orderConfig->showPrice} 
        <td class="OrderRowTD evenRowTable" align="right"><i>{$smarty.session.LANG.CURRENCY_PREFIX}{$domainSum.extended_price|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}</i></td>
        {/if} 

        {if $orderConfig->showCost}
        <td class="OrderRowTD evenRowTable" align="right"><i>{$smarty.session.LANG.CURRENCY_PREFIX}{$domainSum.cost|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}</i></td>
        {/if}

        {if $orderConfig->showMargin}
        <td class="OrderRowTD evenRowTable" align="right"><i>{$domainSum.margin}</i></td>
        {/if}

        <td class="evenRowTable" colspan="3">&nbsp;</td>
      </tr>
      {assign var=hiddenRowAdded value=1}
      {/if}
      <tr {cycle values="class='oddRowTable',class='evenRowTable'"}
          {if $itemorder.operation_type == 10}
            collapse="true"
            {if $orderConfig->automaticCartCollapse}style="display: none;"{/if}
          {else}collapse="false"
          {/if}>
        <td class="OrderRowTD" align="left" valign="top">

          {if $confitem == $itemorder.item_id && !$NotDisplayItem}<b>{/if}         
         
          <table style="width:100%;" border="0" cellspacing="0" cellpadding="0" class="level{$itemorder.level}">
          <tr>
            {if $orderConfig->showQuestionIcon}{if $itemorder.plan_id != -1}
            <td style="width:18px;" valign="top"><a href="
              {if $itemorder.type == "DEPOSIT"}
                {$SCRIPT_DIR}/http/info.php?planName={$itemorder.planAttribute->PlanName|escape:'url'}&descr={$itemorder.planAttribute->Descr|escape:'url'}
              {elseif $itemorder.type != "RESOURCE"}
                {$SCRIPT_DIR}/http/info.php?plan={$itemorder.plan_id}
              {else}
                {$SCRIPT_DIR}/http/rateInfo.php?PlanID={$itemorder.plan_id}&ResourceID={$itemorder.planAttribute->ID}
              {/if}"  class="question_icon">&nbsp;</a></td>
            {/if}{/if}
            <td valign="top">{$itemorder.plan_prefix} {$itemorder.plan_name|escape:'html'} {$itemorder.plan_suffix}</td>
          </tr>
          </table> 

          {if ($CONFIG_INI.ORDER.HIDE_PACI_DETAILS == 'false' && $itemorder.prov.$CLOUD_RES_DISK_PROV_ID) }
            {GetCustomTemplate name="./paci_details.tpl" assign="file"}
            {include file=$file}
          {/if}
          {if $confitem == $itemorder.item_id && !$NotDisplayItem}</b>{/if}
        </td>
        <td style="white-space: nowrap;" class="OrderRowTD" align="left" valign="top">
          {if $confitem == $itemorder.item_id && !$NotDisplayItem}<b>{/if}
          {$itemorder.description}
          {if $confitem == $itemorder.item_id && !$NotDisplayItem}</b>{/if}
        </td>

        {if $orderConfig->showSetupFee}
        <td style="white-space: nowrap;" class="OrderRowTD" align="right" valign="top">

          {if $confitem == $itemorder.item_id && !$NotDisplayItem}<b>{/if}
          {if $itemorder.type == "RESOURCE" && $itemorder.planAttribute->included}
            {$smarty.session.LANG.PLAN_INFO_INCLUDED}
          {else}
            {$smarty.session.LANG.CURRENCY_PREFIX}{$itemorder.setupFee|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}
          {/if}
          {if $confitem == $itemorder.item_id && !$NotDisplayItem}</b>{/if}
        </td>
        <td class="OrderRowTD" align="left" valign="top">
          {if $itemorder.type == "RESOURCE" && $itemorder.tiered_sf_hint != ""}
          <a href="{$SCRIPT_DIR}/http/tierInfo.php?PlanID={$itemorder.plan_id}&ResourceID={$itemorder.planAttribute->ID}&TieredPriceHint={$itemorder.tiered_sf_hint}" class="question_icon" style="background-image:url(static/store-skins/parallels/images/discount-icon.png);">&nbsp;</a>
          {assign var=hasTieredResourceLine value=1}
          {/if}
        </td>
        {/if}

        {if $orderConfig->showSubscriptionFee}
        <td style="white-space: nowrap;" class="OrderRowTD" align="right" valign="top">

          {if $confitem == $itemorder.item_id && !$NotDisplayItem}<b>{/if}
          {if $itemorder.type == "RESOURCE" && $itemorder.planAttribute->included}
            {$smarty.session.LANG.PLAN_INFO_INCLUDED}
          {else}
            {$smarty.session.LANG.CURRENCY_PREFIX}{$itemorder.subscriptionFee|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}
          {/if}
          {if $confitem == $itemorder.item_id && !$NotDisplayItem}</b>{/if}
        </td>
        <td class="OrderRowTD" align="left" valign="top">
          {if $itemorder.type == "RESOURCE" && $itemorder.tiered_rf_hint != ""}
          <a href="{$SCRIPT_DIR}/http/tierInfo.php?PlanID={$itemorder.plan_id}&ResourceID={$itemorder.planAttribute->ID}&TieredPriceHint={$itemorder.tiered_rf_hint}" class="question_icon" style="background-image:url(static/store-skins/parallels/images/discount-icon.png);">&nbsp;</a>
          {assign var=hasTieredResourceLine value=1}
          {/if}
        </td>
        {/if}

        {if $orderConfig->showOldPrice}
        <td style="white-space: nowrap;" class="OrderRowTD" align="right" valign="top">
          {if $confitem == $itemorder.item_id && !$NotDisplayItem}<b>{/if}
          {if $itemorder.type == "RESOURCE" && $itemorder.planAttribute->included}
            {$smarty.session.LANG.PLAN_INFO_INCLUDED}
          {else}
            <span class="PBA-oldprice">{$smarty.session.LANG.CURRENCY_PREFIX}{$itemorder.old_price|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}</span>
          {/if}
          {if $confitem == $itemorder.item_id && !$NotDisplayItem}</b>{/if}
        </td>
        {/if}

        {if $orderConfig->showDiscount}
        <td style="white-space: nowrap;" class="OrderRowTD" align="right" valign="top">

          {if $confitem == $itemorder.item_id && !$NotDisplayItem}<b>{/if}
          {if $itemorder.type == "RESOURCE" && $itemorder.planAttribute->included}
            {$smarty.session.LANG.PLAN_INFO_INCLUDED}
          {else}
            {$smarty.session.LANG.CURRENCY_PREFIX}{$itemorder.discount|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}
          {/if}
          {if $confitem == $itemorder.item_id && !$NotDisplayItem}</b>{/if}
        </td>
        {/if}

        {if $orderConfig->showPrice}
        <td style="white-space: nowrap;" class="OrderRowTD" align="right" valign="top">

          {if $confitem == $itemorder.item_id && !$NotDisplayItem}<b>{/if}
          {if $itemorder.type == "RESOURCE" && $itemorder.planAttribute->included}
            {$smarty.session.LANG.PLAN_INFO_INCLUDED}
          {else}
            {$smarty.session.LANG.CURRENCY_PREFIX}{$itemorder.extended_price|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}
          {/if}
          {if $confitem == $itemorder.item_id && !$NotDisplayItem}</b>{/if}
        </td>
        {/if}

        {if $orderConfig->showCost}
        <td style="white-space: nowrap;" class="OrderRowTD" align="right" valign="top">

          {if $confitem == $itemorder.item_id && !$NotDisplayItem}<b>{/if}
          {if $itemorder.type == "RESOURCE" && $itemorder.planAttribute->included}
            {$smarty.session.LANG.PLAN_INFO_INCLUDED}
          {else}
            {$smarty.session.LANG.CURRENCY_PREFIX}{$itemorder.cost|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}
          {/if}
          {if $confitem == $itemorder.item_id && !$NotDisplayItem}</b>{/if}
        </td>
        {/if}

        {if $orderConfig->showMargin}
        <td style="white-space: nowrap;" class="OrderRowTD" align="right" valign="top">

          {if $confitem == $itemorder.item_id && !$NotDisplayItem}<b>{/if}
          {if $itemorder.type == "RESOURCE" && $itemorder.planAttribute->included}
            {$smarty.session.LANG.PLAN_INFO_INCLUDED}
          {else}
            {$itemorder.margin}
          {/if}
          {if $confitem == $itemorder.item_id && !$NotDisplayItem}</b>{/if}
        </td>
        {/if}

        {if $orderConfig->showSKU}
        <td style="white-space: nowrap;" class="OrderRowTD" align="left" valign="top">
          {if $confitem == $itemorder.item_id && !$NotDisplayItem}<b>{/if}
          {$itemorder.SKU|nl2br}
          {if $confitem == $itemorder.item_id && !$NotDisplayItem}</b>{/if}
        </td>
        {/if}

        <td class="OrderRowTD" align="right" valign="top" nowrap="nowrap">
           {if $itemorder.conf_query_string}
              {if !$disableAction}
                  <a href="javascript:post(['operationType', 'modifyOrderItem', 'lineNo', '{$itemorder.item_id}']);" class="IconModify">
                      {$smarty.session.LANG.ORDER_DETAILS_OITEM_MODIFY}
                  </a>&nbsp;
              {/if}
          {else}&nbsp;{/if}


            {if !$disableAction}
                <a href="{$itemorder.del_query_string}" onclick="return confirmRemove();" class="IconRemove">
                    {$smarty.session.LANG.ORDER_DETAILS_OITEM_REMOVE}
                </a>
            {/if}

        </td>
      </tr>

  {/foreach}

      <!-- Total Prices -->
      <tr>
       <td class="OrderRowTD Line OrderTotalBottomLine" colspan="{$orderConfig->taxesColSpan + 1}" align="right" valign="middle">

          {if $orderConfig->allowPromoCode}
          	<div align="left">
            {GetCustomTemplate name="./promocode.tpl" assign="file"}
            {include file=$file buttontype=submit}
          </div>
          {/if}
          <div id="TotalsExtraCharge" style="display:{if $Totals_ExtraCharge == 0 }none{/if}"><!-- make it a block item to add <br/> w/o space symbol in FF -->
              {$smarty.session.LANG.HANDLING_FEE}: {$smarty.session.LANG.CURRENCY_PREFIX}<span id="TotalsExtraChargeDiv">{$Totals_ExtraCharge|numformat}</span>{$smarty.session.LANG.CURRENCY_POSTFIX}
          </div>
          {if $orderConfig->showTaxes == 1}
          <div><!-- make it a block item to add <br/> w/o space symbol in FF -->
            {$smarty.session.LANG.ORDER_DETAILES_SALES_TAX}
            {$smarty.session.LANG.CURRENCY_PREFIX}<span id="totalTaxDIV">{$Totals_TaxTotal|numformat}</span>{$smarty.session.LANG.CURRENCY_POSTFIX}
          </div>
          {elseif $orderConfig->showTaxes == 2}
              <div id="TaxListDIV">
                  {foreach item=tax from=$Totals_TaxesList}
                    {$tax.Name}: {$smarty.session.LANG.CURRENCY_PREFIX}{$tax.Value|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}<br />
                  {/foreach}
              </div>
          {/if}
           <div style="padding-top:5px"><b>{$smarty.session.LANG.ORDER_DETAILS_TOTAL}:&nbsp;{$smarty.session.LANG.CURRENCY_PREFIX}<span id="totalOrderDIV">{$Totals_OrderTotal|numformat}</span>{$smarty.session.LANG.CURRENCY_POSTFIX}</b></div>
        </td>
        <td class="OrderRowTD Line OrderTotalBottomLine">&nbsp;</td>
      </tr>
      </table>

    </td>
  </tr>
  </table>

  {if $hasTieredResourceLine}
  <table style="width:100%;" border="0" cellspacing="0" cellpadding="0">
    <tr style="height:8px;">
      <td></td><td></td>
    </tr>
    <tr>
      <td style="white-space:nowrap;width:16px;background-image:url(static/store-skins/parallels/images/discount-icon.png);" align="left" valign="top">&nbsp;</td>
      <td><label>&nbsp;{$smarty.session.LANG.TIERED_PRICING_ORDER_DETAILS_HINT}</label></td>
    </tr>
  </table>
  {/if}

  {if $doNotRequireAdditional || $allowAddToExisting}

  <table class="tableFooter tableOrderFooter" cellpadding="0" cellspacing="0">
  <tr>
    <td class="tableFooterTD tableOrderFooterTD" style="width: 50%;" align="left" >
      {if !$hideBack && !$disableAction}
        {if !$hideOrderButtons}
        <button class="buttonBack"  title="{$smarty.session.LANG.BUTTON_BACK}"
            id="neworderButton_back"
            onclick="post(['operationType', 'goPreviousScreen']);"
            >{$smarty.session.LANG.BUTTON_BACK}</button>
        {/if}
      {/if}
    </td>
    <td class="tableFooterTD tableOrderFooterTD" style="width: 50%;" align="right">
    </td>
  </tr>
  </table>   

  <table class="tableHeader tableHeader_noService" cellspacing="0" cellpadding="0">
  <tr>
    <td class="tableHeaderTD"></td>
  </tr>
  </table>
  {assign var=screen_order value=0}
  {foreach from=$path item=path_item key=key}
    {if ($path_item.screen eq $SCREEN)}
        {assign var=screen_order value=$key}
    {/if}
  {/foreach}
  {if $CONFIG_INI.SCREEN.$SCREEN.TEMPLATE eq "HOSTING" && $screen_order > 0}
    {GetCustomTemplate name="additional_services_struct.tpl" assign="file"}
    {include file=$file}
  {elseif $CONFIG_INI.SCREEN.$SCREEN.TEMPLATE neq "APS_SERVICE"}
    <form action="{$baseURL}" method="POST" name="frmStore" id="checkoutForm">
  <input type="hidden" name="operationType" value="continue" />

  <table class="tableContent tableContent_noService" cellpadding="0" cellspacing="0">
  <tr>
    <td class="tableContentTD noServiceOrAppend" align="left">

      <table border="0" cellspacing="2" cellpadding="0">

      {if $doNotRequireAdditional}
        {if $allowAddToExisting}

        <tr>
         	<td style="width:20px;"><input type="radio" name="noServiceOrAppend" id="no_noServiceOrAppend" value="no" /></td>
          <td>

            <label for="no_noServiceOrAppend">
              {$smarty.session.LANG.NO_ADDITIONAL_SERVICES_REQUIRED}<br/>
            </label>

          </td>
        </tr>

        {else}
	  <tr>
	    <td>{$smarty.session.LANG.NO_ADDITIONAL_SERVICES_REQUIRED}</td>
	  </tr>  
        {/if}
      {/if}
      {if $allowAddToExisting}
        {if $doNotRequireAdditional}

        <tr>
          <td style="width:20px;"><input type="radio" name="noServiceOrAppend" id="append_noServiceOrAppend" value="append"/></td>
          <td>

            <label for="append_noServiceOrAppend">
              {$smarty.session.LANG.ADD_TO_EXISTING_SUBSCRIPTION}
            </label>

          </td>
        </tr>

        {else}

          <tr>
            <td>{$smarty.session.LANG.ADD_TO_EXISTING_SUBSCRIPTION}</td>
          </tr>

        {/if}

      {/if}

      </table> 

    </td>
    <td  class="tableContentTD" align="right" valign="bottom">
      {if !$hideContinue && $orderCanContinue || $allowAddToExisting}
        {if !$hideOrderButtons}
        <button class="buttonContinue" type="submit"
                id="neworderButton_next"
                {if $doNotRequireAdditional && $allowAddToExisting}disabled{/if}
                >{$smarty.session.LANG.BUTTON_NEXT}</button>
        {/if}
      {/if}

    </td>
  </tr>
  </table>

  </form>
  {/if}
  <table class="tableFooter tableFooter_noService" cellpadding="0" cellspacing="0">
  <tr>
    <td class="tableFooterTD" align="right">&nbsp;</td>
  </tr>
  </table>       
        {if $doNotRequireAdditional && $allowAddToExisting}
        {literal}
        <script type="text/javascript" language="javascript">
        function neworder_radioClicked(e) {
          var button = SW.DOM.byId('neworderButton_next');
          SW.Button.setDisabled(button, false);
        }
        SW.Signal.addLoadEvent(function () {
          SW.Signal.connect(SW.DOM.byId('no_noServiceOrAppend'), 'onclick', null, neworder_radioClicked);
          SW.Signal.connect(SW.DOM.byId('append_noServiceOrAppend'), 'onclick', null, neworder_radioClicked);
        });
        </script>
        {/literal}
        {/if}

  {else}

  <!-- button back/continue-->
  <table class="tableFooter tableOrderFooter" cellpadding="0" cellspacing="0">
  <tr>
    <td class="tableFooterTD tableOrderFooterTD" style="width: 50%;" align="left" >
      {if !$hideBack && !$disableAction}
        {if !$hideOrderButtons}
        <button class="buttonBack"  title="{$smarty.session.LANG.BUTTON_BACK}"
            id="neworderButton_back"
            onclick="post(['operationType', 'goPreviousScreen']);"
            >{$smarty.session.LANG.BUTTON_BACK}</button>
        {/if}
      {/if}
    </td>
    <td class="tableFooterTD tableOrderFooterTD" style="width: 50%;" align="right">
      {if !$hideContinue && $orderCanContinue && !$disableAction}
        {if !$hideOrderButtons}
        <button class="buttonContinue" type="submit"
                id="neworderButton_next"
                onClick="post(['operationType', 'goNextScreen']);"
                >{$smarty.session.LANG.BUTTON_NEXT}</button>
        {/if}
      {/if}
    </td>
  </tr>
  </table>

  {/if}

  <!-- This form is for Continue button (include next.tpl) -->
  <form action="{$URL_ACTION}" method="POST" name="frmContinueScreen">
    <input type="hidden" name="screen" value="{$SCREEN}">
    <input type="hidden" name="NAME_PATH" value="{$NAME_PATH}">
    <input type="hidden" name="continue" value="continue">
  </form>


<!-- end of neworder.tpl -->
