<!-- sso_auth.tpl -->
<table>
  <tr>
    <td>
      <input id="IdentityAccount" name="IdentityAccount" type="hidden" value='{$account->IdentityAccount}'></input>
      <input id="LoginID" name="LoginID" type="hidden" value='{$account->LoginID}'></input>
      <div id="mashUpArea"></div>
    </td>
  </tr>
</table>

<script src="/aps/2/ui/runtime/host/aps-host-pa.js"></script>
<script src="/aps/2/ui/runtime/host/aps-apsc.js"></script>

<script>
  {literal}
    aps = window.aps || {};
    aps.apsc = aps.apsc || {};

    aps.context = {/literal}{$aps_context};
    {if $account->IdentityAccount}
    aps.context.params.account = JSON.parse('{decrypt var=$account->IdentityAccount}');
    {/if}
    {literal};

    var mashupArea = document.getElementById("mashUpArea");
    var managedHub = aps.hub.createManagedHub(aps.context.view.src, mashupArea);
    managedHub.subscribe("aps.sso.account", onAccount);

    var do_submit = false;
    var button;
    loader( function() {
      button = document.getElementById('apt');
      button.onclick = function(e) {
        if (do_submit) {
          do_submit = false;
          return;
        }
        // aps.app.onSubmit(); do not work more than one time
        managedHub.publish("aps.apsc.proxy", {"functionName":"onSubmit", "args":null});
        e.preventDefault();
      };
    });

    function onAccount(event, data) {
      document.getElementById('IdentityAccount').value = JSON.stringify(data.account);
      document.getElementById('LoginID').value = data.login;
      do_submit = true;
      button.click();
    }
  {/literal}
</script>

<!-- /sso_auth.tpl -->
