<html>
<head>
<title>TERMS OF SERVICE</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="keywords" content="{$META_KEYWORDS}" />
<meta name="description" content="{$META_DESCRIPTION}" />
<link rel="stylesheet" type="text/css" href="{$SCRIPT_DIR}/http/getcss.php"/>
</head>

<body id="termsofservice">
<!--
  termsofservice.tpl
-->
<h2>TERMS OF SERVICE</h2>

The following Terms of Service govern all products and services provided by Provider Inc, its affiliates, successors and assigns ("Company") to its customers ("Customer").

<h3>1. Order, Acceptance and Service.</h3>

<p>
(a) Unless otherwise stated by an agreement signed in writing by Customer and Company, these Terms of Service shall apply to all products and services provided by Company to Customer.
</p>
<p>
(b) Company will provide, and Customer will purchase and pay for, the Services specified in the Order for the service fees specified in the Order and the applicable Service Description (the "Service Fees").
</p>
<p>
(c) In connection with any Hosting Services, Customer will not use any product or service in excess of the applicable limits established for the Services in the Service Descriptions. If Customer uses storage space in excess of such applicable limits, Company may, without limiting its other rights or remedies, assess Customer with additional fees or suspend or terminate the Services.
</p>

<h3>2. Fees, Taxes and Payment. </h3>

<p>
Customer will pay to Company the Service Fees in the manner set forth in the Order. Company may increase the Service Fees (i) in the manner permitted in the Service Description and (ii) at any time on or after expiration of the Initial Term by providing ten (10) days prior written notice thereof to Customer. The Service Fees do not include any applicable sales, use, revenue, excise or other taxes imposed by any taxing authority with respect to the Services or any software provided hereunder (excluding any tax on Company's net income). All such taxes will be added to Company's invoices for the Service Fees as separate charges to be paid by Customer. All fees are fully earned when due and non-refundable when paid. Unless otherwise specified, invoices for the Service Fees and related charges shall be due and payable within 30 days after the date of the invoice. If any invoice is not paid within 45 days after the date of the invoice, Company may charge Customer a late fee of $15 for such invoice; in addition any amounts payable to Company not paid when due will bear interest at the rate of one and one half percent (1.5%) per month or the maximum rate permitted by applicable law, whichever is less. Delinquent accounts may be suspended at Company's sole discretion. In the event of a suspension of the Services, upon a reactivation request by Customer, Customer shall pay Company a reactivation fee in addition to full payment of the outstanding balance due. Reactivation of services will only be performed during Company's normal business hours (Monday through Friday, 9:00 am 6:00 p.m., Eastern Time, excluding holidays.) If Company collects any payment due at law or through an attorney at law or under advice therefrom or through a collection agency, or if Company prevails in any action to which the Customer and Company are parties, Customer will pay all costs of collection, arbitration and litigation, including, without limitation, all court costs and Company's reasonable attorneys' fees. If any Customer payment is returned for insufficient funds Company will impose a processing charge of $25. If two or more Customer payments are returned for insufficient funds in any 6 month period, Company in its sole discretion may require alternative payment methods for all future Customer payments including, without limitation, credit card, money order, or cashier's check.
</p>

<h3>3. Term and Termination.</h3>

<p>
(a) Hosting Services will commence on the Effective Date indicated in the Order and continue for the duration of the Initial Term. Thereafter, the Order will automatically renew for successive one month periods unless the Order is earlier terminated in accordance with its terms or either party gives written notice to the other party of non-renewal at least 30 days prior to expiration of the then-current term. 
</p>

<p>
(b) Either party may terminate this Agreement immediately upon the occurrence of any one or more of the following events: (i) the other party fails to pay when due any amounts required to be paid under this Agreement; (ii) the other party breaches any material term or provision of this Agreement (other than a breach described in subsection (i) above), and if capable of cure, such breach remains uncured 30 days after the non-breaching party gives written notice thereof to the breaching party; or (iii) the other party becomes insolvent, makes an assignment for the benefit of its creditors, institutes or becomes subject to any proceeding under any bankruptcy or similar laws for the relief of debtors, or seeks the appointment of, or becomes subject to the appoint of, any trustee or receiver for all or any portion of such party's assets.
</p>

<p>
(c) Company may terminate this Agreement (i) if the Services are prohibited by applicable law, or become impractical or unfeasible for any technical, legal or regulatory reason, by giving Customer as much prior notice as reasonably practicable or (ii) immediately by giving written notice to Customer, if Company determines in good faith that Customer's use of the Customer website or the Customer Content violates the Acceptable Use Policy. 
</p>

<p>
(d) Upon termination of this Agreement for any cause or reason whatsoever, neither party shall have any further rights or obligations under this Agreement, except as expressly set forth herein. The provisions of Sections 3(d), 4, 8, 10, 11, 13 and 15 of this Agreement shall survive the expiration or termination of this Agreement for any cause or reason whatsoever, and, notwithstanding the expiration or termination of this Agreement, the parties shall each remain liable to the other for any indebtedness or other liability theretofore arising under this Agreement. Termination of this Agreement and retention of pre-paid fees and charges shall be in addition to, and not be in lieu of, any other legal or equitable rights or remedies to which Company may be entitled. 
</p>

<p>
(e) Within 30 days after the termination of this Agreement, Customer will pay the Company an amount equal to one hundred percent (100%) of the fees that would become due over the balance of the then-current Term ("Termination Charge") to Company unless (i) Company terminated the Order under Section 3(c) or (ii) Customer terminated the Order under Section 3(b). The parties agree that the Termination Charge constitutes consideration for Company's time, effort and expense in preparing and reserving the capacity to perform its obligations hereunder, as actual damages are difficult to ascertain. If Customer terminates the Order in accordance with Section 3(b), or if Company terminates the Order under Sections 3(c)(i) or 12(c), Company shall return to Customer, and Customer shall accept, as Customer's sole and exclusive remedy for Company's breach of the Order, any Service Fees paid in advance by Customer hereunder attributable to Services not yet rendered as of the date of termination. 
</p>

<h3>4. Customer's Representations and Warranties. </h3>

<p>
Customer hereby represents and warrants to Company, and agrees that during the Term Customer will ensure that: (a) Customer is the owner or valid licensee of the Customer Content and each element thereof, and Customer has secured all necessary licenses, consents, permissions, waivers and releases for the use of the Customer Content and each element thereof, including without limitation, all trademarks, logos, names and likenesses contained therein, without any obligation by Company to pay any fees, residuals, guild payments or other compensation of any kind to any Person; (b) Customer's use, publication and display of the Customer Content will not infringe any copyright, patent, trademark, trade secret or other proprietary or intellectual property right of any Person, or constitute a defamation, invasion of privacy or violation of any right of publicity or any other right of any Person, including, without limitation, any contractual, statutory or common law right or any "moral right" or similar right however denominated; (c) Customer will comply with all applicable laws, rules and regulations regarding the Customer Content and the Customer website and will use the Customer website only for lawful purposes; (d) Customer has used its best efforts to ensure that the Customer Content is and will at all times remain free of all computer viruses, worms, trojan horses and other malicious code; and (e) Customer will use the Services only for business purposes and not for any family, household or personal use.
</p>

<h3>5. License to Company.</h3>

<p>
Customer hereby grants to Company a non-exclusive, royalty-free, worldwide right and license during the Term to do the following to the extent necessary in the performance of Services under the Order: (a) digitize, convert, install, upload, select, order, arrange, compile, combine, synchronize, use, reproduce, store, process, retrieve, transmit, distribute, publish, publicly display, publicly perform and hyperlink the Customer Content; and (b) make archival or back-up copies of the Customer Content and the Customer website. Except for the rights expressly granted above, Company is not acquiring any right, title or interest in or to the Customer Content, all of which shall remain solely with Customer. 
</p>

<h3>6. Company's Acceptable Use Policy.</h3>
<p>
Customer will abide by, and utilize the Services and the Customer website only in accordance with, the Acceptable Use Policy (the "Acceptable Use Policy") that Company posts on its website, as such Acceptable Use Policy may be changed by Company from time to time. The Acceptable Use Policy is hereby incorporated herein and made a part hereof by this reference. Customer shall impose the Acceptable Use Policy on its customers and End Users to the extent necessary to ensure their compliance. Customer shall familiarize itself with the Acceptable Use Policy and periodically access Company's website to determine if Company has made any changes thereto.
</p>

<h3>7. Customer's Responsibilities.</h3>
<p>
(a) Customer is solely responsible for the quality, performance and all other aspects of the Customer Content and the goods or services provided through the Customer website. 
</p>
<p>
(b) Customer will cooperate fully with Company in connection with Company's performance of the Services. Customer must provide any equipment or software that may be necessary for Customer to use the Services. Delays in Customer's performance of its obligations under this Agreement will extend the time for Company's performance of its obligations that depend on Customer's performance on a day for day basis. Customer will notify Company of any change in Customer's mailing address, telephone, e-mail or other contact information. 
</p>
<p>
(c) Customer assumes full responsibility for providing End Users with any required disclosure or explanation of the various features of the Customer website and any goods or services described therein, as well as any rules, terms or conditions of use. 
</p>
<p>
(d) Customer will provide Company with a registered domain name for the Customer website, or, upon Customer's request and subject to the Domain Name Registration Terms and Conditions that Company posts on its website, the provisions of which are incorporated herein by this reference, Company will register an Internet domain name on behalf of Customer.
</p>
<p>
(e) Because the Hosting Services permit Customer to electronically transmit or upload content directly to the Customer website, Customer shall be fully responsible for uploading all content to the Customer website and supplementing, modifying and updating the Customer website. Customer is also responsible for ensuring that the Customer Content and all aspects of the Customer website are compatible with the hardware and software used by Company to provide the Hosting Services, as the same may be changed by Company from time to time. Specifications for the hardware and software used by Company to provide the Hosting Services will be available on Company's website. Customer shall periodically access Company's website to determine if Company has made any changes thereto. Company shall not be responsible for any damages to the Customer Content, the Customer website or other damages or any malfunctions or service interruptions caused by any failure of the Customer Content or any aspect of the Customer website to be compatible with the hardware and software used by Company to provide the Hosting Services.
</p>
<p>
(f) Unless the applicable Service Description provides otherwise, Customer is solely responsible for making back-up copies of the Customer website and Customer Content. 
</p>

<h3>8. Company Intellectual Property.</h3>
<p>
(a) Company hereby grants to Customer a non-exclusive, non-transferable, royalty-free license, exercisable solely during the term of this Agreement, to use applicable Company Technology solely for the purpose of accessing and using the Services. Customer may not use the Company Technology for any purpose other than accessing and using the Services. Except for the rights expressly granted above, this Agreement does not transfer from Company to Customer any Company Technology, and all rights, titles and interests in and to the Company Technology shall remain solely with Company. Customer shall not, directly or indirectly, reverse engineer, decompile, disassemble or otherwise attempt to derive source code or other trade secrets from any of the Company Technology. 
</p>
<p>
(b) Company's trademarks, tradenames, service marks, logos, other names and marks, and related product and service names, design marks and slogans are the sole and exclusive property of Company. Customer may not use any of the foregoing in any advertising, publicity or in any other commercial manner without the prior written consent of Company. Company shall maintain and control ownership of all Internet protocol numbers and addresses that may be assigned by Company to Customer. Company may, in its sole discretion, change or remove any and all such Internet protocol numbers and addresses. 
</p>
<p>
(c) Any feedback, data, answers, questions, comments, suggestions, ideas or the like which Customer sends to Company relating to the Services will be treated as being non-confidential and non-proprietary. Company may use, disclose or publish any ideas, concepts, know-how or techniques contained in such information for any purpose whatsoever. 
</p>

<h3>9. Limited Warranty.</h3>
<p>
(a) Company represents and warrants to Customer that the Services will be performed (i) in a manner consistent with industry standards reasonably applicable to the performance thereof; (ii) at least at the same level of service as provided by Company generally to its other customers for the same services; and (iii) in compliance in all material respects with the applicable Service Descriptions. Customer will be deemed to have accepted such Services unless Customer notifies Company within 30 days after performance of any Services of any breach of the foregoing warranties. Customer's sole and exclusive remedy, and Company's sole obligation, for breach of the foregoing warranties shall be for Company, at its option, to re-perform the defective Services at no cost to Customer, or, in the event of interruptions to the Services caused by a breach of the foregoing warranties, issue Customer a credit in an amount equal to the current monthly Service Fees pro rated by the number of hours in which the Services have been interrupted. Company may provision the Services from any of its data centers and may from time to time re-provision the Services from different data centers.
</p>
<p>
(b) The foregoing warranties shall not apply to performance issues or defects in the Services (i) caused by factors outside of Company's reasonable control; (ii) that resulted from any actions or inactions of Customer or any third parties; or (iii) that resulted from Customer's equipment or any third-party equipment not within the sole control of Company.
</p>
<p>
(c) EXCEPT AS EXPRESSLY PROVIDED IN THIS SECTION 9, COMPANY MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND, EXPRESS OR IMPLIED, WITH RESPECT TO THE SERVICES OR ANY SOFTWARE PROVIDED UNDER THIS AGREEMENT, INCLUDING, WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE OR NON-INFRINGEMENT OF THIRD-PARTY RIGHTS, AND COMPANY HEREBY EXPRESSLY DISCLAIMS THE SAME. WITHOUT LIMITING THE FOREGOING, ANY THIRD-PARTY SOFTWARE PROVIDED TO CUSTOMER HEREUNDER IS PROVIDED "AS IS" WITHOUT ANY CONDITION OR WARRANTY WHATSOEVER. COMPANY DOES NOT WARRANT THAT THE SERVICES WILL BE UNINTERRUPTED, ERROR-FREE OR COMPLETELY SECURE.
<p>

<h3>10. Limitation of Liability.</h3>
<p>
(a) THE SERVICES PROVIDE THE PUBLIC WITH ACCESS TO THE WEBSITES OF ITS CUSTOMERS AS STORED IN ELECTRONIC FORM. BECAUSE SUCH ELECTRONIC DATA CAN BE CORRUPTED OR LOST REGARDLESS OF WHAT PROTECTIONS ARE PROVIDED, AND BECAUSE PUBLICLY AVAILABLE WEBSITES ARE SUBJECT TO POTENTIAL INFILTRATION OR HACKING BY THIRD PARTIES, COMPANY CANNOT BE HELD LIABLE FOR LOST DATA OR ANY LOST PROFITS OR OTHER DAMAGES RELATED THERETO. CUSTOMER IS THEREFORE EXPECTED TO MAINTAIN INDEPENDENT BACKUP COPIES OF ANY DATA STORED ON A SERVER STORED WITH COMPANY. AS A RESULT, THE FOLLOWING LIMITATIONS OF LIABILITY APPLY REGARDLESS OF THE LEGAL BASIS FOR ANY CLAIM AGAINST COMPANY, AND WILL APPLY TO ANY LOSSES CAUSE BY THE ACTIONS, OMISSIONS, OR NEGLIGENCE OF COMPANY OR ITS AGENTS OR EMPLOYEES.
</p>
<p>
(b) IN NO EVENT WILL COMPANY'S LIABILITY IN CONNECTION WITH THE SERVICES, ANY SOFTWARE PROVIDED HEREUNDER OR ANY ORDER, WHETHER CAUSED BY FAILURE TO DELIVER, NON-PERFORMANCE, DEFECTS, BREACH OF WARRANTY OR OTHERWISE, EXCEED THE AGGREGATE SERVICE FEES PAID TO COMPANY BY CUSTOMER DURING THE 12-MONTH PERIOD IMMEDIATELY PRECEDING THE EVENT GIVING RISE TO SUCH LIABILITY.
</p>
<p>
(c) COMPANY CANNOT GUARANTEE CONTINUOUS SERVICE, SERVICE AT ANY PARTICULAR TIME, INTEGRITY OF DATA, INFORMATION OR CONTENT STORED OR TRANSMITTED VIA THE INTERNET. COMPANY WILL NOT BE LIABLE FOR ANY UNAUTHORIZED ACCESS TO, OR ANY CORRUPTION, ERASURE, THEFT, DESTRUCTION, ALTERATION OR INADVERTENT DISCLOSURE OF, DATA, INFORMATION OR CONTENT TRANSMITTED, RECEIVED OR STORED ON ITS SYSTEM.
</p>
<p>
(d) EXCEPT AS EXPRESSLY PROVIDED BELOW, NEITHER PARTY SHALL BE LIABLE IN ANY WAY TO THE OTHER PARTY OR ANY OTHER PERSON FOR ANY LOST PROFITS OR REVENUES, LOSS OF USE, LOSS OF DATA OR COSTS OF PROCUREMENT OF SUBSTITUTE GOODS, LICENSES OR SERVICES OR SIMILAR ECONOMIC LOSS, OR FOR ANY PUNITIVE, INDIRECT, SPECIAL, INCIDENTAL, CONSEQUENTIAL OR SIMILAR DAMAGES OF ANY NATURE, WHETHER FORESEEABLE OR NOT, UNDER ANY WARRANTY OR OTHER RIGHT HEREUNDER, ARISING OUT OF OR IN CONNECTION WITH THE PERFORMANCE OR NON-PERFORMANCE OF ANY ORDER, OR (EXCEPT AS PROVIDED IN SECTIONS 11 AND 12) FOR ANY CLAIM AGAINST THE OTHER PARTY BY A THIRD PARTY, REGARDLESS OF WHETHER IT HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH CLAIM OR DAMAGES.
</p>
<p>
(e) The limitations contained in this Section 10 apply to all causes of action in the aggregate, whether based in contract, tort or any other legal theory (including strict liability), other than claims based on fraud or willful misconduct. The limitations contained in Section 10(c) shall not apply to liability arising on account of a party's breach of Section 13 or to Customer's indemnification obligations under Section 11.
</p>

<h3>11. Indemnification of Company.</h3>
<p>
Customer shall defend, indemnify and hold harmless Company, its affiliates and their respective present, former and future officers, directors, employees and agents, and their respective heirs, legal representatives, successors and assigns (collectively the "Company Indemnitees"), from and against any and all losses, damages, costs, liabilities and expenses (including, without limitation, amounts paid in settlement and reasonable attorneys' fees) which any of the Company Indemnitees may suffer, incur or sustain resulting from or arising out of (i) Customer's breach of any representation, warranty, or covenant contained in the Agreement, (ii) the Customer Content, the Customer website or any End User's use of the Customer Content or the Customer website, (iii) violation by Customer or any of its officers, directors, employees or agents of the Acceptable Use Policy or any applicable law, (iv) claims or actions of third parties alleging misappropriation of trade secrets or infringement of patents, copyrights, trademarks or other intellectual property rights arising from the use, display or publication of Customer's domain names, the Customer website, the Customer Content, or the use of the Services in combination with hardware, software or content not provided by Company, (v) claims or actions by third parties relating to or arising out of Customer's use of the Services, and (vi) any failure of the Customer Content or any aspect of the Customer website to be compatible with the hardware or software used by Company to provide the Services, including any damage to Company's servers or other hardware caused thereby.
</p>

<h3>12. Indemnification of Customer. </h3>
<p>
(a) Subject to Section 10, Company shall, at its own expense, indemnify, defend and hold Customer harmless from any claim or suit alleging that the Services infringe any United States patent, copyright or trademark existing on the Effective Date, or that Company has knowingly misappropriated any trade secret or other intellectual property right of any other Person, including any losses, damages or expenses arising from any such claim or suit. Customer agrees to cooperate with and assist Company in the defense or settlement of any such claim or suit. Customer shall be reimbursed for all reasonable out-of-pocket expenses incurred in providing any cooperation or assistance requested by Company, but Company will not be liable for any costs or expenses incurred without its prior written authorization. 
</p>
<p>
(b) Promptly after receipt by Customer of a threat of any claim or suit, or a notice of the commencement or filing of any claim or suit, against which Customer may be indemnified hereunder, Customer shall give written notice thereof to Company, provided that failure to give or delay in giving such notice to Company shall not relieve Company of any liability it may have to Customer hereunder, except to the extent that the defense of such claim or suit is prejudiced thereby. Company shall have sole control of the defense, and of all negotiations for settlement, of such claim or suit. Subject to the foregoing, Customer may participate in the defense of any such claim or suit at Customer's own expense. 
</p>
<p>
(c) If an injunction, decree or judgment is, or Company believes in its sole discretion is likely to be, entered providing that Customer may not use the Services as contemplated in this Agreement without violating the intellectual property rights of a third party, Company may, at its sole option and expense, either (i) procure for Customer the right to use the Services or affected part thereof as provided in this Agreement; (ii) replace the Services or affected part thereof with other non-infringing services or modify the Services or affected part thereof so as to be non-infringing; or (iii) terminate this Agreement upon written notice to Customer. 
</p>
<p>
(d) Notwithstanding Section 12(a), Company assumes no liability for infringement claims arising from (i) use of the Services with third-party products or services where the third-party products or services cause the infringement, (ii) any modification of the Services not authorized by Company in writing, (iii) the Customer Content, the Customer website or any content, data or information provided or supplied by an End User, or (iv) Customer's use of any third-party software provided hereunder. THE FOREGOING DEFENSE AND INDEMNIFICATION PROVISIONS STATE THE ENTIRE LIABILITY AND OBLIGATION OF COMPANY, AND THE EXCLUSIVE REMEDY OF CUSTOMER, WITH RESPECT TO ANY ACTUAL OR ALLEGED INFRINGEMENT OF ANY INTELLECTUAL PROPERTY RIGHT BY THE SERVICES PROVIDED HEREUNDER.
</p>

<h3>13. Confidentiality; Non-Solicitation. </h3>
<p>
(a) Each party will not, without the prior written consent of the other party, use or disclose to any Person any Proprietary Information of the other party disclosed or made available to it, except for use of such Proprietary Information as required in connection with the performance of its obligations or use of the Services hereunder. Subject to Section 13(b), each party will (i) treat the Proprietary Information of the other party as secret and confidential, (ii) limit access to the Proprietary Information of the party to those of its employees who require it in order to effectuate the purposes of this Agreement, and (iii) not disclose the Proprietary Information of the other party to any other Person without the prior written consent of the other party.
</p>
<p>
(b) Notwithstanding Section 13(a), the following shall not be considered Proprietary Information: (i) any information that the receiving party can demonstrate by written documentation was within its legitimate possession prior to the time of disclosure by the disclosing party; (ii) any information that was in the public domain prior to disclosure by the disclosing party as evidenced by documents that were published prior to such disclosure; (iii) any information that, after disclosure by the disclosing party, comes into the public domain through no fault of the receiving party, (iv) any information that is disclosed to the receiving party without restriction by a third party who has legitimate possession thereof and the legal right to make such disclosure; or (v) any information that, two years after expiration or termination of this Agreement, does not constitute a trade secret under applicable law.
</p>
<p>
(c) Each party acknowledges that disclosure of any aspect of the Proprietary Information of the other party shall immediately give rise to continuing irreparable injury to the other party inadequately compensable in damages at law, and, without prejudice to any other remedy available to the other party, shall entitle the other party to injunctive or other equitable relief. Upon expiration or termination of this Agreement for any reason, each party shall promptly return to the other party all Proprietary Information of the other party (including all copies thereof) in its possession or control.
</p>
<p>
(d) During the term of this Agreement and for two years following expiration or termination of this Agreement, Customer will not, directly or indirectly, solicit or recruit the services of any employee of Company performing services under this Agreement, while such employee is employed by Company and for a period of six months after such employee has left the employment of Company.
</p>

<h3>14. Optional Services. In connection with any Optional Services:</h3>
<p>
(a) Customer must provide Company with any information, login identifications, passwords or other information or access to facilities that Company may reasonably require to provide the Optional Services Company will have no responsibility for any delays or increased costs or expenses associated with Customer's failure to provide any of such information. If Customer does not provide any such information or access requested by Company within fifteen (15) days of Company's request therefor, Company may terminate the Order and retain any Service Fees paid.
</p>
<p>
(b) If Customer requested that Company perform the Optional Services by a particular deadline or that Company achieve some particular result or outcome, Company will use commercially reasonable best efforts to perform the Services by any such deadline and achieve the result requested by Customer; provided, however, that (i) Company's ability to perform the Services is subject to Customer's provision of information and access as provided above and (ii) Company has no liability or obligation to complete the Services by any deadline or achieve any particular outcome or result.
</p>
<p>
(c) If Customer wishes to convey documents or files to Company, Customer should deliver to Company a copy or duplicate of such documents or files and not the original copy. Company will not return to Customer any documents or files conveyed to Company.
</p>
<p>
(d) Company will have no liability or responsibility for any damage, loss of data, loss of use or other loss occurring in connection with Company's provision of Optional Services requested by Customer.
</p>

<h3>15. Miscellaneous.</h3>

<p>
(a) Independent Contractor. Company and Customer are independent contractors and nothing contained in this Agreement places Company and Customer in the relationship of principal and agent, master and servant, partners or joint venturers. Neither party has, expressly or by implication, or may represent itself as having, any authority to make contracts or enter into any agreements in the name of the other party, or to obligate or bind the other party in any manner whatsoever.
</p>
<p>
(b) Governing Law; Jurisdiction. Any controversy or claim arising out of or relating to this Agreement, the formation of this Agreement or the breach of this Agreement, including any claim based upon arising from an alleged tort, shall be governed by the substantive laws of the State of Georgia, except that all arbitration and related proceedings conducted pursuant to Section 15(c) below, including without limitation confirmation proceedings, shall be governed by the Federal Arbitration Act, 9 U.S.C. 1, et. seq. . The United Nations Convention on Contracts for the International Sale of Goods does not apply to this Agreement. ANY SUIT, ACTION OR PROCEEDING CONCERNING THIS AGREEMENT THAT IS NOT SUBJECT TO MANDATORY ARBITRATION PURSUANT TO SECTION 15 (C) BELOW MUST BE BROUGHT IN A GEORGIA STATE OR FEDERAL COURT LOCATED IN FULTON COUNTY, GEORGIA, AND EACH OF THE PARTIES HEREBY IRREVOCABLY CONSENTS TO THE EXCLUSIVE JURISDICTION OF SUCH COURTS (AND OF THE APPROPRIATE APPELLATE COURTS THEREFROM) IN ANY SUCH SUIT, ACTION OR PROCEEDING AND IRREVOCABLY WAIVES, TO THE FULLEST EXTENT PERMITTED BY APPLICABLE LAW, ANY OBJECTION WHICH IT MAY NOW OR HEREAFTER HAVE TO THE LAYING OF THE VENUE OF ANY SUCH SUIT, ACTION OR PROCEEDING IN ANY SUCH COURT OR THAT ANY SUCH SUIT, ACTION OR PROCEEDING WHICH IS BROUGHT IN ANY SUCH COURT HAS BEEN BROUGHT IN AN INCONVENIENT FORUM. 
</p>
<p>
(c) Mandatory Arbitration. Notwithstanding Section 15(b) above, each party agrees that any dispute between the parties arising out of this Agreement or in any manner relating to the Services must be submitted by the parties to arbitration The arbitration shall be administered by an arbitrator or arbitration service agreed upon by the parties. If the parties are unable to agree upon an arbitrator or arbitration service, the arbitration will be administered by the American Arbitration Association. Any such arbitrator must render a reasoned opinion in writing only where the amount in dispute exceeds $100,000. Judgment upon the award may be entered in any court having jurisdiction thereof. Any such arbitration will be held in Atlanta, Georgia. Any action filed by either party in any court in violation of this Section should be dismissed pursuant to this Section. 
</p>
<p>
(d) Headings. The headings herein are for convenience only and are not part of this Agreement. 
</p>
<p>
(e) Entire Agreement; Amendments. This Agreement, including documents incorporated herein by reference, supersedes all prior discussions, negotiations and agreements between the parties with respect to the subject matter hereof, and this Agreement constitutes the sole and entire agreement between the parties with respect to the matters covered hereby. In case of a conflict between this Agreement and any purchase order, service order, work order, confirmation, correspondence or other communication of Customer or Company, the terms and conditions of this Agreement shall control. No additional terms or conditions relating to the subject matter of this Agreement shall be effective unless approved in writing by any authorized representative of Customer and Company. This Agreement may not be modified or amended except by another agreement in writing executed by the parties hereto; provided, however, that these Terms of Service may be modified from time to time by Company in its sole discretion, which modifications will be effective upon posting to Company's web site. Should any additional or modified provisions of this Agreement be found to be unenforceable or unconscionable, it is the express intent of the parties that the Agreement on the date of the Order shall be binding on both Company and the Customer. 
</p>
<p>
(f) Severability. All rights and restrictions contained in this Agreement may be exercised and shall be applicable and binding only to the extent that they do not violate any applicable laws and are intended to be limited to the extent necessary so that they will not render this Agreement illegal, invalid or unenforceable. If any provision or portion of any provision of this Agreement shall be held to be illegal, invalid or unenforceable by a court of competent jurisdiction, it is the intention of the parties that the remaining provisions or portions thereof shall constitute their agreement with respect to the subject matter hereof, and all such remaining provisions or portions thereof shall remain in full force and effect. 
</p>
<p>
(g) Notices. All notices and demands required or contemplated hereunder by one party to the other shall be in writing and shall be deemed to have been duly made and given upon date of delivery if delivered in person or by an overnight delivery or postal service, upon receipt if delivered by facsimile the receipt of which is confirmed by the recipient, or upon the expiration of five days after the date of posting if mailed by certified mail, postage prepaid, to the addresses or facsimile numbers set forth below the parties' signatures. Either party may change its address or facsimile number for purposes of this Agreement by notice in writing to the other party as provided herein. Company may give written notice to Customer via e-mail to the Customer's e-mail address as maintained in Company's billing records. 
</p>
<p>
(h) Waiver. No failure or delay by any party hereto to exercise any right or remedy hereunder shall operate as a waiver thereof, nor shall any single or partial exercise of any right or remedy by any party preclude any other or further exercise thereof or the exercise of any other right or remedy. No express waiver or assent by any party hereto to any breach of or default in any term or condition of this Agreement shall constitute a waiver of or an assent to any succeeding breach of or default in the same or any other term or condition hereof. 
</p>
<p>
(i) Assignment; Successors. Customer may not assign or transfer this Agreement, or any of its rights or obligations hereunder, without the prior written consent of Company. Any attempted assignment in violation of the foregoing provision shall be null and void and of no force or effect whatsoever. Company may assign its rights and obligations under this Agreement, and may engage subcontractors or agents in performing its duties and exercising its rights hereunder, without the consent of Customer. This Agreement shall be binding upon and shall inure to the benefit of the parties hereto and their respective successors and permitted assigns. 
</p>
<p>
(j) Limitation of Actions. No action, regardless of form, arising by reason of or in connection with this Agreement may be brought by either party more than one year after the cause of action has arisen.
</p>
<p>
(k) Counterparts. If this Agreement is signed manually, it may be executed in any number of counterparts, each of which shall be deemed an original and all of which together shall constitute one and the same instrument. If this Agreement is signed electronically, Company's records of such execution shall be presumed accurate unless proven otherwise.
</p>
<p>
(l) Force Majeure. Neither party is liable for any default or delay in the performance of any of its obligations under this Agreement (other than failure to make payments when due) if such default or delay is caused, directly or indirectly, by forces beyond such party's reasonable control, including, without limitation, fire, flood, acts of God, labor disputes, accidents, acts of war or terrorism, interruptions of transportation or communications, supply shortages or the failure of any third party to perform any commitment relative to the production or delivery of any equipment or material required for such party to perform its obligations hereunder.
</p>
<p>
(m) No Third-Party Beneficiaries. Except as otherwise expressly provided in this Agreement, nothing in this Agreement is intended, nor shall anything herein be construed to confer any rights, legal or equitable, in any Person other than the parties hereto and their respective successors and permitted assigns. Notwithstanding the foregoing, Customer acknowledges and agrees that Microsoft, and any supplier of third-party supplier that is identified as a third-party beneficiary in the Service Description, is an intended third-party beneficiary of the provisions set forth in this Agreement as they relate specifically to its products or services and shall have the right to enforce directly the terms and conditions of this Agreement with respect to its products or services against Customer as if it were a party to this Agreement.
</p>
<p>
(n) Government Regulations. Customer may not export, re-export, transfer or make available, whether directly or indirectly, any regulated item or information to anyone outside the United States in connection with this Agreement without first complying with all export control laws and regulations which may be imposed by the United States government and any country or organization of nations within whose jurisdiction Customer operates or does business.
</p>
<p>
(o) Marketing. Customer agrees that during the term of this Agreement Company may publicly refer to Customer, orally and in writing, as a customer of Company. Any other public reference to Customer by Company requires the written consent of Customer.
</p>
<p>
(p) Telephone Monitoring. To ensure Company's customers receive quality service, Company randomly selects phone calls for monitoring. These calls, between Company's customers and employees, are evaluated by supervisors. This is to guarantee that prompt, consistent assistance and accurate information is delivered in a professional manner. Company has been properly licensed by the Georgia Public Service Commission to use such service observing equipment.
</p>

<h3>16. Definitions. For purposes of this Agreement, the following terms have the meanings specified below: </h3>

<p>
(a) "Agreement" means each contract created between Company and Customer for the provision of Services consisting of an Order, the applicable Service Description and these Terms of Service. 
</p>
<p>
(b) "Customer Content" means all data, graphics, text, names, marks, logos, hypertext links to other websites and other information incorporated in, transmitted through or published or displayed on the Customer website. 
</p>
<p>
(c) "Customer website" means Customer's site on the World Wide Web portion of the Internet that Company hosts under this Agreement. 
</p>
<p>
(d) "End User" means any Person who accesses or uses the Customer website via the Internet. 
</p>
<p>
(e) "Company Technology" means Company's proprietary technology, including, without limitation, Company services, software tools, hardware designs, algorithms, software (in source code and object code forms), user interface designs, architecture, class libraries, objects and documentation (both printed and electronic), network designs, know-how, trade secrets and any related intellectual property rights throughout the world (whether owned by Company or licensed to Company from a third party), and also including any derivatives, improvements, enhancements, updates, modifications or extensions of Company Technology conceived, reduced to practice or developed during the term of this Agreement by either party. 
</p>
<p>
(f) "Person" means any individual, partnership, joint venture, corporation, limited liability company, trust, unincorporated association or organization, or government or any agency or political subdivision thereof. 
</p>
<p>
(g) "Proprietary Information" means all technical, business and other information of a party (i) that is not generally known to the public, (ii) that derives value, economic or otherwise, from not being generally known to the public or to other Persons who can obtain value from its disclosure or use, and (iii) which information is subject to efforts that are reasonable under the circumstances to maintain the secrecy thereof. 
</p>
<p>
(h) "Order" means the Order submitted by the Customer to Company for Services, whether such Order is submitted online through Company's website, telephone or written order form. 
</p>
<p>
(i) "Terms of Service" means these Terms of Service, as the same may be modified, altered or amended from time to time by Company. 
</p>
<p>
(j) "Service" means either Hosting Service or Optional Service. "Hosting Service" means the Service provided by Company in response to an Order whereby Company provides the Customer with specified connectivity, storage space and bandwith for the hosting of a Customer website as more particularly described in the applicable Service Description. "Optional Service" means any additional Service (other than Hosting Service) Company may provide in response to an Order, as more particularly described in the applicable Service Description. 
</p>
<p>
(k) "Service Description" means the applicable documents made available by Company to Customer to describe the applicable Services at the time the Order is accepted by Company. 
</p>
<p>
(l) "Term" means the duration of any Agreement between Company and Customer. With respect to Hosting Services, the "Initial Term" is the initial term specified in the Order and the Term continues beyond the Initial Term for any renewal period as specified in Section 3. With respect to Optional Services, the "Term" begins when Company accepts the Order and ends on the first to occur of (i) Company's completion of performance, or (ii) the earlier termination of the Order in any manner permitted by these Terms of Service. 
</p>
<!--
  end of termsofservice.tpl
-->

</body>
</html>
