<!--
  existauth.tpl
{*
  $nowLoginToPanel: indicated whether login form should login user to control panel
  $LOGIN_URL: action URL to control panel login form handler
  $baseURL: action URL of current page
  $jsForm: indicates whether form is displayed on a same page with main form displayed vi javascript
           and user should not be redirected to another location afterwords
  $state->existingUserOnly: indicates whether user should be forced to login to proceed futher
*}-->

{if $nowLoginToPanel}
<form action="{$LOGIN_URL}" name="big_log_in" method="post">
  <input type="hidden" name="event1234submit" value="doLogin">
  <input type="hidden" name="renderEnv" value="undefined">
  <input type="hidden" name="bw_id" value="pem_login">
  <input type="hidden" name="bwindow_id" value="pem_login">
  {else}
  <form action="{$baseURL}" method="POST" name="frmStore">
    {if !($account->ResellerID>0)}
      <input type="hidden" name="operationType" value="loginOldCustomer" />
    {else}
      <input type="hidden" name="operationType" value="loginIngramCustomer" />
    {/if}
    {if $jsForm}<input type="hidden" name="jsForm" value="1" />{/if}
    {/if}

    {if !($account->ResellerID>0)}
      <table class="tableContent tableEmptyHeader" cellpadding="0" cellspacing="0">
        <tr>
          <td class="tableContentTD">
            <table cellpadding="0" cellspacing="4">
              <tr>
                <td class="shortInput">
                  <table>
                    <tr>
                      <td class="fieldLabel"><label for="LoginID" id="label__LoginID">{$smarty.session.LANG.LABEL_EMAIL_OR_LOGIN}</label></td>
                    </tr>
                    <tr>
                      <td valign="top" align="left">
                        <div class="fieldEntry">
                          {if $nowLoginToPanel}
                            <input type='text' placeholder="{$smarty.session.LANG.PLACEHOLDER_EMAIL_AS_LOGIN}" name='user' autocomplete="off"/>
                          {else}
                            <input type='text' placeholder="{$smarty.session.LANG.PLACEHOLDER_EMAIL_AS_LOGIN}" name='LoginID' size="25"  autocomplete="off" {if $disableAuth}disabled{/if}/>
                          {/if}
                        </div>
                      </td>
                    </tr>
                  </table>
                </td>
                <td class="shortInput">
                  <table>
                    <tr>
                      <td class="fieldLabel"><label for="PasswordID" id="label__PasswordID">{$smarty.session.LANG.AUTH_ENTER_PASSWORD}</label></td>
                    </tr>
                    <tr>
                      <td  valign="top" align="left">
                        <div class="fieldEntry">
                          {if $nowLoginToPanel}
                            <input type='password' name='password' autocomplete="off" />
                          {else}
                            <input type='password' name='PasswordID' size="25"  autocomplete="off"  {if $disableAuth}disabled{/if}/>
                          {/if}
                        </div>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
      <table class="tableFooter" cellpadding="0" cellspacing="0">
        <tr>
          <td class="tableFooterTD" style="width: 50%;" align="left">
            {if !($account->ResellerID>0)}
              {if !$state->existingUserOnly && $CONFIG_INI.GENERAL.LOGIN_BEFORE_USAGE_SCENARIO == 'false'}
                <button title="Cancel" class="buttonCancel" type="button"
                        {if $jsForm}onclick="if (hideLoginForm) hideLoginForm(); else post(['cancel', '1', 'operationType', 'loginOldCustomer']);"
                        {else}onclick="post(['cancel', '1', 'operationType', 'loginOldCustomer']);"{/if}
                >{$smarty.session.LANG.LABEL_CANCEL}</button>
              {/if}
            {else}
              &nbsp;
            {/if}
          </td>
          <td class="tableFooterTD" style="width: 50%;" align="right">
            {if $nowLoginToPanel}
              <button class="buttonLogin"  onClick="SubmitGate( document.forms['big_log_in'])" >{$smarty.session.LANG.LOGIN_BUTTON_TEXT}</button>
            {else}
              <button class="buttonLogin" type="submit">
                {$smarty.session.LANG.LOGIN_BUTTON_TEXT}
              </button>
            {/if}
          </td>
        </tr>
      </table>
    {else}
      <table class="tableContent" cellpadding="0" cellspacing="0">
        <tr>
          <td>
            <table cellpadding="0" cellspacing="4" style="width: 50%;">
              {if sizeof($account->accounts)>0}
                <tr>
                  <td class="tableContentTD" valign="top" align="left">
                    Please select customer:
                  </td>
                </tr>
                <tr>
                  <td class="tableContentTD" valign="top" align="left">
                    <select class="AccountID" name="AccountID" id="AccountID" style="width: 275px;">
                      {foreach name=account_outer item=acc from=$account->accounts}
                        <option value="{$acc.AccountID}">{$acc.CompanyName}</option>
                      {/foreach}
                    </select>
                  </td>
                </tr>
                <tr>
                  <td class="tableContentTD" align="left">
                    <button class="buttonLogin" type="submit">
                      {$smarty.session.LANG.LOGIN_BUTTON_TEXT}
                    </button>
                  </td>
                </tr>
              {else}
                <tr><td>{$smarty.session.LANG.NO_CUSTOMERS}</td></tr>
              {/if}
            </table>
          </td>
        </tr>
      </table>
    {/if}
  </form>

  <!--
    end of existauth.tpl
  -->
