
<!--
  domain_new.tpl
-->

  <!-- domain new header -->

  <table class="tableHeader" cellpadding="0" cellspacing="0">
    <tr>
      <td class="tableHeaderTD">
        <span class="BlockName">{if $op->isSubdomain}{$findSubDomainsTitle}{else}{$findDomainsTitle}{/if}</span>
      </td>
      <td class="tableHeaderTDOptions" align="right">

        {if ($state->listMainNotEmpty || $state->listSuggestNotEmpty || $state->listMoreNotEmpty) && $showLastSearch}
          <div id="wrapperShowHideMoreOptions">
            <a href="javascript:post(['operationType', 'showNewLists']);" class="more"><span id="showHideMoreOptions">{$smarty.session.LANG.HIDE_DOMAINS_MORE_OPTIONS}</span></a>
          </div>
        {/if}

      </td>
    </tr>
  </table>

  <!-- domain new content -->
  <table class="tableContent" cellpadding="0" cellspacing="0" id="enterDomainNameToRegister_{$operation}">
      {if $op->isSubdomain}
      <tr>
          <td class="tableContentTD tableDomainContentTD">{$smarty.session.LANG.DOMAINSEXTENSION_SELECT_SUBDOMAIN_DESCRIPTION}</td>
      </tr>
      {/if}
  <tr>
    <td class="tableContentTD tableDomainContentTD">

    <table cellpadding="0" cellspacing="0" width="100%" >
    <tr>
      <td style="width: 25%;" align="right" >
        <label for="new_DomainNameID" class="required">{$smarty.session.LANG.LABEL_DOMAIN_NAME}</label>
      </td>
      <td valign="top" class="PBA_DomainName">

          <table class="PBA_DomainNameTable" cellpadding="0" cellspacing="0">
          <tr>
            <td nowrap style="width: 302px;">
              {if !$op->isSubdomain}
                <input type="hidden" name="ZoneID" id="ZoneID">
              {/if}
              <input type="hidden" name="DomainNameID" id="DomainNameID" value="0">
              {if !$op->isSubdomain}
                {assign var="hint" value=$smarty.session.LANG.DOMAIN_EMPTY_HINT}
              {else}
                {assign var="hint" value=$smarty.session.LANG.SUBDOMAIN_EMPTY_HINT}
              {/if}

              <input type="text" attr="dm_create" validator="EmptyText"
                     id="new_DomainNameID" name="new_DomainNameID"
                       empty-hint="{$hint}"
                       value="{$hint}"
                       onblur="emptyHintBlur(this);"
                       class="DomainNameID hint-in-input"
                       onfocus="emptyHintFocus(this);" onclick="emptyHintFocus(this);"
                       style="width:300px;" desc="{$smarty.session.LANG.LABEL_DOMAIN_NAME}"/>
            </td>
            <td align="right">
                {if !$op->isSubdomain}
                <button class="buttonContinue" type="submit"
                  onclick="dropEmptyHints(document.getElementById('new_DomainNameID')); setDomainZone('operation_{$pos}' ); "
                  title="{$smarty.session.LANG.DOMAINSEXTENSION_CREATE_BUTTON_TITLE}"
                  id="dm_create_Button">{$smarty.session.LANG.LABEL_SEARCH}</button>
                {else}
                . <select name="PlanID" style="width: auto;">
                    {foreach key=planPos item=i from=$op->plans}
                        <option value="{$planPos}" {if $planPos == $op->planSelected}selected{/if}>{$i.DomainZoneID}</option>
                    {/foreach}
                </select>
                {/if}
            </td>
          </tr>

          </table>

      </td>
    </tr>
    {if !$op->isSubdomain}
    <tr>
      <td></td>
        <td class="PBA_DomainName">

            <table class="PBA_DomainNameTable" cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        <div class="zoneCheckboxWrapper fieldComment">
                            {foreach item=i from=$op->popular_tlds}
                              {if $i@iteration > 5}{break}{/if}
                              <div class="zoneCheckbox">
                                .{$i.DomainZoneID} - <b>{$smarty.session.LANG.CURRENCY_PREFIX}{$i.MinPrice|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}</b>
                              </div>
                              {if $i@iteration == 3}<div class="clear"></div>{/if}
                            {/foreach}
                            <div class="zoneCheckbox">
                                <span id="DomainsInfo" class="jslink">{$smarty.session.LANG.ALL_TLD}</span>
                            </div>
                        </div>
                    </td>
                </tr>
            </table>

        </td>
    </tr>
        {else}
           <tr>
             <td></td>
               <td class="PBA_DomainName">
                   <table class="PBA_DomainNameTable" cellpadding="0" cellspacing="0">
                       <tr>
                           <td width="302px">&nbsp;</td>
                           <td align="left">
                               <button class="buttonContinue" type="submit"
                                       onclick="dropEmptyHints(document.getElementById('new_DomainNameID'));
                                       setDomainZone('operation_{$pos}');"
                                       title="{$smarty.session.LANG.DOMAINSEXTENSION_CREATE_BUTTON_TITLE}"
                                       id="dm_create_Button">{$smarty.session.LANG.LABEL_SEARCH}
                               </button>
                           </td>
                       </tr>
                   </table>
               </td>
           </tr>
    {/if}
    </table>

    </td>
  </tr>
  <tr>
      <td class="tableFooterTD">
      <!-- domain new footer -->
      <table class="tableFooter" cellpadding="0" cellspacing="0">
          <tr>
              <td class="tableFooterTD" align="right" style="height: 3px;"></td>
          </tr>
      </table>
      </td>
  </tr>
  </table>

<!-- /domain new footer -->
<div id="wininfo2" style="display:none;" rel="tld_list">
    {GetCustomTemplate name="tldinfo.tpl" assign="file"}
    {include file=$file plansList=$op->plans}
</div>

<script type="text/javascript">
    {literal}
    if (document.getElementById('DomainsInfo')) {
      SW.Signal.connect(document.getElementById('DomainsInfo'), 'onclick', null, showPopUp);
    }
    {/literal}
</script>
<!--
  end of domain_new.tpl
-->
