<!--
  domain_reg.tpl
-->

<div id="divDomainLists">
{if $state->listUniqueGroupsNotEmpty}
  <table class="tableHeader" cellpadding="0" cellspacing="0">
    <tr>
      <td class="tableHeaderTD">
        <span class="BlockName">{$smarty.session.LANG.LABEL_NOTE}</span>
      </td>
    </tr>
  </table>
  <table class="tableContent" cellpadding="0" cellspacing="0" id="domain_listMain">
  <tr>
    <td class="tableContentTD">
  {foreach key=groupID item=ug from=$state->listUniqueGroups}
  {$smarty.session.LANG.WITHIN_SINGLE_ORDER_PURCHASE_FROM_TLDS}:&nbsp;
    <b>
    {foreach name=uniqueGroup item=DomainZoneID from=$ug}
      {if !$smarty.foreach.uniqueGroup.last}
        .{$DomainZoneID},
      {else}
        .{$DomainZoneID}
      {/if}
    {/foreach}
    </b>
    <br />
  {/foreach}
    </td>
  </tr>
  </table>

  <table class="tableFooter" cellpadding="0" cellspacing="0">
  <tr>
    <td class="tableFooterTD" style="width: 100%;">
      &nbsp;
    </td>
  </tr>
  </table>
{/if}

{if $state->listMainNotEmpty || $state->listMoreNotEmpty}
  <form action="{$baseURL}" method="post" name="domainSelectForm">
  {GetCSRFTokenElement}
  <input type="hidden" name="operationType" value="selectFromListMain" />
  {GetCustomTemplate name="domain_listmain.tpl" assign="file"}
  {include file=$file}
  </form>
{/if}

{if $state->listSuggestNotEmpty}
  <form action="{$baseURL}" method="post">
  {GetCSRFTokenElement}
  <input type="hidden" name="operationType" value="selectFromListSuggest" />
  {GetCustomTemplate name="domain_listsuggest.tpl" assign="file"}
  {include file=$file}
  </form>
{/if}
</div>



{if sizeof($config->operations)}
  {assign var="pos" value=$state->currentOperationIndex}
  {assign var="op" value=$config->operations[$pos]}
  <form action="{$baseURL}" method="post"
        id="operation_{$pos}"
        onSubmit="return ValidateForm('operation_{$pos}', event);">
  {GetCSRFTokenElement}
  <input type="hidden" name="operationType" value="{$op->type}" />
  <input type="hidden" name="operationIndex" value="{$pos}">
  {GetCustomTemplate name=$op->template assign="file"}
  {include file=$file type="multi" operation=$pos showLastSearch=false}
  </form>
{/if}


<!--
  end of domain_reg.tpl
-->
