<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html  xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>{$TITLE}</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
  <meta name="keywords" content="{$META_KEYWORDS}" />
  <meta name="description" content="{$META_DESCRIPTION}" />
  <meta http-equiv="Cache-Control" content="public, max-age=7200, must-revalidate">
  <link rel="shortcut icon" href="{$SCRIPT_DIR}/static/design/images/favicon.ico?v=1" />
  {importCSS}
  {importCSRFScript}
  {importAPS}
  <script type="text/javascript" src="{$SCRIPT_DIR}/index.php?StoreID={$StoreID}&act=js"></script>
  <script type="text/javascript" src="{$SCRIPT_DIR}/static/store-skins/odin/js/functions.js"></script>
  <script type="text/javascript" src="{$SCRIPT_DIR}/index.php?StoreID={$StoreID}&act=locale&lang={$smarty.session.LanguageID}"></script>
</head>

<body id='Body'>
<!--
  odin_overall_header.tpl
-->

<div id="screenLayout">
  <div id="topLayout">
      <!--header-->
      <div id="header">
          <!-- header_logo.tpl -->
          {GetCustomImage name="logo.png" assign="file"}
          <div id="logo">
              <a href="{$SCRIPT_DIR}/index.php"><img src="{$file}" border="0" alt="{$HEADER_LOGO_ALT}" title="{$HEADER_LOGO_ALT}" border="0" /></a>
          </div>
          <!-- /header_logo.tpl -->

          <!-- header_shortcuts.tpl -->
          <div id="shortcuts">

              <div class="localize"></div>

              <ul class="loginform">

                  {if $ListLanguage|@count > 1}
                  <li>
                      <select id="LanguageID" name="LanguageID" onchange="post(['LanguageID', this.options[this.selectedIndex].value]);">

                          {foreach key=key item=item from=$ListLanguage}
                              <option value="{$key}">{$item.NativeName}</option>
                          {/foreach}

                      </select>
                      {GetCustomTemplate name="./localize_js.tpl" assign="file"}
                      {include file=$file}
                  </li>
                  {/if}
                      {GetCustomTemplate name="./odin_loginform.tpl" assign="file"}
					  {include file=$file buttontype=submit ViewLocalize="select"}
                  <li class="support"><a href="{$CONFIG_INI.BRANDING.LIVE_SUPPORT}" class="support">{$smarty.session.LANG.LIVE_SUPPORT}</a></li>
              </ul>

          </div>
          <!-- /header_shortcuts.tpl -->

          {GetCustomTemplate name="odin_header_mainNav_struct.tpl" assign="filetpl"}
          {include file=$filetpl lastURL=$lastURL}
      </div>
      <!--/header-->
  </div><!--topLayout-->

  <div id="contentContainer" class="stick">
<!--
  end of odin_overall_header.tpl
-->