<!--
  terms.tpl
-->

  <form action="{$baseURL}" method="post" id="termsForm">
    {GetCSRFTokenElement}
    <input type="hidden" name="operationType" value="goNextScreen" />
    {foreach key="termID" item="term" from=$terms name=terms}
    <input type="hidden" name="TermAccepted_{$termID}" id="term_accepted{$termID}" value="{if $term.Accepted}on{else}off{/if}" />
    {/foreach}

<div align="left">

<table class="tableHeader" cellspacing="0" cellpadding="0">
  <tr>
    <td class="tableHeaderTD"><span class="BlockName">{$smarty.session.LANG.TERMS_CONDITIONS_HEADER}</span></td>
  </tr>
</table>
{if $paletteVersion==2}
<p class="PlanLongDescription">{$smarty.session.LANG.TERMS_CONDITIONS_DESCRIPTION}</p>
{/if}
<table class="tableContent" cellpadding="0" cellspacing="0">
  <tr>
    <td class="tableContentTD">
    {if $paletteVersion==1 && !$STORE_SKIN}
      <p class="PlanLongDescription">{$smarty.session.LANG.TERMS_CONDITIONS_DESCRIPTION}</p> 
      
    {/if}
    <td>
  <tr>
  {foreach key="termID" item="term" from=$terms name=terms}
    <tr>
      <td>
        <table width="100%" cellspacing="10" cellpadding="10" cols="2" id="TermsWrapper">
          <tr>
            <td colspan="2">
              <h3>{$term.Name|escape:'html'}</h3>
              <div class="TermScroll" id="TermText{$termID}">
                {$term.Text}
              </div>
            </td>
          </tr>
          <tr>
<td align="right"><span onclick="javascript:Print('TermText{$termID}', '{$term.Name|escape:'javascript'}');" style="cursor:hand;cursor:pointer;">
<span class="cloudConfig">{$smarty.session.LANG.TERMS_CONDITIONS_PRINT}</span></span></td>
          </tr>
          {if !$smarty.foreach.terms.last}
          <tr>
            <td colspan="2"></td>
          </tr>
          {/if}
        </table>
      </td>
    </tr>
    {/foreach}
</table>
<br/>
    <table class="tableFooter" cellpadding="0" cellspacing="0">
    <tr>
      <td class="tableFooterTD" align="right">
        <button class="buttonContinue" type="submit"
                id="nextTerm" onclick="acceptTerms();">
                  {$smarty.session.LANG.TERMS_CONDITIONS_ACCEPT}
        </button>
    </td>
  </tr>
  </table>
</div>

</form>

<script type="text/javascript">
{literal}

function acceptTerms() {
  var form = SW.DOM.getElement("termsForm");
  var inputs = form.getElementsByTagName("input");
  var dis = false;
  var isTermInput = /^TermAccepted_.*/;
  for (var i=0; i < inputs.length; i++) {
    if (isTermInput.test(inputs[i].getAttribute("name")) && inputs[i].value != "on") {
      inputs[i].value = "on";
    }
  }
}

function Print(id, title) {
  textElement = document.getElementById(id);
  if(textElement == null) {
    return false;
  }
  text = textElement.innerHTML;
  HTMLstring = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">\n';
  HTMLstring += '<html xmlns="http://www.w3.org/1999/xhtml">\n';
  HTMLstring += '<head>\n';
  HTMLstring += '<title>\n';
  HTMLstring += title;
  HTMLstring += '</title>\n';
  HTMLstring += '<meta http-equiv="Content-Type" content="text/html; charset=utf-8">\n';
  HTMLstring += '</head>\n';
  HTMLstring += '<body onload="JavaScript:window.print();window.close();" style="font-family:monospace;font-size:14px;line-height:20px;">\n';
  HTMLstring += text;
  HTMLstring += '</body></html>';

  params = 'height=640,width=480,toolbar=no,directories=no,status=no,menubar=no';
  wnd = window.open('', 'TermsConditionsPrint', params);
  if(wnd == null) {
    return false;
  }
  wnd.document.write(HTMLstring);
  wnd.document.close();
  wnd.focus();
  return false;
}

{/literal}
</script>

<!--
  end of terms.tpl
-->
