<!--
  contact_edit.tpl
-->
  {assign var="prov" value=$contact->prov}
  {if $contact->sameAsAbove}{assign var="disabled" value=true}
  {else}{assign var="disabled" value=false}
  {/if}

  <fieldset id="fieldset__contact{$prov.id}">
  <legend>
    {$contact->prov.name|escape:'html'}
  </legend>
  <br />
  {if $postFirstLine}
    &nbsp;&nbsp;
    <input type="checkbox" name="sameProv{$prov.id}" id="sameProv{$prov.id}"
           {if $disabled}checked{/if} />
    <label for="sameProv{$prov.id}">{$smarty.session.LANG.LABEL_SAME_AS_ABOVE}</label>
  {/if}

  <table id="table__contact{$prov.id}">

{*
  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name=$prov.id|cat:"LoginID" label=$smarty.session.LANG.LOGINID
         comment=$smarty.session.LANG.TOOLTIP_LOGIN
         required=true}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name=$prov.id|cat:"PasswordID" label=$smarty.session.LANG.PASSWORDID
         comment=$smarty.session.LANG.TOOLTIP_PASSWORD
         required=true}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name=$prov.id|cat:"Password2ID" label=$smarty.session.LANG.PASSWORD2ID
         comment=$smarty.session.LANG.TOOLTIP_PASSWORD2
         required=true}
*}
  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="AUTH" prefix=$contact->prov.id}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name=$prov.id|cat:"FirstNameID"
         label=$smarty.session.LANG.FIRST_NAME
         comment=$smarty.session.LANG.TOOLTIP_FIRST_NAME required=true}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="FIRSTNAME" prefix=$contact->prov.id}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name=$prov.id|cat:"LastNameID"
         label=$smarty.session.LANG.LAST_NAME
         comment=$smarty.session.LANG.TOOLTIP_LAST_NAME required=true}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="LASTNAME" prefix=$contact->prov.id}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name=$prov.id|cat:"AddressID" label=$smarty.session.LANG.ADDRESS
         comment=$smarty.session.LANG.TOOLTIP_ADDRESS required=true}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="ADDRESS" prefix=$contact->prov.id}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name=$prov.id|cat:"Address2ID" label=$smarty.session.LANG.ADDRESS2
         comment=$smarty.session.LANG.TOOLTIP_ADDRESS2}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="ADDRESS2" prefix=$contact->prov.id}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name=$prov.id|cat:"CityID" label=$smarty.session.LANG.CITY
         comment=$smarty.session.LANG.TOOLTIP_CITY required=true}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="CITY" prefix=$contact->prov.id}


  <tr>
    <td class="fieldLabel"><label class="required" for={$prov.id|cat:"CountryID"}>{$smarty.session.LANG.COUNTRY}</label></td>
    <td align="left">
      <select class="CountryID" name="{$prov.id|cat:"CountryID"}" id="{$prov.id|cat:"CountryID"}" title="{$smarty.session.LANG.COUNTRY}" style="width: 275px;" {if $disabled}disabled{/if}>
      {foreach name=country_outer item=country from=$config->firstCountryList}
        <option value="{$country.Code}"
          TaxRegReqPers="{$country.TaxRegReqPers}"
          TaxRegReqComp="{$country.TaxRegReqComp}"
          StateProvinceReq="{$country.StateProvinceReq}"
          DefaultPhoneCountryCode="{$country.DefaultPhoneCountryCode}"
          PhoneAreaCodeReq="{$country.PhoneAreaCodeReq}"
          zipRegex="{$country.ZipRegEx}">{$country.Name}</option>
      {/foreach}
        <option disabled> -- </option>
      {foreach name=country_outer item=country from=$config->countryList}
        <option value="{$country.Code}"
          TaxRegReqPers="{$country.TaxRegReqPers}"
          TaxRegReqComp="{$country.TaxRegReqComp}"
          StateProvinceReq="{$country.StateProvinceReq}"
          DefaultPhoneCountryCode="{$country.DefaultPhoneCountryCode}"
          PhoneAreaCodeReq="{$country.PhoneAreaCodeReq}"
          zipRegex="{$country.ZipRegEx}">{$country.Name}</option>
      {/foreach}
      </select>
    </td>
  </tr>

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="COUNTRY" prefix=$contact->prov.id}

{*
  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="TAXREG" prefix=$contact->prov.id}
*}

  <tr>
    <td class="fieldLabel"><label id="label__{$prov.id}StateID" for="{$prov.id}StateID">{$smarty.session.LANG.STATE_PROVINCE}</label></td>
    <td align="left">
      <div id="widget__{$prov.id}StateID" class="fieldEntry" type="combo">
        <select name="{$prov.id}StateID" id="{$prov.id}StateID" title="{$smarty.session.LANG.STATE_PROVINCE}" class="StateID" style="width:210px;" {if $disabled}disabled{/if}></select>
        <div class="widgetErrorMessage widgetHidden" id="error__{$prov.id}StateID">{$smarty.session.LANG.ERROR_BLANK_VALUE}</div>
      </div>
      <div class="fieldComment"></div>
    </td>
  </tr>

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="STATEPROVINCE" prefix=$contact->prov.id}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name=$prov.id|cat:"ZipID" label=$smarty.session.LANG.ZIP_POSTAL
         comment=$smarty.session.LANG.TOOLTIP_ZIP size=false
         required=true}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="ZIP" prefix=$contact->prov.id}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name=$prov.id|cat:"EmailID" label=$smarty.session.LANG.EMAIL
         comment=$smarty.session.LANG.TOOLTIP_EMAIL required=true}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name=$prov.id|cat:"Email2ID" label=$smarty.session.LANG.EMAIL_CONFIRM
         comment=$smarty.session.LANG.TOOLTIP_EMAIL2 required=true}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="EMAIL" prefix=$contact->prov.id}

  <tr>
    <td class="fieldLabel fieldLabelPhone"><label id="{$prov.id|cat:"label__Phone"}" class="required" >{$smarty.session.LANG.PHONE}</label></td>
    <td align="left">
      <div class="fieldEntry fieldEntryPhone">
      {widget name=$prov.id|cat:"Phone" disabled=$disabled}
      </div>
      <div class="fieldComment fieldCommentPhone">{$smarty.session.LANG.TOOLTIP_PHONE}</div>
    </td>
  </tr>

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="PHONE" prefix=$contact->prov.id}

  <tr>
    <td class="fieldLabel fieldLabelFax"><label id="{$prov.id|cat:"label__Fax"}" >{$smarty.session.LANG.FAX}</label></td>
    <td align="left">
      <div class="fieldEntry fieldEntryFax">
      {widget name=$prov.id|cat:"Fax" disabled=$disabled}
      </div>
      <div class="fieldComment fieldCommentFax">{$smarty.session.LANG.TOOLTIP_PHONE}</div>
    </td>
  </tr>

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="FAX" prefix=$contact->prov.id}



  </table>
  </fieldset>

<!--
  end of contact_edit.tpl
-->

