<!--
  auth.tpl
-->
{if $sso_params}
   {GetCustomTemplate name="sso_auth.tpl" assign="file"}
   {include file=$file}
{else}
    <table>
        {if !$config->singleName}
            {GetCustomTemplate name="co_stdline_2col.tpl" assign="file"}
            {include file=$file name="SingleNameID" size=60 maxlength=60
            label=$smarty.session.LANG.SINGLE_NAME
            comment=$smarty.session.LANG.TOOLTIP_ACCOUNT_NAME required=true}

            {GetCustomTemplate name="accattr.tpl" assign="file"}
            {include file=$file filter="FIRSTNAME"}

            {GetCustomTemplate name="accattr.tpl" assign="file"}
            {include file=$file filter="LASTNAME"}

            <script language="javascript">
                {literal}

                SW.Signal.connect(document.getElementById('SingleNameID'), 'onchange', null, function() {
                    jQuery('#PasswordID').keyup();
                });

                {/literal}
            </script>
        {else}
            <tr>
                <td>
                    <table>
                        {GetCustomTemplate name="co_stdline_2col.tpl" assign="file"}
                        {include file=$file name="FirstNameID" size=30 maxlength=30
                        label=$smarty.session.LANG.FIRST_NAME
                        comment=$smarty.session.LANG.TOOLTIP_FIRST_NAME required=true}

                        {GetCustomTemplate name="accattr.tpl" assign="file"}
                        {include file=$file filter="FIRSTNAME"}
                    </table>
                </td>
                <td>
                    <table>
                        {GetCustomTemplate name="co_stdline_2col.tpl" assign="file"}
                        {include file=$file name="LastNameID" size=30 maxlength=30
                        label=$smarty.session.LANG.LAST_NAME
                        comment=$smarty.session.LANG.TOOLTIP_LAST_NAME required=true}


                        {GetCustomTemplate name="accattr.tpl" assign="file"}
                        {include file=$file filter="LASTNAME"}
                    </table>
                </td>
            </tr>
            <script language="javascript">
                {literal}

                SW.Signal.connect(document.getElementById('FirstNameID'), 'onchange', null, function() {
                    jQuery('#PasswordID').keyup();
                });
                SW.Signal.connect(document.getElementById('LastNameID'), 'onchange', null, function() {
                    jQuery('#PasswordID').keyup();
                });

                {/literal}
            </script>
        {/if}
    </table>
    <table>
        <tr>
            <td>
                <table>
                    <tr>
                        <td>

    {assign var=comment_login value=$empty_post}
    {if $config->regFormType == "Short" || ($config->regFormType == "Auto" && $Totals_OrderTotal == 0) }
        {assign var=comment_login value= ""}
    {/if}
    {GetCustomTemplate name="co_stdline_2col.tpl" assign="file"}
    {include file=$file name="LoginID" size=30 maxlength=64 label=$smarty.session.LANG.LABEL_EMAIL_AS_LOGIN
             postElems=$comment_login
             comment=""
             required=true autocomplete="off"}

    {GetCustomTemplate name="co_stdline_2col.tpl" assign="file"}
    {include file=$file name="PasswordID" size=30 maxlength=32 label=$smarty.session.LANG.PASSWORDID
             postElems="<div class=\"password\">
                   <span id=\"PassStrength\" class=\"password-strength\"><i></i><b>`$smarty.session.LANG.PASSWORD_STRENGTH_VWEAK`</b></span>
                   <span id=\"GenPassLink\" class=\"jslink\" swWidgetType=\"AjaxGenPass\" >`$smarty.session.LANG.GENERATE_PASSWORD`</span>&nbsp;&nbsp;&nbsp;
                   <span id=\"ShowPassLink\" class=\"jslink\">`$smarty.session.LANG.SHOW_PASSWORD`</span>
               </div>"
             comment="<span id=\"PasswordIDComment\" default_value=\"`$smarty.session.LANG.PASSWORD_COMMENT_MIN7`\">`$smarty.session.LANG.PASSWORD_COMMENT_MIN7`</span> <span id=\"PasswordReqsLink\" class=\"jslink\">`$smarty.session.LANG.TOOLTIP_PASSWORDID2`</span>"
             required=true autocomplete="off"}


    {if $config->regFormType == "Full" || ($config->regFormType == "Auto" && $Totals_OrderTotal > 0) }
        {GetCustomTemplate name="co_stdline_2col.tpl" assign="file"}
      {include file=$file name="Password2ID" size=30 maxlength=32 label=$smarty.session.LANG.PASSWORD2ID
             postElems=""
             comment=""
             required=true autocomplete="off" hideErrorMess=true hide=1}
    {/if}


     {GetCustomTemplate name="accattr.tpl" assign="file"}
     {include file=$file filter="AUTH"}

    <tr style="display: none;">
        <td>
            <div id="wininfo2">
                {GetCustomTemplate name="info.tpl" assign="file"}
                {include file=$file name=$smarty.session.LANG.TOOLTIP_PASSWORDID description=$smarty.session.LANG.PASSWORD_REQUIREMENTS}
            </div>
        </td>
    </tr>

    {GetCustomTemplate name="passcomplexity.tpl" assign="file"}
    {include file=$file}

    <script language="javascript">
    {literal}

      try {
        document.getElementById("LoginID").focus();
      } catch (err) {} // ignore if field not found
      SW.Signal.connect(document.getElementById('PasswordReqsLink'), 'onclick', null, showPopUp);
      SW.Signal.connect(document.getElementById('LoginID'), 'onchange', null, function() {
        jQuery('#PasswordID').keyup();
        jQuery('#EmailID').val(jQuery('#LoginID').val());
        jQuery('#Email2ID').val(jQuery('#LoginID').val());
      });
      SW.Signal.connect(document.getElementById('PasswordID'), 'onchange', null, function() {
            jQuery('#Password2ID').val(jQuery('#PasswordID').val());
      });
      SW.Signal.connect(document.getElementById('ShowPassLink'), 'onclick', null, showHidePwd);
      SW.Signal.connect(document.getElementById('GenPassLink'), 'onclick', null, SW.Widget.AjaxGenPass.click);


    {/literal}
    </script>

{/if}
<!--
  end of auth.tpl
-->
