<!--
  sunrise_checkout.tpl
-->

{if !$config->noDisplayLogin && !$orderSubscriptionExist && !$account->existingUserID}
  {GetCustomTemplate name="co_oldnew.tpl" assign="file"}
  {include file=$file}
{/if}


<form action="{$baseURL}" method="POST" name="sunriseCheckout" id="sunriseCheckout">
{GetCSRFTokenElement}
<input type='hidden' name='operationType' value='sunrise_checkout'>

<table class="tableHeader" cellspacing="0" cellpadding="0">
<tr>
  <td class="tableHeaderTD"><span class="BlockName">{msg what="Account Data"}</span></td>
</tr>
</table>

<table class="tableContent" cellpadding="0" cellspacing="0">
<tr>
  <td class="tableContentTD">
    
    <table cellpadding="0" cellspacing="4" style="width: 100%">
      <tr><td class="fieldLabel">{msg what="Company:"}</td><td>{$account->SunriseAccountDetails.CompanyName}</td></tr>
      <tr><td class="fieldLabel">{msg what="Academic Title:"}</td><td>{$account->SunriseAccountDetails.AcademicTitle}</td></tr>
      <tr><td class="fieldLabel">{msg what="Salutation:"}</td><td>{$account->SunriseAccountDetails.Salutation}</td></tr>
      <tr><td class="fieldLabel">{msg what="First Name:"}</td><td>{$account->SunriseAccountDetails.FirstName}</td></tr>
      <tr><td class="fieldLabel">{msg what="Last Name:"}</td><td>{$account->SunriseAccountDetails.LastName}</td></tr>
      <tr><td class="fieldLabel">{msg what="Address Line 1:"}</td><td>{$account->SunriseAccountDetails.Address1}</td></tr>
      <tr><td class="fieldLabel">{msg what="Address Line 2:"}</td><td>{$account->SunriseAccountDetails.Address2}</td></tr>
      {*
      <tr><td class="fieldLabel">{msg what="Country:"}</td><td>{$account->SunriseAccountDetails.CountryLoc}</td></tr>
      <tr><td class="fieldLabel">{msg what="State:"}</td><td>{$account->SunriseAccountDetails.StateLoc}</td></tr>
      *}
      <tr><td class="fieldLabel">{msg what="City:"}</td><td>{$account->SunriseAccountDetails.Zip} {$account->SunriseAccountDetails.City}</td></tr>
      
      {GetCustomTemplate name="co_stdline.tpl" assign="file"}
      {include file=$file name="SunriseEmail" size=25 maxlength=100 label=$smarty.session.LANG.EMAIL
         comment=$smarty.session.LANG.TOOLTIP_EMAIL required=true}
      
      <tr>
        <td class="fieldLabel fieldLabelPhone"><label id="label__Phone" class="required" >{msg what="Mobile:"}</label></td>
        <td align="left">
          <div class="fieldEntry fieldEntryPhone">
          {widget name="SunrisePhone"}
          </div>
          <div class="fieldComment fieldCommentPhone">{$smarty.session.LANG.TOOLTIP_PHONE}</div>
        </td>
      </tr>
      
      {GetCustomTemplate name="co_stdline.tpl" assign="file"}
      {include file=$file name="SunriseLoginID" size=30 maxlength=64 label=$smarty.session.LANG.LOGINID
               comment=$smarty.session.LANG.TOOLTIP_LOGIN
               disabled=$config->disableAuth required=true}

      {GetCustomTemplate name="co_stdline.tpl" assign="file"}
      {include file=$file name="SunrisePasswordID" size=24 maxlength=32 label=$smarty.session.LANG.PASSWORDID
               comment=$smarty.session.LANG.TOOLTIP_PASSWORD
               required=true}

      {GetCustomTemplate name="co_stdline.tpl" assign="file"}
      {include file=$file name="SunrisePassword2ID" size=24 maxlength=32 label=$smarty.session.LANG.PASSWORD2ID
               comment=$smarty.session.LANG.TOOLTIP_PASSWORD2
               required=true}
    </table>
    
  </td>
</td></tr></table>

<table class="tableFooter" cellpadding="0" cellspacing="0">
<tr>

      <td class="tableFooterTD" style="width: 50%;" align="left">
         <button title="Cancel" class="buttonCancel" type="button"
          onclick="post(['cancel', '1', 'operationType', 'sunrise_checkout']);"
           >{$smarty.session.LANG.BUTTON_BACK}</button>
      </td>
  <td class="tableFooterTD" style="width: 50%;" align="right">
    <button type="submit" title="Continue" class="buttonContinue"
            id="editplan_buttonContinue"
            >{$smarty.session.LANG.LABEL_CONTINUE}</button>
  </td>
</tr>
</table>

</form>

<script type="text/javascript">
{literal}
  var frm = document.getElementById("sunriseCheckout");
  SW.Signal.addLoadEvent(function() {
    SW.Widget.startEventEngine(document.getElementById("sunriseCheckout"));
    var psw2Widget = SW.DOM.getElement("widget__SunrisePassword2ID");
    psw2Widget.jsValidator.addValidator(function (field) {
      SW.Validate.compare("SunrisePasswordID", "SunrisePassword2ID", locale["JAVASCRIPT_ERROR_PASSWORDS_CMP"]);
    });
  });
{/literal}
</script>


<!--
  end of sunrise_checkout.tpl
-->
