<!-- paci_js.tpl -->
<script type="text/javascript">
  var cloud_base_price_month = {$state->basePriceMonth};  
  var cloud_last_total = 0;  //For animation. Never used
  var cloud_animating_total_index = 0; //For animation. Never used
  var cloudPriceTmpl = "{$smarty.session.LANG.CURRENCY_PREFIX}@1@{$smarty.session.LANG.CURRENCY_POSTFIX}";
  var cloud_reg_digits = {$smarty.session.LANG.CURRENCY_DECIMALS_NUMBER};
  var cloud_trim_zero = {$currencyTrimZero};
  var cloudPriceMonthTmpl = "{$smarty.session.LANG.CURRENCY_PREFIX}@1@{$smarty.session.LANG.CURRENCY_POSTFIX} {$smarty.session.LANG.C2U_PER_MONTH}"; // never used
  var cloud_inited = true;
  var cloud_switching_config = false;
  var input_values = {};

  // [LB] updates price of particular resource when corresponding slider is moved 
  function cloudUpdatePrice(fieldID, value)
  {literal}{{/literal}
	var decimalSep = '{$decimalSep}';
	var thousandsSep = '{$thousandsSep}';
	{literal}
    var obj =  document.getElementById(fieldID); 
    if(!obj){
      alert(locale["C2U_ERROR_JS_CANNOT_FIND_OBJECT"]+' '+fieldID);
      return;
    }
	if(obj.hasAttribute("price")){
		obj.setAttribute("price", value);
	}
    if (  Number(value) == 0 && fieldID != "cloud_total_month" ) {
      obj.innerHTML = '&nbsp';
      return;
    }
    
	var valueStr = Number(value).toFixed(cloud_reg_digits);
	if (cloud_trim_zero && cloud_reg_digits>0) {
		var pattern = new RegExp('(\\' + decimalSep + '0+|((\\' + decimalSep + '[0-9]+?)0+))$', 'g');
        valueStr = valueStr.replace(pattern, "$3");
    }
	
    if (thousandsSep!='' && decimalSep!='') 
        valueStr = addSeparators(valueStr, decimalSep, thousandsSep); 
    valueStr = cloudPriceTmpl.replace('@1@',valueStr);
	if(fieldID === 'cloud_total_month')
		valueStr += "/month";
    obj.innerHTML = "<b>"+valueStr+"</b>";
  }
  
  {/literal}

 {literal}
 
  // [LB] validates manual input of resource amount
  function validate_limit(resID, obj) {

     var min = obj.getAttribute("min");
     var max = obj.getAttribute("max");
     var step = obj.getAttribute("step");
     var regex = /^\d+$/;

     if( !regex.test(obj.value) ) {
       obj.value = (input_values[obj.id])? input_values[obj.id] : min;
       cloudAdvancedResUpdated(resID, obj);
       return true;
     }

     if (min && max) {
       if (Number(obj.value) > max) obj.value = max;
       if (Number(obj.value) < min) obj.value = min;
     }

     if (step) {
       if (obj.value%step != 0) 
         obj.value = Math.round(obj.value/step)*step;
     }
     input_values[obj.id] = obj.value;

     return true;
  }


{/literal}
</script>

<!-- end of paci_js.tpl -->
