<!--
  provision.tpl
-->

{if $plan.ProvVisibleCount}
  <fieldset>
    <legend class="editProv">{$smarty.session.LANG.REQUIRED_PARAMETERS}</legend>

      <table cellspacing="0" cellpadding="0">
      {foreach name=outerorder item=prov_id from=$state->plan.sortedProv}
      {assign var=itemOrderProv value=$plan.Prov[$prov_id]}
        {if $itemOrderProv.statusShow}
        <tr>
          <td class="fieldLabel provLabel"><label{if $itemOrderProv.required == 1} class="required"{/if} for="prov_{$itemOrderProv.id}">{$itemOrderProv.name|escape:'html'}</label></td>
          <td class="fieldValue provValue" align="left" id="td__widget__prov_{$itemOrderProv.id}">
            {if $itemOrderProv.readonly}
            <div>{$itemOrderProv.defaultvalue}</div>
            {else}
            <div class="fieldEntry">
              {assign var=itemProvDescr value=$itemOrderProv.description}
              {if !strlen($itemOrderProv.description)}
                {assign var=itemProvDescr value= $itemOrderProv.name}
              {/if}
              {widget name="prov_"|cat:$itemOrderProv.id id="prov_"|cat:$itemOrderProv.id title=$itemProvDescr}
            </div>
            <div class="fieldComment">{if $itemOrderProv.hint && strlen($itemOrderProv.hint)}{$itemOrderProv.hint}{else}{$itemOrderProv.description}{/if}</div>
            {/if}
          </td>
        </tr>
        {/if}
      {/foreach}
      </table>

    </legend>
  </fieldset>

{/if}

<!--
  end of provision.tpl
-->
