
<!--
  account_confirm.tpl
{*  $account: all account information available the moment
    $accountFullName: "FirstName MiddleName LastName" or "CompanyName"
    $StateName: human readable name of current account state
    $CountryName: human readable name of current account country
*}-->

  <table class="tableHeader" cellspacing="0" cellpadding="0">
  <tr>
    <td class="tableHeaderTD"><span class="BlockName">{msg what="Contact Information"}</span></td>
  </tr>
  </table>
  
  <table class="tableContent" cellpadding="0" cellspacing="4">
  <tr>
    <td class="tableContentTD">
    
    <table class="PBA-checkoutConfirmAccountData">
    <tr><th><span>{$smarty.session.LANG.FIRST_NAME}:</span></th><td>{$account->FirstNameID|escape:'html'}</td></tr>
    <tr><th><span>{$smarty.session.LANG.LAST_NAME}:</span></th><td>{$account->LastNameID|escape:'html'}</td></tr>
    <tr><th><span>{$smarty.session.LANG.ADDRESS}:</span></th><td>{$account->AddressID|escape:'html'}</td></tr>
    <tr><th><span>{$smarty.session.LANG.ADDRESS2}:</span></th><td>{$account->Address2ID|escape:'html'}</td></tr>
    <tr><th><span>{$smarty.session.LANG.CITY}:</span></th><td>{$account->CityID|escape:'html'}</td></tr>
    <tr><th><span>{$smarty.session.LANG.STATE_PROVINCE}:</span></th><td>{$StateName|escape:'html'}</td></tr>
    <tr><th><span>{$smarty.session.LANG.COUNTRY}:</span></th><td>{$CountryName|escape:'html'}</td></tr>
    <tr><th><span>{$smarty.session.LANG.ZIP_POSTAL}:</span></th><td>{$account->ZipID|escape:'html'}</td></tr>
    <tr><th><span>{$smarty.session.LANG.EMAIL}:</span></th><td>{$account->EmailID|escape:'html'}</td></tr>
    <tr><th><span>{$smarty.session.LANG.PHONE}:</span></th><td>+{$account->Phone->country} ({$account->Phone->area}) {$account->Phone->number} {$account->Phone->extension}</td></tr>
    {if $account->Fax->number}<tr><th><span>{$smarty.session.LANG.FAX}:</span></th><td>+{$account->Fax->country} ({$account->Fax->area}) {$account->Fax->number} {$account->Fax->extension}</td></tr>{/if}
    </table>

    </td>
  </tr>
  </table>

  <table class="tableFooter" cellpadding="0" cellspacing="0">
  <tr>
    <td class="tableFooterTD" align="right">&nbsp;</td>
  </tr>
  </table>

<!--
  end of account_confirm.tpl
-->
