<!--
  domain_listmain.tpl
-->

  <script type="text/javascript">
  {literal}
  function CheckAllFoundDomains(obj, check) {
    var re = new RegExp("^new_ZoneID_");
    var inputs = obj.getElementsByTagName("input");
    for (var i=0; i < inputs.length; i++) {
      if (inputs[i].getAttribute("type") != "checkbox" ||
          inputs[i].disabled) continue;
      inputs[i].checked = check;
    }
  }
  {/literal}
  </script>

  {assign var=isSelected value=0}
  {foreach $plansListMain as $cd}
    {if $cd.isSelected}
      {assign var=isSelected value=1}
      {break}
    {/if}
  {/foreach}



<!-- domain listMain header -->
  <table class="tableHeader" cellpadding="0" cellspacing="0">
    <tr>
      <td class="tableHeaderTD">
        <span class="BlockName">{$smarty.session.LANG.DOMAIN_SELECT_TITLE}</span>
      </td>
    </tr>
  </table>

  <!-- domain listMain content -->
  <table class="tableContent" cellpadding="0" cellspacing="0" id="domain_listMain">
  <tr>
    <td class="tableContentTD">

  <table cellpadding="0" cellspacing="0" align="center" style="width: 100%;">
    <tr>
      <td>

    <fieldset class="domanListMain">
      <legend class="labelDomainListMain">{$smarty.session.LANG.DOMAIN_LISTMAIN_TITLE}</legend>

      {if sizeof($plansListMain) > 1}
      <div class="checkall">
        <input type="checkbox" id="checkall" {if $checkedListItems}checked{/if} onclick="CheckAllFoundDomains(this.form, this.checked)" />
        <label for="checkall">{$smarty.session.LANG.CHECK_UNCHECK_ALL}</label>
      </div>
      {/if}


      <table cellpadding="0" cellspacing="0" class="tableSelectDomainList">
      {foreach name=outer key=planPos item=cd from=$plansListMain}
        {assign var="planID" value=$cd.PlanID}
        {assign var="plan" value=$cd}
        <tr>
          <td align="left" valign="middle">
            <input type='checkbox'
                   name="Plan[{$planPos}]"
                   onclick="Display('extrate{$cd.DomainName|cat:$cd.PlanID}', false, false)"
                   typecontrol="domain"
                   {if $cd.IsUnavailable}disabled{/if}
                   id="{$cd.DomainName}.{$cd.PlanName}"
                   title="{$cd.DomainName}.{$cd.PlanName}"
                   {if ($config->checkedListItems || $cd.isSelected ||
                       ($isSelected == 0 && $cd.AutoSelect)) &&
                       !$cd.IsUnavailable}checked{/if}
                   />
          </td>
          <td align="left" valign="middle">
              <label for="{$cd.DomainName}.{$cd.PlanName}">
                &nbsp; {$cd.DomainName}.{$cd.PlanName}
              </label>
          </td>
          <td align="left" valign="middle">
            {if $cd.IsUnavailable}
              <span class="Unavailable">{$smarty.session.LANG.STATUS_DOMAIN_NOT_ACCESS}</span>
            {else}
              <span class="Available">{$smarty.session.LANG.STATUS_DOMAIN_ACCESS}</span>
            {/if}
          </td>

          {if !$cd.IsUnavailable && !$screenTransfer}
          <td valign="middle">
             {include file="plan_period.tpl" disabled=$cd.IsUnavailable addvalue=$cd.DomainName notDisplayDetailsPrice=true test=$cd.DomainName|cat:$cd.PlanName|cat:" Period" inputname=$planPos width="0px;" periods=$plan.Period}
          </td>
{*
          <td class="customContactCheckboxes">
            <input type="checkbox" name="customContact_{$planPos}" id="customContact_{$planPos}" />
            <label for="customContact_{$planPos}">
              {$smarty.session.LANG.CUSTOM_CONTACT}
            </label>
          </td>
*}
          {/if}

          {if $cd.IsUnavailable && !$screenBulk}
          <td class="owndomainlink">
            {if $config->displayTransfer}
            <a href="javascript:post(['operationType', 'Transfer2',
                                      'DomainNameID', '{$cd.DomainName}',
                                      'PlanID', {$cd.PlanID}] );"
                 >{$smarty.session.LANG.DOMAIN_LISTMAIN_TRANSFER}</a>
            {/if}
            {if $config->displayExternal && $config->displayTransfer} &nbsp;<span class="Comment">|</span>&nbsp; {/if}
            {if $config->displayExternal}
            <a href="javascript:post(['operationType', 'External',
                                      'DomainNameID', '{$cd.DomainName}.{$cd.PlanName}'] );"
                 >{$smarty.session.LANG.DOMAIN_LISTMAIN_EXTERNAL}</a>
            {/if}
          </td>
          {/if}

          {if !$cd.IsUnavailable && $screenTransfer && $cd.TransferPosibility == 50}
            <td>
              <label for="TransferKey[{$planPos}]" class="required">{$smarty.session.LANG.DOMAINSEXTENSION_TRANSFER_KEYREQUIRED}:</label>&nbsp;
            </td>
            <td>{widget name="TransferKey["|cat:$planPos|cat:"]" id="TransferKey["|cat:$planPos|cat:"]"}</td>
          {/if}

        </tr>
        {if !$screenBulk && !$screenTransfer && $smarty.foreach.outer.first && $isSelected==1}
        <tr>
          <td colspan="4" align="left" class="other_available">{$smarty.session.LANG.DOMAINSEXTENSION_OTHER_AVAILABLE_DOMAINS}</td>
        </tr>
        {/if}

      {/foreach}
      </table>

      </fieldset>

      </td>
    </tr>
    </table>

    {if $state->listMoreNotEmpty}
      <br />
      {GetCustomTemplate name="domain_listmore.tpl" assign="file"}
      {include file=$file}
    {/if}

  </td>
  </tr>
  </table>

  <!-- domain listMain footer -->
  <table class="tableFooter" cellpadding="0" cellspacing="0">
  <tr>
    <td class="tableFooterTD" style="width: 50%;" align="left" >

        <button class="buttonCancel" type="button" id="closeNewLists"
                onClick="post(['operationType', 'closeNewLists']);"
            >{$smarty.session.LANG.SHOW_DOMAINS_MORE_OPTIONS}</button>

    </td>
    <td class="tableFooterTD" style="width: 50%;" align="right">

        <button class="buttonAdd" type="submit"
                title="{$smarty.session.LANG.ADD_TO_ORDER}"
                {if $state->listMainAvailablePlansCount == 0 && !$state->listMoreNotEmpty}disabled{/if}
                id="AddToCard">{$smarty.session.LANG.ADD_TO_ORDER}</button>

    </td>
  </tr>
  </table>

  <script type="text/javascript">
  SW.Signal.addLoadEvent(function () {literal}{
    SW.Widget.startEventEngine(document.forms["domainSelectForm"]);
  }{/literal});
  </script>


<!--
  end of domain_listmain.tpl
-->
