<!--
  paytool.tpl
-->
{if $payToolTypes_count > 0}
  <table cellpadding="0" cellspacing="0" style="width: 100%;" id="PayToolData" name="PayToolData" title="PayToolData">
    <tr>
      <td align="left">

        <table class="tableHeader tablePayToolHeader" cellspacing="0" cellpadding="0">
          <tr>
            <td class="tableHeaderTD"><span class="BlockName">{$smarty.session.LANG.CREDIT_CARD}</span></td>
          </tr>
        </table>

      </td>
    </tr>
    <tr>
      <td>

        <table class="tableContent tablePayToolContent" cellpadding="0" cellspacing="0">
          <tr>
            <td class="tableContentTD">

              <table cellpadding="0" cellspacing="4" style="width: 100%;">
                <tr>
                  <td align="left">
                    <div class="fieldEntry">
                    <table cellpadding="0" cellspacing="0">
                      <tr>
                        <td>
                          <select name="CardTypeID"
                                  title="{$smarty.session.LANG.CREDIT_CARD_TYPE_TIP}"
                                  id="NewCardTypeID"
                                  onChange="DisplayFormForNewPayTool(this, '{$config->defaultCountryID}', '{$accountFullName|escape:'javascript'}')"
                                  class="CardTypeID">

                            {*
                            {if $account->AccountID}
                              {GetCustomTemplate name="existing_paytools.tpl" assign="file"}
                              {include file=$file}
                            {/if}
                            *}

                            {foreach name=outer key=number item=payTool from=$config->payToolTypes}
                              <option value="{$number}"
                                      {if $account->CardTypeID != ""}{if $number == $account->CardTypeID}selected{/if}{elseif $payTool->UseForAutoPayments}selected{/if}
                                      type="{$payTool->type}" system="{$payTool->system}"
                                      IssueNumApplicable="{$payTool->IssueNumApplicable}" StartDateApplicable="{$payTool->StartDateApplicable}"
                                      CvvRequired="{$payTool->CvvRequired}"
                                      BankNumberStatus="{$payTool->BankNumberStatus}"
                                      AccHolderNameStatus="{$payTool->AccHolderNameStatus}" RegisteredPlaceStatus="{$payTool->RegisteredPlaceStatus}"
                              >{$payTool->text}</option>
                            {/foreach}

                          </select>

                        </td>
                        <td>

                          <div class="paymentTypeIconsLine">
                            {foreach name=outer key=number item=payTool from=$config->payToolTypes}
                              {if $payTool->img}
                                <img src="{$payTool->img}" class="paymentTypeIcon" alt="{$CREDIT_CARD_TYPE_TIP}" onclick="autoselect({$number});" />
                              {/if}
                            {/foreach}
                          </div>

                        </td>
                      </tr>
                      <tr>
                        <td>
                          <div id="HandlingFeeWarning" style="display:{if $Totals_ExtraCharge == 0 }none{/if}">
                            <span class="Note">{$smarty.session.LANG.PAYTOOL_HANDL_FEE_WARN}</span>
                          </div>
                        </td>
                      </tr>
                    </table>
                    </div>
                  </td>
                </tr>
              </table>


              <div id="cc" style="display:none;">
                <table cellpadding="0" cellspacing="4" style="width: 100%;">

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="CardNumberID" size=20 maxlength=20 autocomplete="off"
                  label=$smarty.session.LANG.CREDIT_CARD_NUMBER
                  placeholder=$smarty.session.LANG.TOOLTIP_CREDIT_CARD_NUMBER required=true}

                  <tr id="id__StartDateTR">
                    <td class="fieldLabel"><label id="label__StartDate" class="required">{$smarty.session.LANG.CREDIT_CARD_START_DATE}</label></td>
                    <td align="left" id="id__StartDateTD" class="fieldEntry">{$selYear}{$Displacement}<nobr>{templatestore_select_date prefix="StartDate_" style="width: auto;" time=$startseltime start_year="-6" end_year="+0" display_days=false month_format="%m" year_empty="--" month_empty="--" year_extra="validator=\"EmptyText\" desc=\""|cat:$smarty.session.LANG.CREDIT_CARD_START_DATE|cat:"\" id=\"id__StartDateYear\"" month_extra="validator=\"EmptyText\" desc=\""|cat:$smarty.session.LANG.CREDIT_CARD_START_DATE|cat:"\" id=\"id__StartDateMonth\""}&nbsp;<span class="Comment">{$smarty.session.LANG.TOOLTIP_START_DATE}</span></nobr></td>
                  </tr>

                  <tr>
                    <td class="fieldLabel"><label id="label__ExpDate" class="required">{$smarty.session.LANG.CREDIT_CARD_EXPIRATION_DATE}</label></td>
                    <td align="left" id="id__ExpirationDateTD" class="fieldEntry">{$selYear}{$Displacement}<nobr>{templatestore_select_date style="width: auto;" time=$seltime end_year="+8" display_days=false month_format="%m" year_empty="--" month_empty="--" year_extra="validator=\"EmptyText\" desc=\""|cat:$smarty.session.LANG.CREDIT_CARD_EXPIRATION_DATE|cat:"\" id=\"id__ExpirationDateYear\"" month_extra="validator=\"EmptyText\" desc=\""|cat:$smarty.session.LANG.CREDIT_CARD_EXPIRATION_DATE|cat:"\" id=\"id__ExpirationDateMonth\""}&nbsp;<span class="Comment">{$smarty.session.LANG.TOOLTIP_EXP_DATE}</span></nobr></td>
                  </tr>

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="CardHolderNameID" size=40 maxlength=40
                  label=$smarty.session.LANG.CREDIT_CARD_HOLDER_NAME
                  placeholder=$smarty.session.LANG.TOOLTIP_CREDIT_CARD_HOLDER_NAME required=true}

                  <tr>
                    <td class="fieldLabel"><label id="label__CvvID" for="CvvID">{$smarty.session.LANG.CREDIT_CARD_CVV}</label></td>
                    <td align="left" class="fieldEntry">

                      <table cellpadding="0" cellspacing="0">
                        <tr>
                          <td>

                            <div>
                              {widget name="CvvID" title=$smarty.session.LANG.CREDIT_CARD_CVV id="CvvID" autocomplete="off"}
                            </div>
                          </td>
                          <td>
                            <div id='smallVisaMasterDiscoverImage' class="smallPaymentImage" style='display:none'>
                              <a href='{$SCRIPT_DIR}/http/visa.php' tabindex=-1 onclick='NewWindow(this.href,"image1","350","300","no","center");return false' onfocus='this.blur()'><img src="{$SCRIPT_DIR}{$IMAGES_PATH}/cid_s.gif" border="0" hspace="6" width="46" height="27" alt="{$smarty.session.LANG.CREDIT_CARD_CVV}"/></a>
                            </div>
                            <div id='smallAmexImage' class="smallPaymentImage" style='display:none'>
                              <a href='{$SCRIPT_DIR}/http/americanexpress.php' tabindex=-1  onclick='NewWindow(this.href,"image1","350","300","yes","center");return false' onfocus='this.blur()'><img src="{$SCRIPT_DIR}{$IMAGES_PATH}/AmexSmall.gif" border="0" hspace="6" width="46" height="27" alt="{$smarty.session.LANG.CREDIT_CARD_AMEX_CVV}"/></a>
                            </div>
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>

                  <tr id="id__CardIssueNumberTR">
                    <td class="fieldLabel"><label id="label__CardIssueNumberID" for="CardIssueNumberID">{$smarty.session.LANG.CREDIT_CARD_ISSUE_NUMBER}</label></td>
                    <td align="left" class="fieldEntry">

                      <table cellpadding="0" cellspacing="0">
                        <tr>
                          <td>

                            <div class="fieldEntry">
                              {widget name="CardIssueNumberID" title=$smarty.session.LANG.CREDIT_CARD_ISSUE_NUMBER id="CardIssueNumberID" size="3"}
                            </div>
                          </td>
                          <td>
                            <span class="fieldComment">{$smarty.session.LANG.TOOLTIP_CREDIT_CARD_ISSUE_NUMBER}</span></nobr>
                          </td>
                          <td>
                            &nbsp;
                          </td>
                        </tr>
                      </table>

                    </td>
                  </tr>
                </table>
              </div>
              <div  id="ba" style="display:none;">

                <table cellpadding="0" cellspacing="4" style="width: 100%;">
                  <!--table cellpadding="0" cellspacing="4" class="tablePayToolContent" style="border:0;"-->

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="AccountNumberID" size=40 maxlength=50
                  label=$smarty.session.LANG.ACCOUNT_NUMBER required=true
                  comment=$smarty.session.LANG.TOOLTIP_ACCOUNTNUMBER}

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="BankNumberID" size=14 maxlength=14
                  label=$smarty.session.LANG.BANK_NUMBER required=true
                  comment=$smarty.session.LANG.TOOLTIP_BANKNUMBER}

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="AccountHolderNameID" size=40 maxlength=40
                  label=$smarty.session.LANG.ACCOUNT_HOLDER_NAME required=true
                  comment=$smarty.session.LANG.TOOLTIP_ACCOUNT_NAME}

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="RegisteredPlaceID" size=40 maxlength=40
                  label=$smarty.session.LANG.REGISTERED_PLACE required=true
                  comment=$smarty.session.LANG.TOOLTIP_REGISTERED_PLACE}

                </table>
              </div>

              <div id="ab" style="display:none;">

                <table cellpadding="0" cellspacing="4" style="width: 100%;">
                  <tr>
                    <td class="fieldLabel"><label id="label__ABPaperBased" for="ABPaperBased"
                      >{$smarty.session.LANG.AB_PAPER_BASED}</label></td>
                    <td align="left" class="fieldEntry">
                      <div class="fieldEntry">
                        <input type="hidden" name="ABPaperBased">
                        <input type="checkbox" id="checked_ABPaperBased"
                               name="checked_ABPaperBased" class="ABPaperBased"
                               onclick="TogglePaperBased(this.checked);"
                               {if $account->ABPaperBased}checked{/if} />&nbsp;
                      </div>
                      <div class="fieldComment">{$smarty.session.LANG.TOOLTIP_AB_PAPER_BASED}</div>
                    </td>
                  </tr>

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="ABAccountHolderNameID" size=40 maxlength=40
                  label=$smarty.session.LANG.AB_ACCOUNT_HOLDER_NAME required=true
                  comment=$smarty.session.LANG.TOOLTIP_AB_ACCOUNT_HOLDER_NAME}

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="ABBankNameID" size=40 maxlength=40
                  label=$smarty.session.LANG.AB_BANK_NAME required=true
                  comment=$smarty.session.LANG.TOOLTIP_AB_BANK_NAME}

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="ABAccountNumberID" size=8 maxlength=8
                  label=$smarty.session.LANG.AB_ACCOUNT_NUMBER required=true
                  comment=$smarty.session.LANG.TOOLTIP_AB_ACCOUNT_NUMBER}

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="ABSortCodeID" size=6 maxlength=6
                  label=$smarty.session.LANG.AB_SORT_CODE required=true
                  comment=$smarty.session.LANG.TOOLTIP_AB_SORT_CODE}

                </table>
                <div id="ab_paperless"><!-- TODO: do not show if empty -->
                  <table cellpadding="0" cellspacing="4" style="width: 100%;" id="id__PaperLessWrapper">
                    <tr>
                      <td class="fieldLabel"><label id="label__ABPaperlessAgreement" for="ABPaperlessAgreement"
                        >{$smarty.session.LANG.AB_PAPERLESS_AGREEMENT}</label></td>
                      <td align="left" class="fieldEntry">
                        <div class="fieldEntry">
                          {$smarty.session.LANG.AB_PAPERLESS_AGREEMENT_TEXT}
                        </div>
                        <div class="fieldComment"></div>
                      </td>
                    </tr>
                    <tr>
                      <td class="fieldLabel"><label id="label__ABDDGuarantee" for="ABDDGuarantee"
                        >{$smarty.session.LANG.AB_DDGUARANTEE}</label></td>
                      <td align="left">
                        <div class="fieldEntry">
                          {$smarty.session.LANG.AB_DDGUARANTEE_TEXT}
                        </div>
                        <div class="fieldComment"></div>
                      </td>
                    </tr>
                    <tr>
                      <td class="fieldLabel"><label id="label__ABPaperlessAgreementConfirm" for="ABPaperlessAgreementConfirm" class="required"
                        >{$smarty.session.LANG.AB_PAPERLESS_AGREEMENT_CONFIRM}</label></td>
                      <td align="left">
                        <div class="fieldEntry">
                          <div class="widget widgetRequired" id="widget__ABPaperlessAgreementConfirm" type="text">
                            <input type="checkbox" id="checked_ABPaperlessAgreementConfirm"
                                   name="checked_ABPaperlessAgreementConfirm" class="ABPaperlessAgreementConfirm"
                            />&nbsp;
                          </div>
                          <div class="widgetErrorMessage widgetHidden" id="error__ABPaperlessAgreementConfirm"></div>
                        </div>
                        <div class="fieldComment">{$smarty.session.LANG.AB_PAPERLESS_AGREEMENT_CONFIRM_TEXT}</div>
                      </td>
                    </tr>
                  </table>
                </div>

              </div>

              <div id="bi" style="display:none;">
                <table cellpadding="0" cellspacing="4" style="width: 100%;">
                  {if $account->AccountID <= 0 || !$account->accountDetails['FullyRegistred']}
                    <tr>
                      <td></td>
                      <td align="left">
                        {$smarty.session.LANG.PAYTOOL_LABEL_BILLING_ADDRESS}
                      </td>
                    </tr>
                    <tr>
                      <td align="right"><input type="checkbox" id="UseContactData"
                                               name="UseContactData" class="UseContactDataID"
                                               onclick="ToggleCCContacts(this.checked);"
                                               {if $account->UseContactData}checked{/if} />&nbsp;</td>
                      <td align="left">
                        <label for="UseContactData">
                          {$smarty.session.LANG.PAYTOOL_LABEL_USE_CONTACT_ADDRESS}
                        </label>
                      </td>
                    </tr>
                  {/if}

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="BillingAddressID" size=40 maxlength=80
                  label=$smarty.session.LANG.BILLINGADDRESS required=true}

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="BillingAddress2ID" size=40 maxlength=80
                  label=$smarty.session.LANG.BILLINGADDRESS2 required=false}

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="BillingCityID" size=30 maxlength=40
                  label=$smarty.session.LANG.BILLINGCITY required=true}

                  <tr>
                    <td class="fieldLabel"><label id="label__BillingCountryID" for="BillingCountryID" class="required">{$smarty.session.LANG.BILLINGCOUNTRY}</label></td>
                    <td class="fieldEntry">
                      <select  name="BillingCountryID" id="BillingCountryID" title="{$smarty.session.LANG.BILLINGCOUNTRY}" class="BillingCountryID" style="width:275px;">
                        {foreach name=country_outer item=country from=$config->firstCountryList}
                          <option value="{$country.Code}"
                                  TaxRegReqPers="{$country.TaxRegReqPers}"
                                  TaxRegReqComp="{$country.TaxRegReqComp}"
                                  StateProvinceReq="{$country.StateProvinceReq}"
                                  DefaultPhoneCountryCode="{$country.DefaultPhoneCountryCode}"
                                  PhoneAreaCodeReq="{$country.PhoneAreaCodeReq}"
                                  zipRegex="{$country.ZipRegEx}">{$country.Name}</option>
                        {/foreach}
                        <option disabled> -- </option>
                        {foreach name=country_outer item=country from=$config->countryList}
                          <option value="{$country.Code}"
                                  {if $state->BillingCountryID == $country.Code}checked{/if}
                                  TaxRegReqPers="{$country.TaxRegReqPers}"
                                  TaxRegReqComp="{$country.TaxRegReqComp}"
                                  StateProvinceReq="{$country.StateProvinceReq}"
                                  DefaultPhoneCountryCode="{$country.DefaultPhoneCountryCode}"
                                  PhoneAreaCodeReq="{$country.PhoneAreaCodeReq}"
                                  zipRegex="{$country.ZipRegEx}">{$country.Name}</option>
                        {/foreach}
                      </select>
                    </td>
                  </tr>

                  <tr>
                    <td class="fieldLabel"><label id="label__BillingStateID" for="BillingStateID">{$smarty.session.LANG.BILLING_STATE_PROVINCE}</label></td>
                    <td align="left">
                      <div class="fieldEntry" id="widget__BillingStateID" type="combo">
                        <select name="BillingStateID" id="BillingStateID" title="{$smarty.session.LANG.BILLING_STATE_PROVINCE}" class="BillingStateID" style="width:210px;"></select>
                        <div class="widgetErrorMessage widgetHidden" id="error__BillingStateID">{$smarty.session.LANG.ERROR_BLANK_VALUE}</div>
                      </div>
                      <div class="fieldComment"></div>
                    </td>
                  </tr>

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="BillingZipID" size=6 maxlength=10
                  label=$smarty.session.LANG.BILLINGZIP required=true}

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="BillingEmailID" size=25 maxlength=100 label=$smarty.session.LANG.EMAIL
                  placeholder=$smarty.session.LANG.TOOLTIP_EMAIL required=true}

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="BillingPhone" class="fieldLabelPhone" label=$smarty.session.LANG.PHONE
                  comment=$smarty.session.LANG.TOOLTIP_PHONE required=true}

                  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                  {include file=$file name="BillingFax" class="fieldLabelFax" label=$smarty.session.LANG.FAX
                  comment=$smarty.session.LANG.TOOLTIP_FAX required=false}

                </table>
              </div>

              <!-- Redirect Payment Methods -->
              <div id="re" style="display:none;">
                <label>{$smarty.session.LANG.REDIRECT_PM_TOOLTIP}</label>
              </div>

              <!-- Modal Payment Methods -->
              <div id="mo" style="display:none;">
                {foreach name=payTools key=paytool_key item=payTool from=$config->payToolTypes}
                  {if $payTool->type == 7}
                    <label id="mo__{$paytool_key}" class="mo_class">{$smarty.session.LANG.MODAL_PM_TOOLTIP|replace:'$1':$payTool->text}</label>
                  {/if}
                {/foreach}
              </div>

              <!-- ************************** PayToolSystems Parameters ****************************** -->
              {foreach name=payTools key=paytool_key item=payTool from=$config->payToolTypes}
                {if $payTool->Params}
                  <div  id="id__{$payTool->system}" style="display:none;">
                    <table cellpadding="0" cellspacing="4" style="width: 100%;">
                      {foreach name=paramsList key=param_key item=param from=$payTool->Params}
                        {GetCustomTemplate name="co_stdline.tpl" assign="file"}
                        {include file=$file name="paytool_param_"|cat:$param.ParamID size=24 label=$param.Name
                        required=$param.Status comment=$param.Comment}
                      {/foreach}
                    </table>
                  </div>
                {/if}
              {/foreach}
              <input type="hidden" id="PayToolAgreementSystemName">
              <!-- ************************** /PayToolSystems Parameters ****************************** -->

            </td>
          </tr>
        </table>



      </td>
    </tr>
    {foreach name=payTools key=paytool_key item=payTool from=$config->payToolTypes}
      {if $payTool->HasAgreement}

        <tr id="{$payTool->system}_agreement_row" style="display:none;">
          <td>
            <table cellpadding="0" cellspacing="0" style="width: 100%;">

              <tr id="{$payTool->system}_agreement_footer">
                <td>
                  <table class="tableFooter tablePayToolFooter" cellpadding="0" cellspacing="0">
                    <tr>
                      <td class="tableFooterTD" align="right">&nbsp;</td>
                    </tr>
                  </table>
                </td>
              </tr>
              <tr id="{$payTool->system}_agreement_header">
                <td align="left">
                  <table class="tableHeader tablePayToolHeader" cellspacing="0" cellpadding="0">
                    <tr>
                      <td class="tableHeaderTD"><span class="BlockName">{$payTool->AgreementLabel}</span></td>
                    </tr>
                  </table>
                </td>
              </tr>
              <tr id="{$payTool->system}_agreement_content">
                <td>
                  <table class="tableContent tablePlaceOrderContent" cellpadding="0" cellspacing="0">
                    <tr>
                      <td class="tableContentTD tablePlaceOrderContentTD">
                        <table cellpadding="0" cellspacing="0" style="width: 100%;">
                          <tr>
                            <td valign="top">
                              <input type="checkbox" name="{$payTool->system}PaytoolAgreement" id="{$payTool->system}_agreement" onchange="CheckAgreement();">&nbsp;&nbsp;
                            </td>
                            <td>{$smarty.session.LANG["AGREEMENT_"|cat:$payTool->system]}</td>
                          </tr>
                        </table>
                      </td>
                    </tr>
                  </table>
                </td>
              </tr>

            </table>
          </td>
        </tr>

      {/if}
    {/foreach}

    <tr>
      <td>

        <table class="tableFooter tablePayToolFooter" cellpadding="0" cellspacing="0">
          <tr>
            <td class="tableFooterTD" align="right">&nbsp;</td>
          </tr>
        </table>

      </td>
    </tr>
  </table>

{literal}
  <script type="text/javascript">
    var objUseContactData = document.getElementById("UseContactData");
    var useContactData_isChecked = false;
    if (objUseContactData) {
      useContactData_isChecked = objUseContactData.checked;
    }

    function autoselect(number) {
      var obj = document.getElementById("NewCardTypeID");
      obj.selectedIndex = number;
      op = obj.options[obj.selectedIndex];
      obj.onchange();
    }

    function payToolOnLoad() {
      //setTimeout("DisabledPaytoolContact(objUseContactData)", 100);
      ToggleCCContacts(useContactData_isChecked);
      var obj = document.getElementById("NewCardTypeID");
      obj.onchange();
    }

    //window.onload = payToolOnLoad();
    SW.Signal.addLoadEvent(payToolOnLoad);
  </script>
{/literal}
{else}
  <!-- no paytools configured -->
{/if}
<!--
  end of paytool.tpl
-->
