<!--
  newplanrate_tree.tpl
-->
{foreach name=namePlanrate item=pr_item key=keyPlanRate from=$children}
  {assign var="item_index" value=$pr_item->index}
  {assign var="itemPlanRate" value=$pr_item->data}
  {if $planRateItemLevel==0}
    {assign var="parentPlanRate" value=$pr_item->data}
  {/if}

  {if $pr_item->type == 'category'}
    <tbody{if $planRateItemLevel!=0} id="planRateChildCat{$pr_item->data.ParentRateID}_{$pr_item->data.ResourceCategoryID}"{/if}>
  {else}
    <tbody{if $planRateItemLevel!=0} id="planRateChild{$pr_item->data.ResourceCategoryID}_{$pr_item->data.ParentRateID}_{$pr_item->data.ID}"{/if}>
  {/if}

    <tr class="{cycle values='oddRowTable,evenRowTable'} planRateItemLevel{$planRateItemLevel}">
      {if $pr_item->type == 'category'}
        {GetCustomTemplate name="./newplanrate_categorytitle.tpl" assign="file"}
        {include file=$file category=$pr_item->data}
      {elseif $pr_item->type == "group"}
        {GetCustomTemplate name="./planrateitem_radio.tpl" assign="file"}
        {include file=$file}
      {elseif $itemPlanRate.UpperLimit != -1 &&
              ($itemPlanRate.UpperLimit - $itemPlanRate.IncludedValue) <= 1}
        {GetCustomTemplate name="./planrateitem_bool.tpl" assign="file"}
        {include file=$file}
      {else}
        {math equation="x - y" x=$itemPlanRate.UpperLimit y=$itemPlanRate.IncludedValue assign="limit"}
        {GetCustomTemplate name="./planrateitem.tpl" assign="file"}
        {include file=$file}
      {/if}
    </tr>

    {if $pr_item->hasChildren}
      {math equation="x + 1" x=$planRateItemLevel assign="newPlanRateItemLevel"}
        {GetCustomTemplate name="./newplanrate_tree.tpl" assign="file"}
        {include file=$file children=$pr_item->children parentItem=$pr_item parentPlanRate=$parentPlanRate planRateItemLevel=$newPlanRateItemLevel}
    {/if}

  </tbody>

{/foreach}

<!--
  end of newplanrate_tree.tpl
-->
