<!--
  provision.tpl
-->

{if $plan.ProvVisibleCount}
    <table cellspacing="0" cellpadding="0" width="100%">
        {if $smarty.session.LANG.REQUIRED_PARAMETERS != '' }
        <tr>
            <td class="tableContentTD">
                <fieldset>
                  <legend class="editProv">{$smarty.session.LANG.REQUIRED_PARAMETERS}</legend>
                </fieldset>
            </td>
        </tr>
        {/if}
        {foreach name=outerorder item=prov_id from=$state->plan.sortedProv}
        {assign var=itemOrderProv value=$plan.Prov[$prov_id]}
            {if $itemOrderProv.statusShow}
                <tr>
                    <td class="tableContentTD">
                        <table cellspacing="0" cellpadding="0" width="100%">
                        <tr>
                            <td class="fieldLabel provLabel"><label{if $itemOrderProv.required == 1} class="required"{/if} for="prov_{$itemOrderProv.id}">{$itemOrderProv.name}</label></td>
                            <td class="fieldValue provValue" align="left" id="td__widget__prov_{$itemOrderProv.id}">
                            {if $itemOrderProv.readonly}
                                <div>{$itemOrderProv.defaultvalue}</div>
                            {else}
                                <div class="fieldEntry">
                                {assign var=itemProvDescr value=$itemOrderProv.description}
                                {if !strlen($itemOrderProv.description)}
                                   {assign var=itemProvDescr value= $itemOrderProv.name}
                                {/if}
                                {widget name="prov_"|cat:$itemOrderProv.id id="prov_"|cat:$itemOrderProv.id title=$itemProvDescr}
                                </div>
                                <div class="fieldComment">{if $itemOrderProv.hint && strlen($itemOrderProv.hint)}{$itemOrderProv.hint}{else}{$itemOrderProv.description}{/if}</div>
                            {/if}
                            </td>
                        </tr>
                        </table>
                    </td>
                </tr>
            {/if}
        {/foreach}
    </table>
{/if}

<!--
  end of provision.tpl
-->
