<!--
  checkout.tpl
-->
<div id="checkout">
  {if !$config->noDisplayLogin && !$orderSubscriptionExist && !$account->existingUserID && $checkout_page!=2 && !$account->AccountID}
    {GetCustomTemplate name="co_oldnew.tpl" assign="file"}
    {include file=$file}

    <div id="PBA-checkout-loginForm"{if $MyErrorCode != 10} style="display: none;"{/if}>
      {$authScreen}
    </div>
  {/if}

  <div id="PBA-checkout-placeOrderForm"{if $MyErrorCode == 10} style="display: none;"{/if}>
    <form action="{$baseURL}" method="POST" name="frmStore" id="checkoutForm" {*onsubmit="return Signal.canContinue(this);"*}>
      {GetCSRFTokenElement}
      {if '' != $encodedPassword}
        <input type="hidden" name="encodedPassword" value="{$encodedPassword}" />
      {/if}
      <input type="hidden" name="operationType" value="continue" />

      {if $SHOW_INCOMMING_PARAMS}
        {GetCustomTemplate name="incomming_params_frame.tpl" assign="file"}
        {include file=$file}
      {/if}

      {$contactDataBody}

      {GetCustomTemplate name="orderattr.tpl" assign="file"}
      {include file=$file}

      {if !$checkout_page || $checkout_page==2}
        <table class="tableHeader tablePlaceOrderHeader" cellspacing="0" cellpadding="0">
          <tr>
            <td class="tableHeaderTD tablePlaceOrderHeaderTD"><span class="BlockName BlockNameOrder BlockNamePlaceOrder"></span></td>
          </tr>
        </table>
        <table class="tableContent tablePlaceOrderContent" cellpadding="0" cellspacing="0">
          <tr>
            <td class="tableContentTD tablePlaceOrderContentTD" align="left">
              {if $account->isSunriseAccount}
                {$smarty.session.LANG.SUNRIZE_CONFIM_MESSAGE}
              {else}
                {GetCustomTemplate name="agreement.tpl" assign="file"}
                {if !$hideAgreement}{include file=$file}{/if}
              {/if}
            </td>
          </tr>
        </table>
        <table class="tableFooter tablePlaceOrderFooter" cellpadding="0" cellspacing="0">
          <tr>
            <td class="tableFooterTD tablePlaceOrderFooterTD" align="right">
              {if !$accountBlocked}
                <button id="apt" class="buttonPlaceOrder SWbutton SWbutton_Disable" name="ButtonPlaceOrder" disabled=""
                        title="{$smarty.session.LANG.LABEL_PLACE_ORDER}" type="submit"
                >{$smarty.session.LANG.LABEL_PLACE_ORDER}</button>
              {/if}
            </td>
          </tr>
        </table>
      {/if}
    </form>
  </div>
</div>
<script type="text/javascript">
  var defaultCountryID = '{$config->defaultCountryID}';
  var defaultCountryCode = '{$config->defaultCountryCode}';
  var CountryID = '{$account->CountryID}';
  var BillingCountryID = '{$account->BillingCountryID}';
  var DomainContactCountryID = '{$state->DomainContact->contact->country}';
  //stateList = {$json_encode_StateList};
  var StateID = '{$account->StateID}';
  var BillingStateID = '{$account->BillingStateID}';
  var DomainContactStateID = '{$state->DomainContact->contact->state}';
  var str_notApplicable = '{$smarty.session.LANG.LABEL_NOTAPPLICABLE}';
  var validateStrategy = '{$config->validateStrategy}';
  var refreshBasket = '{$orderConfig->refreshBasketOnPayToolchange}';
  var checkTaxes = '{$CONFIG_INI.SCREEN.$SCREEN["CHECK_TAXES"]}';
  var isVneActive = {if $IS_VNE_CHECK_ACTIVE}true{else}false{/if};

  var paytools = new Array();
  {foreach name=outer key=number item=payTool from=$config->payToolTypes}
  paytools.push({ type : {$payTool->type},  {if $payTool->Is3DSecureActive} is3ds: true {else} is3ds: false {/if} });
  {/foreach}

  function onPlaceOrder(e) {
    var paytoolID = $("#NewCardTypeID").val();
    if (paytoolID && (paytools[ paytoolID ].type == 2 || paytools[ paytoolID ].is3ds)) {
      window.open('?view=externalpay', '_blank');
    }
  }

  {literal}
  var obj_country = document.getElementById("CountryID");
  var obj_state = document.getElementById("StateID");
  var obj_billing_country = document.getElementById("BillingCountryID");
  var obj_billing_state = document.getElementById("BillingStateID");

  var btn = document.getElementById("apt");
  var frm = document.getElementById("checkoutForm");

  function replaceInputValueByAnother(targetElement, sourceElement) {
      if (!targetElement.is(':visible') && '' == targetElement.val()) {
          targetElement.val(sourceElement.val());
      }
  }

  loader(
      function() {
        // Prepare form.onsubmit method.
        frm.onsubmit = function (event) {

          var elLoginID = jQuery('#LoginID');
          var elEmailID = jQuery('#EmailID');
          var elEmail2ID = jQuery('#Email2ID');
          var elPasswordID = jQuery('#PasswordID');
          var elPassword2ID = jQuery('#Password2ID');

          replaceInputValueByAnother(elEmailID, elLoginID);
          replaceInputValueByAnother(elEmail2ID, elEmailID);
          replaceInputValueByAnother(elPassword2ID, elPasswordID);

          var swEvent = new SW.Signal.Event(this, event);
          SW.Widget._onSubmitForm(swEvent);

          // Submitting was stopped by previous. Don't place order.
          if (event.__stoped) {
            return false;
          }

          if (isVneActive) {
            SW.Vne.onCheckVne(frm, swEvent);
          }

          // Submitting was stopped by previous. Don't place order.
          if (event.__stoped) {
            return false;
          }

          onPlaceOrder(swEvent);
        };

        // Prepare widgets validators.
        var widgets = frm.getElementsByTagName('div');
        for (var i = 0; i < widgets.length; i++) {
          if (widgets[i].id.substr(0,8) == 'widget__') {
            SW.Widget.setValidationEvents(widgets[i]);
          }
        }

        // Prepare additional events to cover cross-widgets behaviour.
        AdditionalCheckoutEvents(
          frm, defaultCountryID, defaultCountryCode,
          {
            'CountryID' : CountryID, 'StateID' : StateID,
            'BillingCountryID' : BillingCountryID,
            'BillingStateID' : BillingStateID,
            'DomainContactCountryID' : DomainContactCountryID,
            'DomainContactStateID' : DomainContactStateID
          },
          refreshBasket, checkTaxes
        );
      },
      ['SW.Widget']
  );
  {/literal}
</script>

<!--
  end of checkout.tpl
-->
