<!--
  passcomplexity.tpl
-->
<script type="text/javascript">

var oldpass;
jQuery(document).ready(function() {
    jQuery('#PasswordID').pass_complexify(function(valid, complexity) {
      setPassComplexity(valid, complexity, this);
      });
    jQuery('#PasswordID').keyup();
    jQuery('#PasswordID').keydown(function() {
      oldpass = this.value;
      });
    });

function setMeterComplexity(password, msg, complexity) {
  if (password != document.getElementById("PasswordID").value) return;
  var strClass = "password-strength"; 
  var strText  = locale["PASSWORD_STRENGTH_VWEAK"]; 

  var el = document.getElementById("PasswordIDComment");
  if (msg.length == 0) {
      msg = el.getAttribute("default_value");
  } else {
      complexity = 1;
  }

  if (el) {
    el.innerHTML = msg;
  }

  switch(complexity) {
    case 0: 
      break;
    case 1: 
      strClass = strClass+" "+strClass+"-very-weak"; 
      break;

    case 2: 
      strText  = locale["PASSWORD_STRENGTH_WEAK"]; 
      strClass = strClass+" "+strClass+"-weak";
      break;
    case 3:
      strText  = locale["PASSWORD_STRENGTH_WEAK"];
      strClass = strClass+" "+strClass+"-weak";
      break;
    case 4: 
    case 5: 
      strText  = locale["PASSWORD_STRENGTH_STRONG"]; 
      strClass = strClass+" "+strClass+"-very-strong"; 
      break;
    default:

  }

  el = document.getElementById("PassStrength");
  text = el.getElementsByTagName("b")[0];
  bar = el.getElementsByTagName("i")[0];
  text.innerHTML = strText;
  el.setAttribute("class", strClass);
}

function setPassComplexity(valid, complexity, ths) {
  if (ths.value.length > 0) {

    if (complexity > 2 && !valid) {
      complexity = 2;
    }

    //validate password on-the-fly
    if (complexity > 2) {
      if (ths.value != oldpass) validatePass(true, complexity);
      return;
    }

    setMeterComplexity(ths.value, "", complexity);
  } else {
    setMeterComplexity(ths.value, "", 0);
  }
}
</script>
<!--
  end of passcomplexity.tpl
-->
