<!--
  contact_for_checkout.tpl
-->

{if $DomainContactMode == 'Account'}
  {assign var="cfc_disabled" value=true}
{else}
  {assign var="cfc_disabled" value=false}
{/if}

  <table class="tableHeader" cellpadding="0" cellspacing="0">
    <tr>
      <td class="tableHeaderTD">
        <span class="BlockName">{$smarty.session.LANG.DOMAIN_REGISTRANT_CONTACT}</span>
      </td>
    </tr>
  </table>
  <table class="tableContent" cellpadding="0" cellspacing="0" id="domain_listMain">
  <tr>
    <td class="tableContentTD">

  <fieldset id="fieldset__contactDomainContact">

  <label><input type="radio" name="CntMode" id="CntModeAcc" onClick="SW.Display('table__contactDomainContact', false, true); ToggleDomainContact(false);" value="Account" {if $DomainContactMode == 'Account'}checked{/if} />&nbsp;<b>{$smarty.session.LANG.USE_EXISTING_ACCOUNT_DETAILS}</b></label>
  <br />
  <label><input type="radio" name="CntMode" id="CntModeAlt" onClick="SW.Display('table__contactDomainContact', true, true); ToggleDomainContact(true);" value="Alternate" {if $DomainContactMode != 'Account'}checked{/if} />&nbsp;<b>{$smarty.session.LANG.ENTER_ALTERNATE_REGISTRANT_INFO}</b></label>
  <br />

<div id="table__contactDomainContact"{if $DomainContactMode == 'Account'} style='display:none;'{/if}>
  <br />
  <table>

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="AUTH" prefix="DomainContact"}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name="DomainContactFirstNameID"
         label=$smarty.session.LANG.FIRST_NAME
         comment=$smarty.session.LANG.TOOLTIP_FIRST_NAME required=true disabled=$cfc_disabled}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="FIRSTNAME" prefix="DomainContact"}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name="DomainContactLastNameID"
         label=$smarty.session.LANG.LAST_NAME
         comment=$smarty.session.LANG.TOOLTIP_LAST_NAME required=true disabled=$cfc_disabled}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="LASTNAME" prefix="DomainContact"}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name="DomainContactAddressID" label=$smarty.session.LANG.ADDRESS
         comment=$smarty.session.LANG.TOOLTIP_ADDRESS required=true disabled=$cfc_disabled}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="ADDRESS" prefix="DomainContact"}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name="DomainContactAddress2ID" label=$smarty.session.LANG.ADDRESS2
         comment=$smarty.session.LANG.TOOLTIP_ADDRESS2 disabled=$cfc_disabled}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="ADDRESS2" prefix="DomainContact"}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name="DomainContactCityID" label=$smarty.session.LANG.CITY
         comment=$smarty.session.LANG.TOOLTIP_CITY required=true disabled=$cfc_disabled}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="CITY" prefix="DomainContact"}

  <tr>
    <td class="fieldLabel"><label class="required" for="DomainContactCountryID">{$smarty.session.LANG.COUNTRY}</label></td>
    <td align="left">
      <select class="CountryID" name="DomainContactCountryID" id="DomainContactCountryID" title="{$smarty.session.LANG.COUNTRY}" style="width: 275px;" {if $cfc_disabled}disabled{/if}>
      {foreach name=country_outer item=country from=$config->firstCountryList}
        <option value="{$country.Code}"
          TaxRegReqPers="{$country.TaxRegReqPers}"
          TaxRegReqComp="{$country.TaxRegReqComp}"
          StateProvinceReq="{$country.StateProvinceReq}"
          DefaultPhoneCountryCode="{$country.DefaultPhoneCountryCode}"
          PhoneAreaCodeReq="{$country.PhoneAreaCodeReq}"
          zipRegex="{$country.ZipRegEx}">{$country.Name}</option>
      {/foreach}
        <option disabled> -- </option>
      {foreach name=country_outer item=country from=$config->countryList}
        <option value="{$country.Code}"
          TaxRegReqPers="{$country.TaxRegReqPers}"
          TaxRegReqComp="{$country.TaxRegReqComp}"
          StateProvinceReq="{$country.StateProvinceReq}"
          DefaultPhoneCountryCode="{$country.DefaultPhoneCountryCode}"
          PhoneAreaCodeReq="{$country.PhoneAreaCodeReq}"
          zipRegex="{$country.ZipRegEx}">{$country.Name}</option>
      {/foreach}
      </select>
    </td>
  </tr>

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="COUNTRY" prefix="DomainContact"}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="TAXREG" prefix="DomainContact"}

  <tr>
    <td class="fieldLabel"><label id="label__DomainContactStateID" for="DomainContactStateID">{$smarty.session.LANG.STATE_PROVINCE}</label></td>
    <td align="left">
      <div class="fieldEntry" id="widget__DomainContactStateID" type="combo">
        <select name="DomainContactStateID" id="DomainContactStateID" title="{$smarty.session.LANG.STATE_PROVINCE}" class="StateID" style="width:210px;" {if $cfc_disabled}disabled{/if}></select>
        <div class="widgetErrorMessage widgetHidden" id="error__DomainContactStateID">{$smarty.session.LANG.ERROR_BLANK_VALUE}</div>
      </div>
      <div class="fieldComment"></div>
    </td>
  </tr>

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="STATEPROVINCE" prefix="DomainContact"}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name="DomainContactZipID" label=$smarty.session.LANG.ZIP_POSTAL
         comment=$smarty.session.LANG.TOOLTIP_ZIP size=false
         required=true disabled=$cfc_disabled}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="ZIP" prefix="DomainContact"}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name="DomainContactEmailID" label=$smarty.session.LANG.EMAIL
         comment=$smarty.session.LANG.TOOLTIP_EMAIL required=true disabled=$cfc_disabled}

  {GetCustomTemplate name="co_stdline.tpl" assign="file"}
  {include file=$file name="DomainContactEmail2ID" label=$smarty.session.LANG.EMAIL_CONFIRM
         comment=$smarty.session.LANG.TOOLTIP_EMAIL2 required=true disabled=$cfc_disabled}

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="EMAIL" prefix="DomainContact"}

  <tr>
    <td class="fieldLabel fieldLabelPhone"><label id="DomainContactlabel__Phone" class="required" >{$smarty.session.LANG.PHONE}</label></td>
    <td align="left">
      <div class="fieldEntry fieldEntryPhone">
      {widget name="DomainContactPhone" disabled=$cfc_disabled}
      </div>
      <div class="fieldComment fieldCommentPhone">{$smarty.session.LANG.TOOLTIP_PHONE}</div>
    </td>
  </tr>

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="PHONE" prefix="DomainContact"}

  <tr>
    <td class="fieldLabel fieldLabelFax"><label id="DomainContactlabel__Fax" >{$smarty.session.LANG.FAX}</label></td>
    <td align="left">
      <div class="fieldEntry fieldEntryFax">
      {widget name="DomainContactFax" disabled=$cfc_disabled}
      </div>
      <div class="fieldComment fieldCommentFax">{$smarty.session.LANG.TOOLTIP_PHONE}</div>
    </td>
  </tr>

  {GetCustomTemplate name="userattr.tpl" assign="file"}
  {include file=$file filter="FAX" prefix="DomainContact"}

  </table>
</div>
  </fieldset>

    </td>
  </tr>
  </table>

  <table class="tableFooter" cellpadding="0" cellspacing="0">
  <tr>
    <td class="tableFooterTD" align="right">

    {if $checkout_page && $checkout_page==1 && $DomainContactMode}
      {GetCustomTemplate name="next.tpl" assign="file"}
      {include file=$file  id="apt" name="ButtonPlaceOrder" disableAction=false display=true class="buttonPlaceOrder" title=$smarty.session.LANG.LABEL_CONTINUE text=$smarty.session.LANG.LABEL_CONTINUE}
    {/if}

    </td>
  </tr>
  </table>
    
<!--
  end of contact_for_checkout.tpl
-->

