<!--
  c2u_other_resources_js.tpl
-->
<!-- Scripts -->
<script>
  
  
  var cloudAdvancedOpenedImg = new Image();
  cloudAdvancedOpenedImg.src = "{$SCRIPT_DIR}/static/design/images/group_opened.gif";
  var cloudAdvancedClosedImg = new Image();
  cloudAdvancedClosedImg.src = "{$SCRIPT_DIR}/static/design/images/group_closed.gif";
  {literal}
  function determineSlidersLimits(res_id) {
      var limits = new Array();
      var obj = checkedOSObj();
      var vt_type = document.getElementById('managed_kernel').value;
      var ve_limits = findResInCloudTree('osgroup', 'option_id', obj.value)[0].ve_limits;
      var res_os_limits;
      if ( typeof( ve_limits ) != 'undefined' ) {
          res_os_limits = ve_limits[vt_type];
      }
      var storage_type = document.getElementById('allowed_storage').value;
      var restrict_res_id = ( res_id == 'disk' )? (storage_type + sliders_res_map[res_id]) : sliders_res_map[res_id];
      if ( !res_os_limits ||  // check for misconfig: set default values in case of wrong configuration settings
              !res_os_limits['step'] || isNaN(Number(res_os_limits['step'][restrict_res_id])) ||
              !res_os_limits['min'] || isNaN(Number(res_os_limits['min'][restrict_res_id])) ||
              !res_os_limits['max'] || isNaN(Number(res_os_limits['max'][restrict_res_id])) ) {
          var inp_obj = document.getElementById('cloud_slider_numvalue__' + res_id);
          limits["min"] = Number(inp_obj.attributes['min'].value);
          limits["max"] = Number(inp_obj.attributes['max'].value);
          limits["step"] = Number(inp_obj.attributes['step'].value);
      } else {
          limits["min"] = Number(res_os_limits['min'][restrict_res_id]);
          limits["max"] = Number(res_os_limits['max'][restrict_res_id]);
          limits["step"] = Number(res_os_limits['step'][restrict_res_id]);
      }

      return limits;
  }

  function changeSlidersLimits() {
      for (var si = 0; si < window.A_SLIDERS.length; si++){
          slider = null;
          var res_id = window.A_SLIDERS[si].clour_res_id;
          var limits = determineSlidersLimits( res_id );
          slider = window.A_SLIDERS[si];
          slider.n_step = limits['step'];
          slider.f_setMin(limits['min']);
          slider.f_setMax(limits['max']);
          document.getElementById("maxval_" + res_id).innerHTML = limits['max'];
          document.getElementById("minval_" + res_id).innerHTML = limits['min'];
      }
  }

  function cloudSwitchAdvanced(){
    var valueObj =  document.getElementById('cloud_show_advanced');
    var divObj =  document.getElementById('cloud_advanced_div');
    var divObjClosed =  document.getElementById('cloud_advanced_closed_div');
    
    valueObj.value = valueObj.value=='1'?'0':'1';    
    divObj.style.display = valueObj.value =='1'?'block':'none';
    divObjClosed.style.display = valueObj.value =='1'?'none':'block';
  }
  
  function cloudGetVTObj(name){
    return document.getElementById(name);
  }
  
  function cloudVTResUpdated(obj_name, ev){

    // switch vt checkbox value to new VT
    var obj_check = cloudGetVTObj(obj_name+'_check');
    var obj_value = cloudGetVTObj(obj_name);
    
    var is_checked = obj_check.checked?1:0; 
    var current_vt = '';
    for (var i=0; i<=cloudTree.length-1; i++){
      if( cloudTree[i].id != obj_value.id) continue;
      //
      if( (cloudTree[i].for_checked==1 && is_checked)
        ||
        (cloudTree[i].for_checked==0 && !is_checked)
      ){
        current_vt = cloudTree[i].option_id;
        cloudTree[i].live = 1;
        continue;
      }else{
        cloudTree[i].live = 0;
      }
    }   
    
    obj_value.value = current_vt;
    
    // Apply new VT to all other controls
    if ( obj_name == 'managed_kernel' ) cloudTuneResPCS(ev);
    changeSlidersLimits();
    cloudTuneResVTPrices(); 
    cloudConfigCalcPrices();   
    cloudRedrawConfigPrices();
    cloudUpdateTotal('VTResUpdated');
  }
 
  
  function findResInCloudTree( resID, fieldname, fieldvalue ) {
    var res = new Array();
    for (var i = 0; i <= cloudTree.length; i++) {
      if ( typeof (cloudTree[i]) == 'undefined' ) continue;
      if ( cloudTree[i].id != resID ) continue;
      if ( !fieldname || ( !fieldvalue && cloudTree[i].hasOwnProperty(fieldname) ) ||
        ( fieldvalue != '' && cloudTree[i].hasOwnProperty(fieldname) && cloudTree[i][fieldname] == fieldvalue ) ) {
	res.push(cloudTree[i]);
      }
      else continue;
    }
    return res;
  }

  function checkedOSObj() {
      var osgroup = document.getElementsByName('osgroup');
      for (var i=0; i<osgroup.length; i++) {
          if (osgroup[i].checked) {
              return document.getElementById('osgroup_'+osgroup[i].value);
          }
      }
  }

  function cloudTuneResVTOS(obj) {
    var ev = ''; //set event script run on which
    if(!obj) {
      obj = checkedOSObj();
      ev = 'load';
    }
 
    var obj_vt = cloudGetVTObj('managed_kernel_check');
    var res_os = findResInCloudTree('osgroup', 'option_id', obj.value);
    var vt_count = 0;
    var vt = '';

    var allowedVT = res_os[0].allowed_VT;

    for (var key in allowedVT) {
      vt_count++;
      vt = allowedVT[key];
    }

    var is_disabled = ( vt_count < 2 );

    if ( is_disabled ) {
      resVT = findResInCloudTree('managed_kernel', 'option_id', vt);
      obj_vt.checked = ( resVT[0].for_checked == 1 );
    }

    obj_vt.disabled = is_disabled;
    cloudVTResUpdated('managed_kernel', ev);

  }


  function cloudTuneResPCS(ev) {
    var obj_vt = cloudGetVTObj('managed_kernel');
    var obj_pcs = cloudGetVTObj('allowed_storage');
    var obj_pcs_check = cloudGetVTObj('allowed_storage_check');
    var obj_pcs_div = cloudGetVTObj('allowed_storage_div');
    var obj_osgroup = document.getElementsByName('osgroup');
    var osgroup_value = '';
    var default_option = '';
    var checked_option = '';

    // check for both (local and cloud) disk resources are available
    if (cloud_res_prices['disk']['st_prices']['disabled_storage'] == 1) return;

    for (var i = 0; i < obj_osgroup.length; i++) {
      if ( !obj_osgroup[i].checked ) continue;
      osgroup_value = obj_osgroup[i].value;
      break;
    }

    var res_pcs_list = findResInCloudTree('allowed_storage');
    var count_options = 0;
    for ( var k = 0; k < res_pcs_list.length; k++ ) {
      var res_pcs = res_pcs_list[k];
        if ( res_pcs.allowed_storage.hasOwnProperty(obj_vt.value) && res_pcs.allowed_storage[obj_vt.value].hasOwnProperty(osgroup_value) ) {
          count_options++;
  	  if (res_pcs.allowed_storage[obj_vt.value][osgroup_value] == 'default' ) default_option = res_pcs.option_id;
        }	
        if ( res_pcs.for_checked == 1 ) checked_option = res_pcs.option_id;
    }  
    var is_pcs_hidden = ( count_options < 2 );
    var is_pcs_checked = ( default_option == checked_option  );

    obj_pcs_div.style.display = ( is_pcs_hidden )? 'none' : '';
    {/literal}
    var savedValue = '{$state->resConfiguration["allowed_storage"]}'; //check for selected value in case of edit screen
    {literal}
    if ( ev == '' || ( ev == 'load' && savedValue == '' ) ) {
      obj_pcs_check.checked = is_pcs_checked;
      obj_pcs.value = default_option;
    }
  }

  function cloudTuneResVTPrices(){
    var obj_name = {'vt':'managed_kernel', 'st':'allowed_storage'};
    for ( var i in obj_name) { 
      var obj_value = cloudGetVTObj(obj_name[i]);
      var current_vt = obj_value.value;
      var spec = i;
  
      if(current_vt=='') return;
       
      // correct prices for vt-specific resources
      for (var res_id in cloud_res_prices){
        if(!cloud_res_prices[res_id][spec+'_specific']) continue;
        cloud_res_prices[res_id].price_hour = cloud_res_prices[res_id][spec+'_prices'][current_vt];
        cloud_res_prices[res_id].included_value = cloud_res_prices[res_id][spec+'_prices'][current_vt+'_incl'];
        cloud_res_prices[res_id].tax_list = cloud_res_prices[res_id][spec+'_prices'][current_vt+'_tax_list'];
        cloudRedrawRes(res_id);
      }
    }
  }

  function cloudOtherResUpdated(obj,id,update_total) {
    if(!obj) obj = document.getElementById(id); 
    if(!obj){
      alert(locale["C2U_ERROR_JS_CANNOT_FIND_OBJECT"]+' '+id);
      return;
    }
    var resID = obj.name;
    var optionID = '';
    
    if(obj.type=='select-one'){
      optionID = obj.options[ obj.selectedIndex ].value;
    }else if(obj.type=='radio'){
      optionID = obj.value;
    }else{
      alert(locale["C2U_ERROR_JS_UNKNOWN_TYPE"]+ ' '+obj.type+locale["C2U_ERROR_JS_FOR"]+' id '+id);
      return;
    }

    //change style of selected option

  if (obj.type=='radio') {
    var radioGroupObj =  document.forms.formEdit[obj.name];
    var labeObjList = document.getElementsByTagName('label');
    var checkedID = '';
    if (labeObjList && labeObjList) {   
      for (var i=0; i<radioGroupObj.length; i++)
        if (radioGroupObj[i].checked) {
	  checkedID = radioGroupObj[i].id;
	  break;
	}
      var labelListForSelectedGroup = new Array();
      var k=0;
      for (var i=0; i<radioGroupObj.length; i++)
        for (j=0; j<labeObjList.length; j++)
	  if ( labeObjList[j].attributes['for'] && labeObjList[j].attributes['for'].value == radioGroupObj[i].id ) {
	    labelListForSelectedGroup[k] = labeObjList[j];
	    k++;
	  }
      for (var i=0; i<labelListForSelectedGroup.length; i++) {
        if (labelListForSelectedGroup[i].attributes['for'].value == checkedID)
	  labelListForSelectedGroup[i].attributes['class'].value = 'resourseClassLabelSelected important';
	else labelListForSelectedGroup[i].attributes['class'].value = 'resourseClassLabel';
      }
    }		
  }
    
    // make one new option live and remove all other options from calculatuon 
    for (var i=0; i<=cloudTree.length-1; i++) { 
      if(cloudTree[i].id != resID) continue;
      cloudTree[i].live = cloudTree[i].option_id == optionID;
      if( !cloudTree[i].live ) continue;
      var cur_res = cloudTree[i];
      if( cur_res.update_local_price ){
        cloudUpdatePrice('price_hour_'+resID, cur_res.price_hour, cloudPriceHourTmpl, cloud_hour_digits);
        cloudUpdatePrice('price_month_'+resID, cur_res.price_month, cloudPriceMonthTmpl, cloud_reg_digits);
       }
      var resPrice, taxId, curTaxRate, curTaxAmount;
      for (var it=0; it<=cur_res.res_taxes.length-1; it++) {
          resPrice = cur_res.price_month;
          taxId = cur_res.res_taxes[it].id;
          if (!resPrice) continue;
          curTaxRate = cur_res.res_taxes[it].rate/100 + 1;
          curTaxAmount = resPrice - (resPrice / curTaxRate);
          cloudTree[i].res_taxes[it].value = curTaxAmount;
      }
    }
    if(update_total)  cloudUpdateTotal('OtherResUpdated');
  }
  {/literal}
  {foreach from=$state->resourceClasses.other_resources item=resClass}
    {foreach from=$resClass.options key=key_option item=resOption}
      var taxList = new Array();
     {foreach $resOption.tax_list as $tax}
        taxList.push({
                    'id': '{$tax.TaxID}',
                    'rate': {$tax.Rate},
                    'value': 0.0
        });
     {/foreach}
      resSpec = {literal}{{/literal}
        'id' : '{$resClass.id}',
        'option_id' : '{$resOption.id}',
        'res_type' : '{$resClass.type}',
        'live' : {if $state->resConfiguration[$resClass.id] === $resOption.id}1{else}0{/if},
        'update_local_price' :  {if $resClass.show_prices==='1'}1{else}0{/if},
        'for_checked' : {if $resClass.type=='vt' && $resClass.checked_option_id==$resOption.id}1{else}0{/if},
        'included_value' : '{$resOption.included_value}',
        'price_month' : '{$resOption.price_month}',
        'price_hour' : '{$resOption.price_hour}',
        'res_taxes' :  taxList,
	{if $resOption.allowed_VT}
	  'allowed_VT' : {literal}{{/literal}
	    {foreach from=$resOption.allowed_VT key=key item=vt}
	      '{$key}' : '{$vt}',
	    {/foreach}
	  {literal}},{/literal}
	{/if}
	{if $resOption.allowed_storage}
	  'allowed_storage' : {literal}{{/literal}
	  {foreach from=$resOption.allowed_storage key=key_vt item=vt}
	    '{$key_vt}' : {literal}{{/literal}
	      {foreach from=$vt key=key_os item=os}
	        '{$key_os}' : '{$os}',
	      {/foreach}
	    {literal}},{/literal}
	  {/foreach}
	  {literal}}{/literal}
	{/if}
    {if $resOption.ve_limits}
      've_limits' : {literal}{{/literal}
      {foreach from=$resOption.ve_limits key=key_vt item=vt}
      '{$key_vt}' : {literal}{{/literal}
          {foreach from=$vt key=key_lim item=limit}
          '{$key_lim}' : {literal}{{/literal}
              {foreach from=$limit key=key_res item=res}
                '{$key_res}' : '{$res}',
              {/foreach}
          {literal}},{/literal}
          {/foreach}
          {literal}},{/literal}
      {/foreach}
      {literal}}{/literal}
  {/if}
      {literal}}{/literal};
      
      cloudTree.push(resSpec);
    {/foreach}
   {/foreach}
</script>
<!-- /Scripts -->

      

<!-- end of c2u_other_resources_js.tpl -->
