
<!--
  domain_transfer.tpl
-->

<script type="text/javascript">
{literal}
function DisplayTransferKey() {
  var select = document.getElementById("dm_transfer_ZoneID");
  var option = select.options[select.selectedIndex];
  keyBlock  = document.getElementById("id_transferKey");
  keyText = document.getElementById("textTransferKey");

  var display_style = "table-row";
  if(document.all) display_style = "block";

  if ( !option || option.getAttribute("keyRequired") == null ) {
      keyBlock.style.display = "none";
      keyText.value = "";
      keyText.disabled = true;
  } else {
    keyBlock.style.display = display_style;
    keyText.value = option.getAttribute("keyRequired");;
    keyText.disabled = false;
  }
}
{/literal}
</script>

  <!-- domain transfer header -->
  <table class="tableHeader" cellpadding="0" cellspacing="0">
    <tr>
      <td class="tableHeaderTD">
        <span class="BlockName">{$smarty.session.LANG.DOMAINSEXTENSION_TRANSFER_CAPTION}</span>
      </td>
    </tr>
  </table>

  <!-- domain transfer content -->
  <table class="tableContent" cellpadding="0" cellspacing="0" id="enterDomainNameToTransfer_{$operation}">
  <tr>
    <td class="tableContentTD tableDomainContentTD">
        {$smarty.session.LANG.DOMAINSEXTENSION_TRANSFER_DOMAIN_DESCRIPTION}
        <span id="TransferInstruction" class="jslink" rel="win_instructions">{$smarty.session.LANG.DOMAINSEXTENSION_TRANSFER_READ_INSTRUCTIONS}</span>
    </td>
  </tr>
  <tr>
    <td class="tableContentTD tableDomainContentTD">

    <table cellpadding="0" cellspacing="0" style="width: 100%;">
    <tr>
      <td style="width: 25%;" align="right"> 
        <label for="transfer_DomainNameID" class="required">{$smarty.session.LANG.LABEL_DOMAIN_NAME}</label>
      </td>
      <td class="PBA_DomainName">

          <table class="PBA_DomainNameTable" cellpadding="0" cellspacing="0">
          <tr>
            <td nowrap>
              <input type="text" attr="dm_create" validator="EmptyText"
                     id="transfer_DomainNameID" name="DomainNameID"
                     style="width:300px;" desc="{$smarty.session.LANG.LABEL_DOMAIN_NAME}"
                     empty-hint="{$smarty.session.LANG.TRANSFER_EMPTY_HINT}"
                     value="{$smarty.session.LANG.TRANSFER_EMPTY_HINT}"
                     onblur="emptyHintBlur(this);"
                     class="DomainNameID hint-in-input"
                     onfocus="emptyHintFocus(this);" onclick="emptyHintFocus(this);"/></td>
            <td>
             . <select name="PlanID" id="dm_transfer_ZoneID"
                      style="width: auto;" onChange="DisplayTransferKey()">
              {foreach key=planPos item=i from=$op->plans}
                <option value="{$planPos}"
                         {if $planPos == $op->planSelected}selected{/if}
                         {if $i.IsTransferKeyRequired}keyRequired="{$i.TransferKey}"{/if}
                         >{$i.DomainZoneID}</option>
              {/foreach}
              </select>
            </td>
          </tr>
          </table>

      </td>
    </tr>

    <tr id="id_transferKey">
      <td style="width: 25%;" align="right">
        <label for="textTransferKey" class="required">{$smarty.session.LANG.DOMAINSEXTENSION_TRANSFER_KEYREQUIRED}</label> 
      </td>
      <td class="PBA_DomainName">

         <table class="PBA_DomainNameTable" cellpadding="0" cellspacing="0">
         <tr>
           <td>
           <input type="password" name="transferKey" id="textTransferKey"
               style="width:300px;" validator="EmptyText" autocomplete="off"
               desc="{$smarty.session.LANG.DOMAINSEXTENSION_TRANSFER_KEYREQUIRED}"/>

           </td>
         </tr>
         </table>

      </td>
    </tr>
        <tr>
            <td></td>
            <td class="PBA_DomainName">
                <table class="PBA_DomainNameTable" cellpadding="0" cellspacing="0">
                    <tr>
                        <td style="width:302px;">&nbsp;</td>
                        <td align="right">
                            <button class="buttonContinue" type="submit"
                                    title="{$smarty.session.LANG.DOMAINSEXTENSION_TRANSFER_BUTTON_TITLE}"
                                    id="dm_transfer_Button">{$smarty.session.LANG.DOMAINSEXTENSION_TRANSFER_BUTTON}</button>
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>

  </td>
  </tr>
  </table>

  <!-- domain new footer -->
  <table class="tableFooter" cellpadding="0" cellspacing="0">
    <tr>
        <td class="tableFooterTD" align="right" style="height: 3px;"></td>
    </tr>
  </table>

  {capture name="transf_instr" assign="instr"}
      {$smarty.session.LANG.DOMAINSEXTENSION_TRANSFER_DESCRIPTION1}
      <br /><img src="{$IMAGES_PATH}/i_attn.gif" width="16" alt="{$smarty.session.LANG.LABEL_ATTENTION}" height="16" border="0" />
      {$smarty.session.LANG.DOMAINSEXTENSION_TRANSFER_DESCRIPTION2}<br />
      {$smarty.session.LANG.DOMAINSEXTENSION_TRANSFER_DESCRIPTION3}
  {/capture}
<div id="win_instructions" style="display:none;">
    {GetCustomTemplate name="info.tpl" assign="file"}
    {include file=$file name=$smarty.session.LANG.DOMAINSEXTENSION_TRANSFER_INSTRUCTIONS
             description=$instr}
</div>


<script type="text/javascript">
{literal}
DisplayTransferKey();
SW.Signal.connect(document.getElementById('TransferInstruction'), 'onclick', null, showPopUp);
{/literal}
</script>

<!--
  end of domain_transfer.tpl
-->
