<!--
  domain_prov.tpl
-->

  <script type="text/javascript">
  var provs = new Array();
  {assign var="listProvCount" value=0}
  {assign var="iePlanExists" value=0}
  {foreach name=configuration key=planPos item=plan from=$state->listProv}
  provs.push('{$planPos}');
  //{$listProvCount++}
  {if $plan.PlanName == "ie"}
  //{$iePlanExists++}
  {/if}
  {/foreach}

  {literal}
  
  function apply_to_all(id) {
    var table_id = 'id__Prov_' + id;
    var table = document.getElementById(table_id);
    var input_types = new Array("input", "select");
    for (var input_type in input_types) {
      var inputs = table.getElementsByTagName(input_types[input_type]);
      for (var i=0; i < inputs.length; i++) {
        var el = inputs[i];
        for(var j = 0; j < provs.length; j++) {
          if(provs[j] == id) {
            continue;
          }
          var el_id = new String(el.id);
          var re = new RegExp('\\\[' + id + '\\\]');
          var apply_el_id = el_id.replace(re, '[' + provs[j] + ']');
          var apply_el = document.getElementById(apply_el_id);
          if(apply_el && typeof(apply_el) == 'object' && apply_el.type == el.type) {
            switch(apply_el.type) {
              case 'text':
                apply_el.value = el.value;
                break;
              case 'checkbox':
              case 'radio':
                apply_el.checked = el.checked;
                if(apply_el.checked) SW.Signal.dispatchEvent(apply_el, 'onclick');
                break;
              case 'select-one':
                apply_el.selectedIndex = el.selectedIndex;
                break;
            }
          }  
        }
      }
    }
  }

  {/literal}

  {if $iePlanExists}
    {GetCustomTemplate name="./domain_prov_iejs.tpl" assign="file"}
    {include file=$file}
  {/if}

  </script>

  <form action="{$baseURL}" method="post"
        id="domainProvForm" name="domainProvForm">
  {GetCSRFTokenElement}
  <input type="hidden" name="operationType" value="{$operationType}" />
         
  <!-- domain listProv header -->
  <table class="tableHeader" cellpadding="0" cellspacing="0">
    <tr>
      <td class="tableHeaderTD">
        <span class="BlockName">{$smarty.session.LANG.CONFIGURATION_SETTINGS}</span>
      </td>
    </tr>
  </table>  

  <!-- domain listProv content -->

  <table class="tableContent" cellpadding="0" cellspacing="0">
  <tr>
    <td class="tableContentTD">
              
    {foreach name=configuration key=planPos item=plan from=$state->listProv}
            
    <table cellpadding="0" cellspacing="0" border="0" style="width: 100%;" id="id__Prov_{$planPos}">
    <tr>
      <td {if $smarty.foreach.configuration.first == $smarty.foreach.configuration.iteration}
          class="Line ConfigurationLine ConfigurationTopLine"
        {else}
          class="Line ConfigurationLine"
        {/if}
           valign="top" colspan="3">
          <fieldset>
              <legend class="labelPlanPeriod">{$plan.DomainName}.{$plan.DomainZoneID}</legend>
          </fieldset>
      </td>
    </tr>

    {if $plan.PlanName == "ie"}
      {GetCustomTemplate name="./domain_prov_ie.tpl" assign="file"}
      {include file=$file}
    {else}
      {foreach item=prov_id from=$plan.sortedProv}
      {assign var=prov value=$plan.Prov[$prov_id]}
      {*foreach item=prov from=$plan.Prov*}
        {if $prov.statusShow}
    <tr>
        <td class="fieldLabel provLabel">
          <label for="Prov[{$planPos}][{$prov.id}]"{if $prov.required} class="required"{/if}>{$prov.name|escape:'html'}</label>   
        </td>
        <td>&nbsp;</td>
        <td>
          <div class="fieldEntry">
              {assign var=itemProvDescr value=$prov.description}
              {if !strlen($prov.description)}
                  {assign var=itemProvDescr value= $prov.name}
              {/if}
              {widget name="Prov["|cat:$planPos|cat:"]["|cat:$prov.id|cat:"]"
                    id="Prov["|cat:$planPos|cat:"]["|cat:$prov.id|cat:"]" title=$itemProvDescr}
          </div>
          <div class="fieldComment">{if $prov.hint && strlen($prov.hint)}{$prov.hint}{else}{$prov.description}{/if}</div>
        </td>
        {*<td>{$prov.description}</td>*}
    </tr>
    <tr>
      <td style="height: 5px;" colspan="3"></td>
    </tr>     
        {/if}
      {/foreach}
    {if $plan.ResourceCategory[0]}
    {assign var="resCategory" value=$plan.ResourceCategory[0]} <!-- temporarely decision for single Resource Category in Domain plan -->
    <tr>
        <td colspan="3">
            <!-- new layout for PlanRates -->
            <table cellpadding="0" cellspacing="0" class="planRateWrapper" style="width: 100%;">
                <tr>
                    <td id="HidePlanRate">
            <fieldset class="planRateCategoryDisplayType_{$resCategory.DisplayType}">
                <legend class="editPlanRate">
                    {*$resCategory.Name|escape:'html'*}{$smarty.session.LANG.RESOURCES_LABEL_ADDITIONAL}
                </legend>
                <div class="planRateCategoryDescription">{*$resCategory.Description*}</div>
                <table border="0" cellpadding="0" cellspacing="0" class="planRateCategoryTable" style="width: 100%;">
                    <tr>
                        <td class="Line PlanRateLine" style="width: 50%;" align="left">{*{$smarty.session.LANG.ADDITIONAL_RESOURCES}*}&nbsp;</td>
                        {if $orderConfig->showSetupFee}
                            <td class="Line PlanRateLine planRateTH_Price" align="right">&nbsp;<b>{$smarty.session.LANG.ORDER_DETAILS_SETUP_FEE}</b></td>
                            <td class="Line PlanRateLine planRateTH_Price"></td>
                        {/if}
                        {if $orderConfig->showSubscriptionFee}
                            <td class="Line PlanRateLine planRateTH_Price" align="right">&nbsp;<b>{$smarty.session.LANG.ORDER_DETAILS_SUBSCRIPTION_FEE}</b></td>
                            <td class="Line PlanRateLine planRateTH_Price"></td>
                        {/if}
                        <td class="Line PlanRateLine planRateTH_Price" align="right">&nbsp;<b>{$smarty.session.LANG.ORDER_DETAILS_PRICE}</b></td>
                    </tr>
                    {foreach item=pr from=$plan.PlanRate}
                    <tr class="{cycle values='oddRowTable,evenRowTable' reset=true} planRateItemLevel0">
                        <td class="Line PlanRateLine planRateTD_Name td1" align="left">

                            <table style="width:100%" border="0" cellspacing="0" cellpadding="0">
                                <tr>
                                    <td style="width:20px;">
                                        <input type="checkbox" class="selectPlanResource"
                                               name="{if $pr.UpperLimit eq $pr.IncludedValue}_hidden_{/if}PlanRate[{$planPos}][{$pr.ID}]"
                                               value="1"
                                               id="PlanRate[{$planPos}][{$pr.ResourceID}]"
                                                {if $pr.Amount gt $pr.IncludedValue || $pr.UpperLimit eq $pr.IncludedValue} checked{/if}
                                                {if $pr.UpperLimit eq $pr.IncludedValue} disabled{/if} />
                                        {if $pr.UpperLimit eq $pr.IncludedValue}
                                            <input type="hidden" name="PlanRate[{$planPos}][{$pr.ID}]" value="1" />
                                        {/if}
                                    </td>
                                    <td>
                                        <label for="PlanRate[{$planPos}][{$pr.ResourceID}]">{$pr.StoreText}</label>
                                        <a href="{$SCRIPT_DIR}/http/rateInfo.php?PlanID={$plan.PlanID}&ResourceID={$pr.ID}" class="question_icon">&nbsp;</a>
                                    </td>
                                </tr>
                            </table>

                        </td>
                        {if $orderConfig->showSetupFee}
                            <td class="Line PlanRateLine" align="right">
                                {if $pr.UpperLimit eq $pr.IncludedValue}
                                    {$smarty.session.LANG.PLAN_INFO_INCLUDED}
                                {else}
                                    {$smarty.session.LANG.CURRENCY_PREFIX}{$pr.SetupFee|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}
                                {/if}
                            </td>
                            <td class="Line PlanRateLine"></td>
                        {/if}
                        {if $orderConfig->showSubscriptionFee}
                            <td class="Line PlanRateLine" align="right">
                                {if $pr.UpperLimit eq $pr.IncludedValue}
                                    {$smarty.session.LANG.PLAN_INFO_INCLUDED}
                                {else}
                                    {$smarty.session.LANG.CURRENCY_PREFIX}{$pr.RecurringFee|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}
                                {/if}
                            </td>
                            <td class="Line PlanRateLine"></td>
                        {/if}

                        <td class="Line PlanRateLine" align="right">
                            {if $pr.UpperLimit eq $pr.IncludedValue}
                                {$smarty.session.LANG.PLAN_INFO_INCLUDED}
                            {else}
                                {if $pr.StorePriceText}
                                    &nbsp;{$pr.StorePriceText}
                                {else}
                                    {$smarty.session.LANG.CURRENCY_PREFIX}{$pr.ExtendedPrice|numformat}{$smarty.session.LANG.CURRENCY_POSTFIX}
                                {/if}
                            {/if}
                        </td>
                    </tr>
                    {/foreach}
                </table>

            </fieldset>
            <br />
        </td>
                    </tr>
            </table>
        </td>
    </tr>
    {/if}
<!-- /PlanRates -->
    {/if}

      {if $listProvCount>1}
    <tr>
      <td valign="top" colspan="3">
        <label {*for="apply_to_all__Prov_{$planPos}"*}>
          <a href="javascript://" onClick="apply_to_all('{$planPos}'); return false;"
                 id="apply_to_all__Prov_{$planPos}"/>{$smarty.session.LANG.APPLY_TO_ALL_DOMAINS}</a>
        </label>
      </td>
    </tr>
      {/if}
    <tr>
      <td style="height: 20px;" colspan="3"></td>
    </tr>
    </table>
            
    {/foreach}
           
  </td>
  </tr>
  </table>
           
  <!-- domain listProv footer -->

  <table class="tableFooter" cellpadding="0" cellspacing="0">
  <tr>
    <td class="tableFooterTD" style="width: 50%;" align="left" >

        <button title="Cancel" class="buttonCancel" type="button"
                onclick="post(new Array('cancel', '1', 'operationType', '{$operationType}'));"
          >{$smarty.session.LANG.LABEL_CANCEL}</button>

    </td>
    <td class="tableFooterTD" style="width: 50%;" align="right">

        <button class="buttonContinue" type="submit"
                title="{$smarty.session.LANG.LABEL_CONTINUE}"
                >{$smarty.session.LANG.LABEL_CONTINUE}</button>

    </td>
  </tr>
  </table>

  </form>

  <script type="text/javascript">
  loader(function () {literal}{
    SW.Widget.startEventEngine(document.forms["domainProvForm"]);
  }{/literal}, ['SW.Widget']);
  </script>

<!--
  end of domain_prov.tpl
-->
