<!--
  prefill_address.tpl
-->
<script type="text/javascript">

    function prefillAddress() {
        var token = "{$token}";
        var countryCode = jQuery("#CountryID").val();
        var zipCode = jQuery("#ZipID").val();
        var city = jQuery("#CityID");
        var state = jQuery("#StateID");

        var cityReplaceTo = {
            'New York City': 'New York'
        };

        if (!token || !countryCode || !zipCode || countryCode.toUpperCase() == 'RU') {
            return;
        }

        jQuery.ajax({
            url: '/aps/2/resources?implementing(http://www.parallels.com/pa/pa-core-services/contact-management/1.0)',
            headers: {
                'APS-Token': token
            }
        }).then(function(data) {
            var apsId = data[0].aps.id;
            return jQuery.ajax({
                url: '/aps/2/resources/' + apsId + '/contact/zipLookup',
                headers: {
                    'APS-Token': token
                },
                data: {
                    country: countryCode.toUpperCase(),
                    zip: zipCode
                }
            });
        }).then(function(data) {
            if (!!data.city) {
                city.val(cityReplaceTo[data.city] || data.city);
            }
            if (!!data.stateCode && countryCode.toUpperCase() != 'JP' ) {
                state.val(data.stateCode);
            }
            verifyAddress();
        });
    }
</script>
<!--
  end of prefill_address.tpl
-->
